commit a43562e4af733d8b4f75f6eb2ddbb81b07867790
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 6 22:58:47 2020 +0200

    Update CHANGELOG.md

commit c40c9b3c76093b8ae6d3236b53e8beeb603590fd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 6 22:56:56 2020 +0200

    Sort changelog entry categories like we want them
    
    Give them a prefix internally so we don't have to rely on
    alphabetic sorting being accidentally right.
    Actually sort them. The previous iteration was over an unordered
    hash table.

commit af287c05eaf613a9ff2e2e4996e5dfce2fabc7d6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 6 22:45:40 2020 +0200

    Transfer changelog generation from legacy_0.2.8

commit cb14440321046e097d85fa45ac89bbc66d904af4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 6 22:29:35 2020 +0200

    Bump version to 0.2.9.0.1

commit c9db54efdd7ef909ddd8ab5fa5f9b5f42199a5c3
Merge: 48262aec c9498e73
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue Aug 4 23:41:53 2020 +0000

    Merge: Add missing libraries to AppImage/AppDir (0.2.9.0 hotfix)
    
    See merge request armagetronad/armagetronad!72

commit c9498e73b04d5b8d65c5b32fab60a5fbc1472ef9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 5 01:10:33 2020 +0200

    Refine library inclusion for AppDir
    
    remove libicudata, it seems to be optional (libxml2 depends on it)
    sort libraries alphabetically
    Deal with libraries being symbolic links into other directories
    Add a couple of libraries factually missing from Fedora:
    libcaca, libGLU, libtinfo, libslang and libncursesw.
    
    Refines https://gitlab.com/armagetronad/armagetronad/-/issues/54

commit 3f3b2b4c2d758bff35445a6b71314dc17a6b27b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jun 30 21:34:44 2020 +0200

    Add some indirect dependencies to libraries
    
    Cherry pick from 0.2.9 alpha;
    fixes https://gitlab.com/armagetronad/armagetronad/-/issues/54

commit 48262aec2e50ee1ad4239240d876e478b0231121
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 29 23:00:00 2020 +0200

    Made new ladderlog messages in changelog useful

commit 537fd7988a369402a32307c4d71735f58b5bb687
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 29 22:58:20 2020 +0200

    Change title of releases on download site
    
    to make them visibly different from builds

commit f781a90461bcc87f2d306d5542376d8717555f46
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 29 22:32:26 2020 +0200

    Update CHANGELOG.md and NEWS

commit ffcb07c3339e5c164d9839f010491281ba35bb2e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 25 09:51:48 2020 +0200

    Change default camera to custom
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/35

commit 3e065935987ea8abb6b7ca62c6710335c243d758
Merge: f8595c91 58bc942c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 18 23:51:57 2020 +0200

    Merge from legacy_0.2.8.3

commit 58bc942c558d79bef4009e26ec256c6878ddf1a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 18 23:32:40 2020 +0200

    Update gits
    
    The codeblocks update adds a DPI scaling manifest
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/33

commit e61d8ac465ac9cefdd9c6ee604ab6b99c3833db1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 18 18:26:58 2020 +0200

    Handle dashes in version number for Debian builds
    
    Debian does not like dashes in versions, replace with +.
    Fixes debtest and ppa deployment for ap builds.

commit f0e5ec9e3821ba472202d84bff514d2c77fbc0d1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 18 18:03:37 2020 +0200

    Add docker build cache folder to .bzrignore

commit 0e30ac7a22869bda5bbaf6ffae7efafbbaa18301
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 18 13:06:11 2020 +0200

    Add comment on clearenv being optional

commit f8595c91ef1b3d750651b3bd29e1be72d4ebcd6e
Merge: 627a1279 afdebdf0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 17 19:49:19 2020 +0200

    Merge from legacy_0.2.8.3

commit afdebdf0b85de48b214d7955cab73436cc9bab6e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 17 19:32:26 2020 +0200

    Check whether clearenv() is available
    
    Seems like it did not make it into the POSIX standard.
    Fixes OpenBSD compilation.

commit 627a1279950fc7a1790ae41d0bc17709031fb0ba
Merge: 7910e619 b6c973d3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 21:40:16 2020 +0200

    Merge from legacy_0.2.8.3

commit b6c973d321d91be915b80758f5293c28ffc20876
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 20:13:29 2020 +0200

    Initialize leak tracking variables
    
    before reading to them from the leak log file; that file may be empty or
    at the end and not fill the variables, causing undefined behavior in
    processing.
    
    Code was never active in release mode, so no harm.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/29

commit a596905432f91e762443123a47ccc36eab18fe23
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 20:05:06 2020 +0200

    Pass input of correct length to ioctl
    
    in nSocket::Create
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/29

commit 31740af4b279c5f505d1264375cc68a980523eac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 19:55:34 2020 +0200

    Clear environment on exit
    
    The system variable environment, that is. We register allocated strings
    in it before clearing out those strings, they need to be deregistered.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/29

commit a51bab155594603e35b1b84010cc869adc3a56b4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 19:22:48 2020 +0200

    Do the list removing before releasing the cylce
    
    only that fully guarantees we're tearing down things in the right order.

commit b83b09d64382d64c13d67bb2019ec58f74ebf83f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 19:19:34 2020 +0200

    Remove wall from linked lists in ::ReleaseData()
    
    Prevents the situation that caused
    https://gitlab.com/armagetronad/armagetronad/-/issues/26,
    cycles getting destroyed before their (former) walls.

commit 8a19204f199d924e416f48578411c2e4d6b361fd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 17:13:05 2020 +0200

    Add destructor to gCycleWallsDisplayListManager
    
    cleaning up the wall render lists.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/26

commit 06ad2408757db0907381831bb193d3e01c3e9cb6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 16 00:08:33 2020 +0200

    Fix tiny memory leak
    
    auto_ptr/unique_ptr.release() does not delete anything. Replace
    with .reset().

commit f056ac90e63354f397a2d2c31eb86f4e3442590b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 15 23:49:29 2020 +0200

    Remove undefined dereference behavior
    
    Found by clang warning: a smart pointer was checked for nullness
    via !(&(*p)), which the compiler is allowed to always assume
    to be false, because *p on a null p would be illegal.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/28

commit 0ca6d1c0aa38d29a0485a820c05572d44689faa3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 15 22:27:35 2020 +0200

    Change build_prepare to when: always
    
    Merge request checking builds don't start any more, maybe it's because
    there is no primary unconditional job?

commit 00ca088e1bece574682a2ae25d3d0d936a0362b7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 15 22:17:26 2020 +0200

    Add 'git pull' before recording git revision
    
    Updating to recent changes in submodules were not properly
    recorded before.

commit 7910e619457477bb8f3cde75ba945ec1c81f8fec
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 13 10:09:50 2020 +0200

    Delay steam deployment for release candiates
    
    from staging to final deployment.
    Full releases still get deployed during the staging phase right away,
    they should be properly testable on Steam itself.

commit 21c6a4c2834f78d68911fbafe56958440f8a3c46
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 11 14:09:37 2020 +0200

    Replace cringy default instachat

commit 7d81f4410bc7b0d4ec142954853833cb7e40ea72
Merge: 86375bb8 dace5630
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 11 00:36:04 2020 +0200

    Merge from legacy_0.2.8.3

commit dace5630db0172ad5d4708a47f4d0303474cf3db
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 11 00:34:06 2020 +0200

    Manual final release only on tags
    
    Previously, we checked the branch name, which would not even work for
    tags. Now, rules:
    - on merge or non-protected builds, do not deploy
    - on builds from protected branches, deploy delayed
    - on builds from protected tags, deploy manually

commit 86375bb84eafbf2d427cb058be0ec5df26ed0705
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 10 23:44:33 2020 +0200

    Comment cosmetics

commit d85f0921f7cae073c1d533df9bd859e881b2adb3
Merge: 2d2101e0 447b4628
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 10 23:43:45 2020 +0200

    Merge from legacy_0.2.8.3

commit 447b4628499afd5287b182dbd529069ac86565cf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 10 23:40:03 2020 +0200

    Increse expiry date for build_base to one week
    
    The delayed manually triggered deployment needs it.

commit 2d2101e0ea49caee7046d9ae0be4d59fdb033e85
Merge: 206784e3 817dd529
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 21:39:31 2020 +0200

    Merge from legacy_0.2.8.3

commit 817dd529cdb342565c2a2ca6d1ebb3b85e51fe84
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 18:17:28 2020 +0200

    Try individual LP uploads multiple times

commit 206784e39b8b39f9391d63f6722ba2dec96fd924
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 10:51:24 2020 +0200

    Try itch uploads some more times

commit 8280d9d86c5957ae3b09b191c2ff2b4af464ce17
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 09:19:10 2020 +0200

    More forum link corrections

commit 352582ecc92cf944d206c6c2436fd0085e4ee6d5
Merge: 6419abf5 c5661119
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 09:16:09 2020 +0200

    Merge from legacy_0.2.8.3

commit c5661119e3ad39cbc52a3bee116e2e37ba64e90d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 09:13:08 2020 +0200

    Redo forum link correction with correct encoding
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/25

commit e4667b35a6a1d0b8297fa1ccb39bf32c08fc9196
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 09:08:11 2020 +0200

    Partial Revert "Correct forum links"
    
    This reverts commit d7db11f42c03c55a4110807ad361c5ecd7a5a967.
    
    The search/replace broke latin1 encoding.

commit 8b93b22c427136570709792e2ab4b899899e26a1
Merge: 8ec9c1ac d7db11f4
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed Jul 8 23:36:47 2020 +0000

    Merge from legacy_0.2.8.3

commit d7db11f42c03c55a4110807ad361c5ecd7a5a967
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 01:16:55 2020 +0200

    Correct forum links

commit 6419abf51bebead6cd82dfe1522960f7f7f24049
Merge: 7db93728 fb014679
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 00:34:18 2020 +0200

    Merge from legacy_0.2.8.3

commit fb014679308a03d39255bf45aba1c45a58f3ba41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 9 00:33:27 2020 +0200

    Rebrand Windows storage directories
    
    They used to be "Armagetron" in any case.
    Keep that for vanilla branding, but replace it with the App Title
    otherwise.

commit 7db93728bc5f29fdebcd479298e70bca9767b8d4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 8 18:22:56 2020 +0200

    Disable memory checks if memory manager is inactive

commit c0f168ffcac77b2472d9535614754f7909dd4254
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jul 8 18:21:52 2020 +0200

    Disable explicit direcx driver activation
    
    New problem: it crashes on Windows 10 if you alt-tab away
    from the game.

commit 6568ccf45060e174e8e30d152732672754ccbb48
Merge: 77f583ac 4a5b2d2f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 7 13:15:03 2020 +0200

    Merge from legacy_0.2.8.3

commit 4a5b2d2f599f28bfd37b07778b7518db8822eaf9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 7 12:34:58 2020 +0200

    Unifying steam image update

commit 77f583ac9d71a191943930018dff4e8d1eec2306
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 7 09:11:49 2020 +0200

    Update to new docker images

commit 2fb760df5d9cf2f8bf3f27282b4eae46fab86e5e
Merge: 2db63753 68b4d38f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 7 09:05:09 2020 +0200

    Merge from legacy_0.2.8.3

commit 68b4d38f344dd41c63202de21f11e883e36fae51
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 7 09:04:26 2020 +0200

    Update docker images to builds from rudy

commit 832cb2cd2ddddaec5f517d9be9118f798ec27641
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 6 17:03:51 2020 +0200

    Use mktemp as fallback for tempfile

commit 333ccb80b63c7f42f7b0db9510c3b52ceea226ad
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jul 4 09:33:39 2020 +0200

    bzr revcount: switch to '-n 0'
    
    replaces deprecated --include-merges

commit 2db6375338a59b75d18aa8e48142f8cb76520a96
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 29 00:16:40 2020 +0200

    Add retries to itch.io upload
    
    because of course, we have sporadic network problems here, too.

commit d231cbdf76e80c883160f8032f6b81d4b60913ac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 29 00:07:22 2020 +0200

    Switch itch project owner
    
    to armagetronad, was zmanuel
    When browsing, itch would show as "Armagetron Advanced by Z-Man",
    which is a bit uncomfortable given the amount of work done by
    others.
    Also it's more secure to use an account for uploading that you
    don't also use for playing.

commit 2e6d59291e0ba6eac8435da2f4e0cb90849f99d4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 28 17:26:04 2020 +0200

    Drop the extra .0 at the end of the version
    
    It is the security fix indicator. Add it only if needed, start
    at .1 directly then.

commit bec878125aaf7b0b9f8eeb6fec940625797de418
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 28 16:58:55 2020 +0200

    Versioning change 0.2.9_* -> 0.2.9.0.0_*

commit f91df64491baca31207a913951609fe399dff721
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 28 16:56:23 2020 +0200

    Update NEWS and CHANGELOG.md

commit e99ef125d51cbf99c3c2c9e8ea7ff30911ed4a17
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 27 19:56:38 2020 +0200

    Add contributors for each release to patch notes
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/21

commit 06f001aed8830b7759a1ae15bfd0a89d58d3097b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 26 23:28:20 2020 +0200

    Implement and activate itch deployment
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/19
    Squashed from https://gitlab.com/zmanuel/armagetronad/-/commits/legacy_0.2.8_itch

commit e21964ea87dc95390a284d0b197948059fd602e0
Merge: c77bd90c 1e71e8c9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 27 12:14:28 2020 +0200

    Merge from 0.2.8.3

commit 1e71e8c96f87ed606cae4c0a30952bb888a2c67a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 27 10:26:43 2020 +0200

    Made AppRun work if call path contains spaces
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/24

commit c77bd90c33df38258693d15e789145081e6afc0d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jun 25 00:08:48 2020 +0200

    Fix storage of last fullscreen mode
    
    Contributes to https://gitlab.com/armagetronad/armagetronad/-/issues/23

commit 3e234acd3f029bd365fd2bb11074c3c47a6495ae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 24 22:15:45 2020 +0200

    Fix typo

commit bd2ff01a4a6d787a5e787f92e220679a8698268a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 24 22:02:43 2020 +0200

    Remove duplicate access_level_change language string

commit 0e60dd646967bc795a0e0da9643213689c9a4147
Merge: 31bb7fe0 610a0929
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon Jun 22 21:31:44 2020 +0000

    German translations
    
    See merge request armagetronad/armagetronad!58

commit 610a092945c1d759384a9a3c57a31bd62ff2cc19
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 22 23:06:47 2020 +0200

    Add missing German translations
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/2

commit 31bb7fe051c76f15f9ce6b69f54be26b96103b7e
Merge: 150891fd 90543818
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon Jun 22 20:12:31 2020 +0000

    Rename old silence_player_* strings to ignore_player_*
    
    See merge request armagetronad/armagetronad!57

commit 90543818971dfe09eb8aaf1631423bdfbf3f80f1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 22 20:59:36 2020 +0200

    Rename old silence_player_* strings to ignore_player_*
    
    Resolves https://gitlab.com/armagetronad/armagetronad/-/issues/22
    (Two different strings with the same name)
    
    Differently than planned. The idea was to rename the new
    entry for vote items, but the 'ignore' name is much more
    fitting for the old IDs.

commit 150891fdc4b338df978403fab0d4c8beb72549c3
Merge: 616ebf21 301bee41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jun 16 19:39:17 2020 +0200

    Merge from 0.2.8.3

commit 301bee41ecba7c8b4d49aec1d0bb4c80bbec9854
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jun 16 19:38:22 2020 +0200

    Correct check for local modifications

commit 25768041a5c99cb9aec4da794c310c077710fb58
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 14 22:40:49 2020 +0200

    Add information
    
    on
     * ufw
     * port forwarding to a docker-running VM
     * security implications of sharing a docker instance with docker
        containers running jobs

commit 616ebf2181f4f967a596b2dad58c32f537069ae9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 21:52:58 2020 +0200

    Correct steamcmd user

commit a95d2c9a5738a7e9968d7bc42618027bf42732bd
Merge: b61825b9 c6acd644
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 21:06:42 2020 +0200

    Merge from 0.2.8.3

commit c6acd6440d5e84f7d160571d6618457ccc99c728
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 20:43:07 2020 +0200

    Renew git checkout cache every run
    
    Git checkouts are cached between jobs. Different jobs can
    belong to different branches, causing odd build failures if
    the cache does not fit the branch. So make sure that if we need
    the external git checkouts, that they are refreshed.

commit b61825b9e4175e3b03d7a413e5424c82979cb073
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 18:07:18 2020 +0200

    Apply simplified artifacts to steam, too

commit eb932d3dd4930ec2d99ff07a4e6d109f729470a8
Merge: 3a6d3c60 0bbcfa30
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 18:34:42 2020 +0200

    Merge from 0.2.8.3

commit 0bbcfa30684c49485e68abb9dd3f47e5b084fdb3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 18:07:18 2020 +0200

    Simplify artifacts some more
    
    Makes build_server_32/steam raw artifact bigger, but independent
    of build_base.

commit 3a6d3c6029052677baf65bb1d41e756ab21220f5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 16:41:41 2020 +0200

    Remove dependency version.sh -> tarball
    
    A bit silly. If the version changes, the tarball filename changes
    and it is automatically rebuilt. I suspect this is behind the complete
    rebuild in the build_collect job.

commit 2876b700cb8797aacf249606da26d5bcdc7c53f3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 16:27:36 2020 +0200

    After modifying makefiles, call automake
    
    Otherwise, the build process may try to do so and fail.

commit aab705fd80c00a474110e9603de151f861bdca44
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 15:12:23 2020 +0200

    Fix dockerfile permission issue, update images

commit e18a1248b26fb4735188b173b28532efdd7352c1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 15:02:40 2020 +0200

    Add curl to steam deployer dockerfile

commit 64770b8ac35ed24b5c9973afaa8701865b26351c
Merge: 6c1abe04 d7792cf5
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat Jun 13 12:02:15 2020 +0000

    Merge and adapt fragmented build from 0.2.8.3

commit d7792cf51cfe4f03b05d6fd2fc4c17518de3f2fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 11:52:10 2020 +0200

    Stash steam title.png in artifact gits

commit 9b63f08008c5a248a9d2bd723aa1ddcf9eb1ba3d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 11:44:13 2020 +0200

    Add steam builds

commit 6c6a89ee737f6375978681294b10c1afab2f6f65
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 02:19:11 2020 +0200

    Revert "More steam disabling"
    
    This reverts commit fc00d6339372205c7853dcd3d9080f23e8124341.

commit a7352bfcbfd7ce6eb4c4e161987e7bb7404db60b
Merge: 6c1abe04 e17c0135
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 13:39:15 2020 +0200

    Merge from 0.2.8.3

commit e17c01357e849b101f946b213d91f327c6a49196
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 13:04:16 2020 +0200

    Remove tag from delay-release
    
    Now that we have individualized the build jobs, it is the deploy
    capable runner that's blocked more often.

commit c551d8d2f61ad30abc20ab16dac1d06f726bfac9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 12:26:53 2020 +0200

    Fix rootcontext making

commit f92c3da3937fb4b594d568cb66781080c37e781f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 12:16:02 2020 +0200

    Fix existence test of secret gpg keys

commit ac9edb4d778e7a2c1fd6287e2f03003aad3ceb01
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 12:10:13 2020 +0200

    Make the right files available for the deployment

commit fb96faeca2e180206b33e60451ea4be2e68998bf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 11:57:32 2020 +0200

    Remove delay stage
    
    Delay job can be moved to previous stage

commit 306511db53b63d2e966811e9f7b1bbe85724f2b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 11:47:18 2020 +0200

    Another lp file type correction
    
    Release notes -> Release Notes

commit 11b0c3ecdead36b7a9e30962c889bf10e78d4245
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 11:46:14 2020 +0200

    Disable top level parallel build
    
    Definitely. We don't want it enabled in general.

commit 6aed95d7b1b59fd006e500bd715793584e95d5be
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 09:04:04 2020 +0200

    Simplify artifact specification
    
    The make script now clears intermediate files by default so you
    can simply pass the entire build directory as artifact without
    catching too much clutter.

commit 2599f50775088ac5944b33bd7b5b85208d259410
Merge: bf371c83 d1cc0323
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat Jun 13 00:12:34 2020 +0000

    Merge: Better builds by splitting them into multiple jobs
    
    It's more setup work because dependencies and artifacts need managing, but not too much.
    
    Reward: Builds of different commits can better run in parallel and don't have to wait for the one dangling job (the Windows build) of the previous build to wrap up. Also, using shared runners, all build jobs can run at once and yield errors faster and with clearer logs.
    
    See merge request armagetronad/armagetronad!51

commit d1cc032321350a91c1b7b5640a8b0fb44f1c09bf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 01:52:55 2020 +0200

    Enable parallel build in before_script

commit fc00d6339372205c7853dcd3d9080f23e8124341
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 01:41:21 2020 +0200

    More steam disabling

commit 426ab65b18d8caa375fe64016212fa26083fd849
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 01:21:33 2020 +0200

    Move debtest to only start together with windows

commit 1ec9593375d2a78eae9b30a57b8161b0038cf4f8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 01:19:35 2020 +0200

    Add tags to artifacts

commit f3540168d476df035029dfba6e4ba035a4d1c2ec
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 01:07:35 2020 +0200

    Add comment on job order

commit dee785a089bd5a70bc406f5ed0a8856a5603f9f5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 00:59:13 2020 +0200

    Prepare gits_artifacts instead of gaw gits

commit a43bbf0efbac5c6d013dcdae078baffe549a8c9b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 00:48:57 2020 +0200

    Disable top parallel build for easier debugging

commit 74d9b8359b67579b86403cb8b872bc235e05d20e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 00:45:00 2020 +0200

    Add context* to server_32_raw artifacts
    
    Else it gets rebuilt later, doing triple work

commit 35c0e1299e0562dc29245981b5357be7bfed3f7a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 13 00:44:13 2020 +0200

    Add proto directory to 'make clean'

commit d08256f55fa7b2c1397e3edeba0f706a86d1e1b0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 23:40:23 2020 +0200

    Reorder jobs so build_server_32 comes last
    
    Don't know if it has any effect. But build_server_32 is just a pack-up
    job after the real build in build_server_32, maybe this will make it
    get scheduled last when the other jobs are done and only slow
    windows is chugging along.

commit 6b07aef1947fdd566bd49990f938fab3b2b523a0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 23:34:11 2020 +0200

    Include proto directory in windows artifact
    
    The tags, that is. The directories get deleted.

commit 22087eeb6781d112850d1235cc42881894b91c34
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 23:27:45 2020 +0200

    Add prepare to some dependencies
    
    build_server_32_raw now does not deliver all that is needed.

commit 0214689217ee1117e19a5d5e5876b207b57aa043
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 23:22:40 2020 +0200

    Refine debtest so it does not have to be remade in collect

commit 2f2f73370cbd6e9780c774bf102f9ad88032c1c8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 23:13:09 2020 +0200

    Streamline artifacts and dependencies some more

commit 5f900d5bd47604f85f1738ad3a800291e4579595
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 22:57:56 2020 +0200

    More specific artifacts and dependencies for jobs

commit 981ace0927dcbcc2957fe86773bc7f360d0febd2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 22:57:20 2020 +0200

    Add targets for individual CI jobs

commit ee119c41be7ae3aadd377272d77a81f97979c72b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 22:56:47 2020 +0200

    Copy files into upload instead of linking them
    
    This takes care of proper timestamps so they are not remade

commit 0ff5791f536f9be20260437de236da36b59d65b0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 22:16:20 2020 +0200

    Add remaining build jobs

commit 4baea5f95c47b24c177d69f12709149a2207b945
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 22:08:39 2020 +0200

    Divide build in gitlab.ci into individual jobs

commit f7941fe75ba5fbd2e41ae5879fa77209eb46963d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 21:43:05 2020 +0200

    Add script to simplifiy individual gitlab-ci rules

commit d4c6391c4dd223c0de0ee7f46cc2d94ad2794eb5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 20:46:29 2020 +0200

    Use fake gpg keys for debian test build
    
    This allows us to simplify .gitlab-ci.yml and run debtest independently
    of the runner configuration.

commit bf371c8344b49314a48c8287a8795b59554e76f1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 20:29:41 2020 +0200

    Add fake pgp keys to sign debian test build with

commit 00f92d1274fb6a2f28f6612af7e53f6e466af06b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 18:55:20 2020 +0200

    Add changelog and patch notes to lp upload

commit 4541265cb4bd8dfd425900ea4a459fb46c34bb64
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 18:47:05 2020 +0200

    Remove automatic starting of docker daemon
    
    This is simply not these scripts' responsibility and does the wrong
    thing if your setup is that you want to use a docker installation over
    the network.

commit 2126d4b4267f3c0cd92e421631d2fa5ddc39052b
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri Jun 12 13:13:59 2020 +0000

    Stick to valid file_type

commit 6c1abe04ea7fa3e36678f8f28145a332b5977673
Merge: e845c921 9653d11d
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri Jun 12 13:06:43 2020 +0000

    Merge from 0.2.8.3

commit 9653d11dbdeed41f978796f1dd96d42db8167f27
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri Jun 12 12:39:37 2020 +0000

    Remove accidentally left in early exit
    
    It prevented actual deployment to LP

commit e845c921938a56dd5b8a62e51e3a6f255e742865
Merge: c15e9c03 f2162360
Author: Manuel Moos <manuel@moosnet.de>
Date:   Fri Jun 12 00:00:25 2020 +0000

    Merge fix for #13 (script trouble)

commit f216236012623d47f991e9e55d025247ef15d891
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 01:37:15 2020 +0200

    Only apply SOCK_CLOEXEC on non-Windows
    
    It does not exist (or make sense) on Windows.
    
    Fixes building on Windows.

commit c15e9c03a6c13158044888471ee40bc3b633c1b5
Merge: 1c8cf052 c94e5050
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu Jun 11 23:20:12 2020 +0000

    Merge from 0.2.8.3

commit 15db4b76347b79a196945dc9d84425aff21c8a5c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 00:19:29 2020 +0200

    Pass SOCK_CLOEXEC to socket creation
    
    That way, they get automatically closed when we spawn a script
    with execve.
    
    Fixes the other part of https://gitlab.com/armagetronad/armagetronad/-/issues/13

commit 81c2daa74ee723c0c5757b40cc3901494225df66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 00:13:23 2020 +0200

    Replace exit() by _exit() after unsuccessful script launch
    
    According to 'man 2 exit', _exit() does the same thing as exit(),
    only that it does not call any registered on_exit functions.
    C++ uses that mechanism to register its static object shutdown
    handlers and we want to quit silently without side effects,
    so this is precisely the right thing.
    
    Fixes part of https://gitlab.com/armagetronad/armagetronad/-/issues/13

commit c94e505017292a00b8e6e01e09f93478497901ef
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 12 00:00:58 2020 +0200

    Fix classification of files on launchpad

commit 1c8cf052aafda33a8688df8b4fe81f09b0994936
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jun 11 22:12:05 2020 +0200

    Apply steam title image
    
    Copy it over from the steam-art package
    Adapt the game sources to use it (would technically
    not be required, the image loaders understand the alternative
    image is a png, not a jpg, but it would be a bit iffy
    to exploit that IMHO)

commit c31d62130c67f9fa03a1a42572fd73b048980821
Merge: cc6df034 0b00f501
Author: Manuel Moos <manuel@moosnet.de>
Date:   Thu Jun 11 20:02:09 2020 +0000

    New setting SHOW_RECORDING_TIME
    
    Merge branch 'legacy_0.2.8_recording_time_optional' into 'legacy_0.2.8'
    
    To make prettier screenshots and videos, set
    SHOW_RECORDING_TIME 0

commit 0b00f501f5682f2a3c76b3bd999302a4c9cc9473
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jun 11 21:37:17 2020 +0200

    New setting SHOW_RECORDING_TIME
    
    with menu item in 'Display Settings/Preferences'. Toggles
    the visibility of the timer display on recording and playback.
    
    English and German language strings included.
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/16

commit cc6df034d2c3402fa53d422e466e13011b4641a5
Merge: db506e9f 965f5ef2
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon Jun 8 22:27:02 2020 +0000

    Merge from 0.2.8.3

commit 965f5ef26d5c39dfc92196b20d93c0dd9d32b79e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 8 23:57:46 2020 +0200

    Replace multipart command line with script
    
    Another disadvantage of building in 'docker run', only one command is
    supported.

commit 6be247fbdd53a63ebf09a2a289d2216aeefb87ce
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 8 23:45:27 2020 +0200

    Do the actual work in 'docker run', not 'build'
    
    While it makes handling the container ID more complicated, it seems
    to make more sense and makes error handling easier. Plus, the 'run'
    environment is more flexible and may allow us more tricks in the
    future.

commit d66f2f956e5a1333dbea6f20499f5b9148422363
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 8 23:37:11 2020 +0200

    Pass make jobserver info down to build scripts
    
    Maybe one day we can pass it on to the make command running
    inside docker.

commit 97aea9d6b000d307540adb83523a27caa390565d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 8 22:32:20 2020 +0200

    Hide output of git update-index
    
    It poisoned version.m4 if cases with local changes

commit db506e9fcd2aa28276b996988bda0f739ad259b4
Merge: 56494325 18b37d1f
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun Jun 7 22:44:52 2020 +0000

    Merge from 0.2.8.3
    
    ChangeLog fixes
    Diversify current build on download site
    Fix 0install deployment

commit 18b37d1f13340fafcb05f099792ef933eaf1df1b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 8 00:34:06 2020 +0200

    More changelog format adaptions
    
    GitLab MD interpreter wants sublists with -, not *, it seems

commit 5adc6f7072c52702925c065a9e132813fe554582
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 8 00:27:08 2020 +0200

    Fix sublists in frozen changelog

commit a0d0eea03149d23d2884240a65ea75d9f8e783d3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 7 21:35:18 2020 +0200

    More specific latest build info for download site
    
    Have a separate info file for LTS and CURRENT trains

commit 0bbc9429a8e6e38ac9fff9fa9b8cd0a60cfa4f10
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 7 19:07:07 2020 +0200

    Don't use --set-stability if we want to leave it at default

commit 56494325fbcabd6d3b03e562ca5b19d1f9b2c6b2
Merge: 37151f30 51daf482
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 7 18:26:46 2020 +0200

    Merge from 0.2.8.3

commit 51daf482a1c5e8952110ca28a16c07609e0be8de
Merge: 42965a6d 8ec9c1ac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 7 18:25:44 2020 +0200

    Merge from beta_0.2.8.3
    
    Changes were accidentally first committed there.

commit 8ec9c1acbc507db48e92202226843318b632168a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jun 7 18:22:24 2020 +0200

    Leave most zeroinstall stability decisions to feed
    
    Exceptions: Staged release candidates get 'testing',
    staged others 'developer'.

commit 37151f30b468090a2a74ee45fd5186453488b286
Merge: 5d961a91 42965a6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 23:10:55 2020 +0200

    Merge from 0.2.8.3
    
    Docker documentation
    Git handling for versioning and merges

commit 42965a6dbaaf14bfd24ad1be235839dbea6b3495
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 23:06:25 2020 +0200

    Update the index before checking for modifications
    
    Else, files with changed date, but identical content, will
    look like they have been modified.

commit b6e263c560a1098a80939eae25cc0054a360622f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 23:05:08 2020 +0200

    Test for git existence with 'test -e'
    
    For external work trees, it is just a file.

commit d2ae3fde66b7097a5863d97db998bf6f7f7e9ed0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 22:44:00 2020 +0200

    Refuse to merge/ff if the branch has local changes

commit d736faff7f9f97bcd2e886a2a60ecb75e74523e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 22:38:44 2020 +0200

    Format correction

commit dc627bd1a5e180e40693c1efc22a128d75e1fab7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 22:34:02 2020 +0200

    Add gitlab runner section

commit 71db24fe93571d2c407bedc42bd5fe74d98bca7f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 21:07:14 2020 +0200

    Add section about docker rootless inside VM for host

commit 6fcb37df021c66728db6b4751a9342e617a95d59
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jun 6 21:06:19 2020 +0200

    Correct .local tag directory

commit 5d961a91ed47ef80b85e967b645fdcb8d5befae9
Merge: 569e8793 4743ea81
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 23:43:14 2020 +0200

    Merge from 0.2.8.3

commit 4743ea816ad6d52b60722bdbdffe84cb045ff483
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 23:42:19 2020 +0200

    Fix ff merge into release
    
    Remove stray exit from script

commit 569e8793b53b70e18a596e15ce62358322d2509a
Merge: e60aa1ea 0f86bba1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 23:25:21 2020 +0200

    Merge from 0.2.8.3
    
    Merge helper scripts
    CI streamlining

commit 0f86bba152264b218d7825b872d2e123f1fccb14
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 23:23:58 2020 +0200

    Add script for ff merging to beta or release
    
    To safely update the beta_* or release_* branches from the right source.

commit 35b68258dd0bab16b9e9c944b4fbbaccfc0c362d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 23:11:57 2020 +0200

    Add script for merging from safe source
    
    Criterion: source must be more stable than current branch,
    so merges from release to beta, beta to master, lts to master
    are fine, the other direction not.

commit 6ebb3d2f78b31e5a48a455adb20c1fb6d5a7bb11
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 21:59:22 2020 +0200

    Simplify CI yaml
    
    Remove special merge request job, it was not saving much
    Do just one build step instead of two, allows for better
    parallel execution

commit 669914d07dbf20468f6ba3373aa6d251909af0df
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 21:25:05 2020 +0200

    Rename staging -> stage for grammar consistency

commit e60aa1ea83ae98a9414311e49aa08fdae0dbc712
Merge: bb4d1c8c 7ee93515
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 13:15:47 2020 +0200

    Merge from 0.2.8.3
    
    Patchnote generation lookup errors fixed

commit 7ee935156ae2106776922b00890c0540b47f8fdb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 5 13:14:39 2020 +0200

    Deal with non-fixed issues properly

commit bb4d1c8c49e89ac2d4ff149e730f6ec5a8f58883
Merge: 238efc8e 31210e73
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 17:50:18 2020 +0200

    Merge from 0.2.8.3
    
    Build optimizations
    Correct PPA for release candidates

commit 31210e737f1d2cb858b3c76e9cdb49b70da023f7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 17:48:39 2020 +0200

    Fix ppa association of 0.2.9 release candidates
    
    They went to the main PPA, should be STAGING.

commit e7bd16acd4533a5cbe9fa2472dd6eeba0e55c992
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 17:36:18 2020 +0200

    Optimize CI build
    
    Make linux server/client builds depend on each other; they
    are parallelized internally and do not need to run in parallel.
    Run internally paralellized builds with nice; the debtest and
    windows builds should get all the CPU they can get.

commit 238efc8e171afcda64fde8acf5fdb81a1ae5b3e7
Merge: f89233d5 ad37257d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 12:20:57 2020 +0200

    Merge from 0.2.8.3
    
    Leaner merge test pipeline
    Better local tests of CI configurations
    Do not deploy release candidates twice
    rc branch for zeroinstall streams

commit ad37257d962c92c7039b645348a31a35a209e6b0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 11:09:00 2020 +0200

    Enable merge test job
    
    Was accidentally disabled due to rules misconfiguration

commit fb302f60a33c021669592dd76d188745a00c509f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 11:03:52 2020 +0200

    Deactivate regular build on merge pipeline

commit 74f0a3ad91ecd262b6690b28e0f0755456d89759
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 10:55:32 2020 +0200

    Activate special merge test targets

commit 8699fe13d1ac3db14d64f1e5d821dd1d62173ca8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 10:54:52 2020 +0200

    Add CI targets for quicker merge checks
    
    Hopefully without sacrificing test power. Still builds Windows and
    Linux Client/Server.

commit eb63bdbfde6b01a9c2033cb2445324c3270e08b5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 08:56:57 2020 +0200

    Non-releases do not deploy to ppa in staging phase

commit 057ec360d4a072519d072d3dac0aef0807170511
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 08:45:37 2020 +0200

    Print relevant deployment variables in ci_test

commit 3ed37c71b8a9c62adc0da2833f3bac2167eb9d5f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jun 3 08:45:22 2020 +0200

    Only set git configuration if none is present yet
    
    Avoids clobbering the config of users trying to use setup_ci_test.sh.

commit f89233d5079d3347e56a950ad72861aad0ab35d5
Merge: 3b35a350 aaf6e450
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 23:25:51 2020 +0200

    Merge from 0.2.8.3
    
    Target PPA fix, don't shadow current stable releases with rcs
    Refine local testing possibilities

commit aaf6e450585b6227d3887038ddc238e5c4ce0dd2
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 23:14:49 2020 +0200

    Make staging/nonstaging accessible to testing
    
    When calling targets.sh, one can set STAGING beforehand and observe
    the results. The makefile still edits targets.sh for forced
    staged/unstaged builds because the change needs to be visible from
    inside the docker builds.

commit 259e42ea6c2f2fa4036612c31e1d2108308aeeb6
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 23:00:45 2020 +0200

    Refine Ubuntu PPA target selection
    
    Put release candidate builds (builds from release* branches without tag)
    into the staging PPAs.
    
    Fix https://gitlab.com/armagetronad/armagetronad/-/issues/15

commit 2b84d5710005410b924231a3b79ef7e49b389552
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 22:56:33 2020 +0200

    Refine CI test environment setup
    
    The script docker/build/setup_ci_test.sh, when sourced, sets up the
    build environment like it would be in a CI run.

commit 3b35a350c40a1f492ea359b324f0f20dbd819ce7
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 07:58:55 2020 +0200

    Activate Steam build and deployment

commit ebab4539387d6030e12e15162cd3aa7305fc1d73
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 07:34:18 2020 +0200

    Never consider -pre* versions stable for zeroinstall

commit 1e58ca3174a5688af14bdba0c4474314dc1bab3e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jun 2 07:06:32 2020 +0200

    Update CHANGELOG_FROZEN.md to keep NEWS consistent
    
    Or at least as consistent as possible.

commit ecfba56ccd9a74a311f12c3595abc6acf76abe07
Merge: 1682bf7e 4657f376
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jun 2 06:44:57 2020 +0200

    Merge from 0.2.8.3

commit 4657f376be5b9848aa330c97790c9b076ba02f4d
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Tue Jun 2 00:19:57 2020 +0200

    Add build type to download news entry
    
    either 'build' or 'build release'. Releases are always builds, too.

commit fde7af1755938187720fbef216a11a29baea0196
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 23:44:11 2020 +0200

    Automatically generate NEWS

commit 6cd2f92f445fca7aaa08f54e432198457cb10c7d
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 23:19:47 2020 +0200

    Fix rc version for zeroinstall

commit 83886344414a3c6885ee7a74180396387c969628
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 22:56:21 2020 +0200

    Update NEWS by hand from CHANGELOG.md

commit d2c610faf86925a7244043d8a8765083cb6f9f84
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 22:47:05 2020 +0200

    Support new issue types in patch notes
    
    Removed and Breaking

commit 89dd6f75fe5280228bf8082ec6f9fdf836ce35fe
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 22:30:23 2020 +0200

    Deploy LTS builds to LTS ppa
    
    Even final releases won't be accepted at the regular PPA soon.

commit 834adb9a94aa5d50078d8ec5060c5325df64f887
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 22:17:51 2020 +0200

    Current CHANGELOG.md, autogenerated

commit ecc6463178f08eeb4330b80ec550772c7a6411df
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 22:11:18 2020 +0200

    Make formatting match the patchnote generator
    
    Just in case a processor makes a distinction there in the future.

commit 0831163573af7cdf60dec77280deedc64d2fcc1c
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 22:10:14 2020 +0200

    Add script to update CHANGELOG.md
    
    This needs to be a manually executed script; the information from we fetch
     from GitLab can change any time, so integrating this into CI would
     break the promise that the build should be completely defined by on the
    contents of this repository.

commit 966e631c805f1fba1817f4df6906be7dd049864b
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 21:43:05 2020 +0200

    Add missing entries to CHANGELOG_FROZEN.md

commit 1682bf7e43e78174a9181ba9efedc4bf277bd919
Merge: 4ff6f9fb 4ecccced
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 1 20:34:24 2020 +0200

    Merge from 0.2.8.3: Small build system fixes
    
    Add windows zip source distribution
    Fix branch reference for download site

commit 4eccccedd6ed289e6cc1b7dc36d2056fc6d17085
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 18:27:50 2020 +0200

    Narrow download site deployment dependencies
    
    The site only depends on the files having been uploaded.

commit 8d1d3f7d8046f5a4f637f32220ffa90ea6d7cc30
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 18:23:19 2020 +0200

    Add windows source zip generation

commit 3d56c4e5bc4c2a7d8fb56af296889b364ab15da8
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 18:11:01 2020 +0200

    Fix CI_COMMIT_REF_NAME during deploy

commit 69386582965f7797f9f0f59623804a0d293c01e2
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 18:09:32 2020 +0200

    Remove stray letter

commit 4ff6f9fbd50520811dfd9414707cd266f4317f8b
Merge: b9ca0ab7 c706f710
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 11:29:19 2020 +0200

    Merge from legacy_0.2.8.3

commit c706f71090a05e0666e30874ebd272e1ec77cf1d
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 11:25:20 2020 +0200

    Sensible _alpha, _beta and _rc version part
    
    Default version to MAJOR_alpha_zREVISION
    Replace _alpha_ with _beta_ or _rc_ if we're in the CI system and
    building a matching protected branch.

commit b9ca0ab7f2a35a82c66f50a23647184f81f10cc5
Merge: 48c89741 6f6797f1
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 10:21:51 2020 +0200

    Merge CI system from 0.2.8.3 with adaptions
    
    Adaptions:
    Bump docker label versions
    Switch release track to CURRENT

commit 6f6797f14edc55e09755727b840b65212555412b
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 00:42:23 2020 +0200

    Prepare for merge to 0.2.8
    
    Push up docker label to 029
    Switch tracks to SERIES=CURRENT

commit 61e685db1bd212d3407ed351f8f31f365c388a5e
Merge: 3fe2c26e e629431d
Author: Manuel Moos <manuel@moosnet.de>
Date:   Mon Jun 1 07:39:47 2020 +0000

    Merge branch 'legacy_0.2.8.3_docker_fixes1' into 'legacy_0.2.8.3'
    
    Small build fixes
    
    See merge request armagetronad/armagetronad!15

commit e629431dff62e4f6e7a19093e20663c37b679e06
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 09:16:29 2020 +0200

    Versions branded 'alpha' go to the 'alpha' series

commit 07f7cfcdf5742cc9d5a4a0734718731806f05c74
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 08:55:21 2020 +0200

    New image for wine based builds

commit 4087ab3d09ef5d899d4c34f6a379b2423951e458
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Mon Jun 1 08:54:04 2020 +0200

    Disable armalpine_64 build, it is unused

commit 3fe2c26ec32e53552cc559974e0ff271e52b0ffd
Merge: 42c76501 26245867
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun May 31 22:30:50 2020 +0000

    Merge branch 'legacy_0.2.8.3_ci_build_squashed' into 'legacy_0.2.8.3'
    
    Merge CI system
    
    See merge request armagetronad/armagetronad!14

commit 26245867737eb2822161162de38082e28a7305be
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Apr 13 17:16:01 2020 +0200

    Add docker based CI system
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/14
    
    All files are in the 'docker' subdirectory, where you can
    find a README.md explaining how to do local builds.
    
    Work begun on:
    https://gitlab.com/zmanuel/armagetronad/-/tree/legacy_0.2.8_ci_build_1
    
    Was then squashed and merged back to 0.2.8.3 in:
    https://gitlab.com/zmanuel/armagetronad/-/tree/legacy_0.2.8.3_ci_build_2

commit 9318dab9028ca0aee1cdaf3243c7dcfa1fbfb9b2
Author: Manuel Moos (From GitLab CI) <z-man@users.sf.net>
Date:   Sun May 31 18:43:49 2020 +0200

    Read CI variables for version determination
    
    If we're building from a protected tag, that tag determines our version

commit 42c76501faf9cae23e2a545216dee0ab7626589e
Merge: 580f7925 0eca16bb
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sun May 31 20:13:46 2020 +0000

    Merge branch 'legacy_0.2.8.3_cherrypick' into 'legacy_0.2.8.3'
    
    Cerry pick compatibility adaptions from 0.2.8
    
    See merge request armagetronad/armagetronad!13

commit 0eca16bb076fd3fd842020bd6f5837735bbb5890
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 14 21:58:29 2020 +0200

    Generate ChangeLog and fingerprint from git
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/11

commit 83716d4b3b5d6a65dfb3ac3a587da7b246e54c01
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 14 18:58:46 2020 +0200

    Made language update.py file Phython 3 compatible
    
    Pick any available interpreter from the makefile.

commit 48c89741b3a79053ebb1de0df4073be686e7cbf6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 14 22:04:13 2020 +0200

    Avoid error message during make dist
    
    Then, we don't have COPYING.txt, but COPYING is already available
    and does not need to be written.

commit 45a9b500e140cb8a3c1f051e4ae3f631a5867c54
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 14 21:58:29 2020 +0200

    Generate ChangeLog and fingerprint from git
    
    Implements https://gitlab.com/armagetronad/armagetronad/-/issues/11

commit ed82bbd786656911c0c839acb8e4b9fb09ecc88a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 14 21:57:20 2020 +0200

    Clean stray source control files

commit f2b96c103e94aff98ad0b66932902415ad1a5299
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 14 18:58:46 2020 +0200

    Made language update.py file Phython 3 compatible
    
    Pick any available interpreter from the makefile.

commit 2d502bd3836bbc8e3386b1080142c0adf9be283d
Merge: 8421c3e2 7c9fe827
Author: Manuel Moos <manuel@moosnet.de>
Date:   Sat Apr 25 22:22:31 2020 +0000

    Merge branch 'legacy_0.2.8_tar' into 'legacy_0.2.8'
    
    Switch tar format to posix
    
    See merge request armagetronad/armagetronad!10

commit 7c9fe8275036c6bdf5d57f9a7e6ed3bedab3377d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Apr 26 00:15:02 2020 +0200

    Switch tar format to posix
    
    With complicated versions, we can get beyond the traditional 99
    character limit of old tar in the resource folder.

commit 8421c3e27f46b2d3a90e3e8b65baeb89d5900b56
Merge: 9d179d98 580f7925
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Apr 5 18:09:57 2020 +0200

    Merge 0.2.8.3 into 0.2.8

commit 580f7925c55d611c75142f3554c3c24ce1f6d9a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Apr 5 17:49:50 2020 +0200

    Make definition of DATE_FMT survive autoconf/automake
    
    Fixes https://gitlab.com/armagetronad/armagetronad/-/issues/9

commit a90a7f435c252da310924c2d7107454fecedbfdc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Apr 4 16:58:28 2020 +0200

    If there already is a configure, do not run bootstrap
    
    Makes the process work better for tarball sources.

commit 9d179d98d70bfc128d69f28d94a49e08786d3d17
Merge: 66da773c 519c8bbf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 30 21:56:37 2020 +0200

    Merge 0.2.8.3 into 0.2.8

commit 519c8bbf3ab05bb50352a314224f2c5e55ae766c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 30 17:42:42 2020 +0200

    Replace string.split with str.split
    
    string.split is apparently deprecated/removed and we're saving
    an import that way.

commit 81e4fd0e78735e54125a05d8175b201ca69bbe82
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 30 17:41:58 2020 +0200

    Activate python interpreter choice printing
    
    for better troubleshooting of build problems on remote servers.

commit 66da773c0063210fe93922e698ecc0d05f7a9910
Merge: 0d89e955 b619d37b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 29 22:04:56 2020 +0200

    Merge 0.2.8.3 into 0.2.8

commit b619d37b29e95ac1ab2969c57c57777001c13e26
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Mar 28 19:21:00 2020 +0100

    Better way of determining Python interpreter to use
    
    Use which on all variants, pick first one it returns.
    Prefer Python 3 over generic Python over Pyton 2.

commit 91532f3e5bfc5328da64404a6f714e053606ea94
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Mar 28 19:19:03 2020 +0100

    Actually make sortresources.py compatible with Python 3
    
    Correct StringIO import
    Replace os.path.walk with os.walk

commit cd5db6723a114c72c690582caa457826d166fcee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Mar 26 20:11:52 2020 +0100

    Try all variations of python interpeters
    
    Just python and python3 should suffice, or for now
    python2 and python3, but this way we stand a chance of
    still running when Python 4 comes out.

commit 56dcf8909fa9bf9dca9a0c2cdeab98e05aec7883
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Mar 26 20:06:02 2020 +0100

    Only build server in CI

commit 4561aa783893ce5ae241c3066e15768d3b2cf21a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 21:28:52 2020 +0100

    Remove more explicit references to Pyton 2

commit af2d572bad2571f48ec0e4b6faa8575330f73692
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 14:23:04 2020 +0100

    Port scripts to be compatible with Python 3.

commit 64c3637d43926b4aa68b7ae9003c3e37aeb42755
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 14:22:32 2020 +0100

    Mark non-essential script as dependent on python2.

commit 8e85bad7f376f99e3b52fd93589dd2e75b8ff6bf
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Fri Mar 20 22:37:01 2020 +1100

    Cherry-Pick from master:
    
    Use PKG_CHECK_MODULES to detect the libxml2 library

commit 394afbb6071ac22f9c4dc82cae63717de969d996
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 14:30:03 2020 +0100

    Add language backup files to .gitignore

commit 0d89e9554ff97731b5c1debaedafe20955b739b4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 14:23:04 2020 +0100

    Port scripts to be compatible with Python 3.

commit a8b985c8ceba772e7161cc782348ca58a12fb1bf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 14:22:32 2020 +0100

    Mark non-essential script as dependent on python2.

commit 4572fb58332daa248b1653b526cf644b7e9e9a93
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Fri Mar 20 22:37:01 2020 +1100

    Cherry-Pick from master:
    
    Use PKG_CHECK_MODULES to detect the libxml2 library
    
    fix

commit 497ebfbcf95cb73c20a5a98c1edfca64a1e7a2fe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 25 23:00:40 2020 +0100

    Remove DATE_R
    
    We always use either SOURCE_DATE_EPOCH as date source or the
    current date. Before the reproducibility patch, we would prefer
    to use the last change of the source file, which requires
    the -r flag, which we therefore tested for. Still supporting
    that now would require too much if/else logic.

commit 6ebf023d153a8a7a7fe69cd5c0b5d88c8e479769
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 25 22:04:06 2020 +0100

    Apply reproducible build patch from debian
    
    Looks useful, we can exploit it in our own build scripts.
    Needed adaptions; the changes we actually need are in HtmlMakefile
    which is basically an .am file, but the conditional for gnu make
    needs to be passed through. Automake does not like that. Lucily,
    smart people online found a solution to nab.

commit bebbbcd8433d7dac8dc2e1042d1dfd251fe11e56
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 25 21:54:20 2020 +0100

    Apply debian patch to desktop file
    
    Looks good. AppImageKit was also complaining about the added .png
    in the icon. The German translation is clunky as heck, but hey,
    German. Wouldn't know anything better that still is accurate.

commit 3849c2fbf8ffe37e9fe3ea400f3a88b030ee2c26
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 23 20:05:59 2020 +0100

    Update ignore lists to ignore config.guess

commit 7a8ca202e11ad4f2671c3bb5f305e6eb093f8531
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 23 16:05:09 2020 +0100

    Bump version to 0.2.8.3.6_betaXXXX

commit 8e2705f633513452c5a6b358ab865b05a3c23331
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 23 15:59:04 2020 +0100

    Remove config.guess from source control
    
    It gets restored (to a more current version) by ./bootstrap.sh

commit 0ee39ae25b525e1e2973ae9831e0669906c82a0b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 18 22:58:43 2020 +0100

    Fix version to 0.2.8.3.5

commit d046dda5778dbc834937909598377d1bf39294b9
Merge: cffac67f 6037de7e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 18 22:50:20 2020 +0100

    Merge Windows compilation fixes.

commit 6037de7ec56aa3064ea1bc9fcd5bb7ce3b6c8307
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 18 22:25:48 2020 +0100

    Explicitly supply an eFace * to std::pair constructors
    
    Some compiler versions are weird. Directly giving NULL did
    not work, and nullptr was not yet available (on Code::Blocks 10.05)

commit 1d280578232fded79ad3f6c780b0004cac4a4f02
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 18 22:25:19 2020 +0100

    Add missing include, required for Windows build now

commit b506f9eb7fb155cee2262759b41f5f4a05a086a8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 18 22:11:55 2020 +0100

    Adaption to codeblocks 10.05: isblank now exists

commit e9234fb1c4485bc2970501214b9e076d013c03b1
Merge: 763d3f8b cffac67f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 17 22:34:07 2020 +0100

    Merge from 0.2.8.3

commit cffac67f9a14bd97b71e688296f85b1d0ecc88fe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 17 22:28:07 2020 +0100

    Check that a client is allowed to send netobjects before changing any state
    
    Add a static AcceptClientSyncStatic() method to nNetObject classes to
    report that permission to the system before any objects need to be created.
    
    Previously, that was the sole responsibility of the virtual AcceptClientSync(),
    which required that we allow the object the client sends to be created, which
    already can cause damage. Furthermore, the cleanup in the case where creation
    should not be allowed was faulty and crashed.

commit 763d3f8ba365fcad92868f8d90b35b332f8fc80b
Merge: b219ae05 1f6e8d5a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 17 21:25:33 2020 +0100

    Merge docker/gitlab ci experiments from 0.2.8.3

commit 1f6e8d5a91742a80fdd41debe38c64427b3a051c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 18:22:30 2019 +0100

    Remove only: section
    
    Well, that was illegal. See if we can remove the offending section.

commit 806741c8e30e788f565c448993c60f9f583a467a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 18:19:30 2019 +0100

    Move common defs into global section
    
    Not sure if this is legal, but we'll see: Move things I expect
    to be identical in every future build job to the top.

commit e075e9306083f1d85e7027680d2f887c64e292f8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 17:43:48 2019 +0100

    Add basic dockerignore file

commit b6d8cfe547f2de3166610d78f6875b66ea1bd353
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 15:38:47 2019 +0100

    Configure yaml to work with local runners
    
    Follow docs from here:
    https://about.gitlab.com/blog/2019/07/31/docker-in-docker-with-docker-19-dot-03/
    
    Changes:
     - pin image versions for docker in docker (dind) build
     - add TLS variable to disable TLS use
     - explicitly request overlay2 docker driver (rumors say it performs better)

commit 6d63915b628ec87b1b092d4b1318990e29f94661
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 10:46:17 2019 +0100

    Define stages
    
    We only do build, but the default name for no-stages in gitlab
    seems to be test.

commit 300c6343797cf2125982c75fa1fe21bd72a97ee7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 10:32:57 2019 +0100

    Add ci yml file
    
    So, I haven't fully read the docs, but with just the dockerfile,
    gitlab CI runs some tests completely unsuitable for us. Maybe
    this file overrides those.

commit b219ae05c7a760aeaa3225dda965001ac9f27c90
Merge: a5597bf1 74191e8a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 24 00:04:25 2019 +0100

    Merge remote-tracking branch 'bzr_0.2.8.3/master' into 0.2.8

commit 74191e8a974459cdaa74b1efafde4cce87cac3ec
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Nov 23 23:57:35 2019 +0100

    Add Dockerfile
    
    Builds server and client (for CI), leaves runnable server
    image behind.

commit c34556fba70e6bc21afb4343ee6e3e54fbc1af06
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Nov 23 23:56:34 2019 +0100

    Adapt arguments to sort
    
    Some linuxes don't have --unique and --reverse, but -ru seems
    to work universally.

commit aad48287a98d32112c8600ee8d1b96de25500987
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 4 22:35:56 2019 +0200

    Make binreloc work again
    
    Apparenly, a recent-ish change in Linux binary loading now has
    constant strings in a segment that is marked differently in
    /proc/self/map, a post-memory-relocation readonly area, I gather.
    It is marked with r--p. Adapt binreloc to also accept such
    segments.
    
    Related to https://gitlab.com/armagetronad/armagetronad/issues/6,
    should reduce the number of cases the workaround needs to kick in.

commit 6aebadb3f5f4d3f39ad3063b09c7102fc04a01c6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 27 15:51:01 2019 +0100

    Disable some GCC warnings

commit a5597bf11aee1c85224a3689194d534fa12dcc1a
Merge: 23e976ce efdbfb8a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 27 15:24:29 2019 +0100

    Merge branch '0.2.8.3' into 0.2.8

commit efdbfb8a61798e645d1ee66b07ef7bb0d6e13e25
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 21 23:02:02 2019 +0200

    Explicitly request python2 for sortresources.

commit 04e3f9c1b36d8dedb005b156441c9017f731d47f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 27 15:16:27 2019 +0100

    Add .gitignore

commit 655cd9ffc28a5d0a1b1a902d1ae568f7dcbde7a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 22 10:47:34 2019 +0200

    Cherry pick merge from 0.2.8 of build fixes
    
    Alternative include dilemma fix
    one python2 pinning
    
    Rename version to version.m4
    Pin python to python2 on make dist

commit 23e976ce3fda7501411934f9e45bd5bcfbeb04f8
Merge: c37d65da 5903e67a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 27 14:38:52 2019 +0100

    Merge branch '0.2.8.3' into 0.2.8
    
    No actual changes committed, this is just to formally update
    the relationship between the branches that did not make the
    import from svn.

commit c37d65da77ab194eb7b630a6b7e7a0ca692d03c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 4 22:35:56 2019 +0200

    Make binreloc work again
    
    Apparenly, a recent-ish change in Linux binary loading now has
    constant strings in a segment that is marked differently in
    /proc/self/map, a post-memory-relocation readonly area, I gather.
    It is marked with r--p. Adapt binreloc to also accept such
    segments.
    
    Related to https://gitlab.com/armagetronad/armagetronad/issues/6,
    should reduce the number of cases the workaround needs to kick in.

commit 90036a889d6ca9fbcf4ce950e0e803eb2204e06b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 4 22:07:03 2019 +0200

    Revert to compiled in prefix if binreloc fails.
    
    Fixes https://gitlab.com/armagetronad/armagetronad/issues/6

commit b74f1f57a15922ba196e6f2f67f35550ae610606
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 29 12:04:11 2019 +0200

    Remove windows line endings

commit 16c22bfb6f782ff307ca1f50a4bdfcd5aa60e79b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 29 11:32:38 2019 +0200

    On my new Windows install, GL_CLAMP_TO_EDGE does not exist. Replace its use with GL_CLAMP conditionally.

commit 387da061770148388290dbd8051c0179c23221f2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 26 23:20:02 2019 +0200

    Better: use nObserverPtr to check for deletion of no
    
    This avoids the trouble the previous commit would have caused
    if no gets destroyed, but an entirely new object gets created in its
    place.
    I'd use nObserverPtr for the current object no itself, but
    nObserverPtr only is for const pointers.

commit a8aba708064050450b517990a0baff7dd41e0bba
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 26 23:08:46 2019 +0200

    Replace reference holding smart pointer with checks.
    
    The reference counting smart pointer here had side effects; it
    destroyed the main game timer when a second player connects (fixed
    in the last commit) and caused duplicate death sync messages for cycles
    (not separately fixed).
    So now, instead of holding a reference, we check whether the object
    still exists after calling unknown code.

commit 7f2c8ee1e74528419f1f52d2fa6ff5825c8dd4fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 26 22:47:07 2019 +0200

    Hold reference to timer singleton.
    
    Prevents its deletion from temporarily referencing smart pointers.

commit 5b16f6b1a326bef103d6d580c84d8b2a32158184
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 25 23:18:16 2019 +0200

    Replace some raw pointers with refcounting ones
    
    The actions performed in the scope where the pointers live in may
    destroy the pointed to object and invalidate the pointer.

commit a0d582220c76d0729600efe7c567c62bcc2e9167
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 22 11:27:51 2019 +0200

    Declare default copy assignment operators

commit 7d6a2375b3ed152e9f6ec11ce1c7047e7898d6f2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 22 10:52:54 2019 +0200

    Fore remove of old version file

commit 143a9f1e5ceddc6d045900293fffaa0b70d569ef
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 22 10:47:34 2019 +0200

    Alternative include dilemma fix
    
    Rename version to version.m4
    Pin python to python2 on make dist

commit 98b9665e800ba7fefaad8ad02d1b165461b4dd86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 22 10:38:38 2019 +0200

    Revert -I- addition, it causes irrepairable trouble on older Ubuntus.

commit f80e0251897a600e8d8542f4371647479bd141a9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 21 23:15:51 2019 +0200

    Handle case where binreloc is requested, but does not work.

commit 94e24d8bfae625be52a6c7e88263bc655d5d8857
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 21 23:05:15 2019 +0200

    Compilation fixes
    
    Replace memsets with explicit initialization
    Catch exceptions by const ref

commit 6ce55e6249eb4e09efb6918ac155d5a15128c726
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 21 23:04:42 2019 +0200

    Replace -I with -iquote in CPPFLAGS where we can.

commit 898824a74201efa9c0a88bcba656058016534290
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 21 23:02:43 2019 +0200

    Disable SDL glext replacement, we don't need it and it causes compilation warnings.

commit 10cabe7571a585b9daa4b8ca41478b4d4a16d9e3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 21 23:02:02 2019 +0200

    Explicitly request python2 for sortresources.

commit 629e51f2e9a948cd0a075a9394a9507e1df34c12
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 19 10:50:14 2019 +0200

    Silence memcopy warnings, noticing that the particle system relies on undefined behavior by reading outside struct bounds.

commit 4d16674ecf6afcef5d5972eeeba2dcff5a94a869
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 19 10:49:53 2019 +0200

    Fix warnings about missing copy constructor.

commit 38b2f3720bdae7c77b0b73611d5e984e70aaad79
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 26 21:38:16 2019 +0100

    Change fallback player name to "Player X"
    
    where X is the client ID (Was always "Player 1").
    Should lead to more stable names.
    
    Amends https://gitlab.com/armagetronad/armagetronad/issues/4

commit bff7a921895901aa46143dccd6c7f2983a009765
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 26 19:16:59 2019 +0100

    Add check to IsLegalPlayerName
    
    If the resulting username from special character elimination
    is empty, the player name is considered invalid.
    
    First fix for https://gitlab.com/armagetronad/armagetronad/issues/4

commit 1b3a77076a60fc692e0fc0177ab5b0c0a1aef28b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 17 23:16:00 2019 +0100

    call nLoginProcess::Finish in the foreground
    
    nLoginProcess::Finish does not talk to the authority with blocking
    requests, so it does not need to be run in a background thread.
    (and if if would, ScheduleMayBlock would be the scheduler to use)
    
    It does, however, in S_LoginResultCallback implemented in ePlayer.cpp,
    send regular messages, which has to be done on the main thread.
    
    Fixes https://github.com/ArmagetronAd/armagetronad/issues/1
    (I hope, it's really just a best guess)

commit 96d4a14bfce5b1b314ac06da0c89f83140896097
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 15 23:20:00 2019 +0100

    add translation update backups to ignore list

commit b0a5e9790855b3509305732ceb1ec3e8dd554acd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 15 23:14:39 2019 +0100

    changing expired vote notice
    
    contrary to what I believed earlier, the 'Expired Vote' text
    in menus is generated on the client. It would be too much work
    to extend the state in a way compatible with 0.4, so for now,
    change 'Expired Vote' to "original text (Already resolved)"
    and make it translatable.

commit d4a62beee136eba2e32740ea0f8da2050a4914c7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 15 22:56:37 2019 +0100

    add eVoteItemServerControlled::Pending()
    
    currently just !Expired(), but I want to extend the state set.

commit 9793bffc55c3f87a39d6159ca19e8c145adfee88
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 14 00:00:35 2019 +0100

    safer vote item properties
    
    eVoteItemHarmServerControlled::DoGetDescription and DoGetDetails
    were relying on Update() having been called, only then the
    base implementation in eVoteItemServerControlled would give
    the correct output. Now they relay to eVoteItemHarm directly
    if not expired.

commit 50e8aa0b38292b8d7e1c54305cbbefd459416d63
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 23:24:49 2019 +0100

    remove empty directory

commit 467ea8ef4458311bb761de1d9cbda2344c59aada
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 21:42:31 2019 +0100

    add missing bzr_count_revisions function

commit b2cf2f22bbaaa4bc82b10f21a440a8f2c517f8f6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 21:39:15 2019 +0100

    remove obsolete svn version generation

commit fad08e835e2685d9f09a336e121344ffc4cbce41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 21:37:46 2019 +0100

    remove obsolete cvs version generation

commit 772650255b42ccea3e12e7fb184dec4fe2dd7aa1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 21:35:25 2019 +0100

    adapt git versioning scheme
    
    also copied from master: adapt prefix to z (to match bzr),
    plus syntax fix.

commit 6952b9c03066c5a804e9e2d8e9242b818364f981
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 21:34:14 2019 +0100

    copy bzr version logic from 0.4
    
    It gives the same revision numbers as the git alpha versioning
    scheme, unlike the primitive revno based scheme before.

commit 8d3b144a60681194a1cd2cf5bfd8fb02bf2cf392
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 00:30:03 2019 +0100

    Added emacs backup files to .gitignore

commit 33214d53237df003562f3966ead5b118b95e5d01
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 10 00:22:29 2019 +0100

    add git as a version source
    
    If the source has a .git subdirectory, let the version be:
     1. a current git tag, stripped of version_ and release_
     2. major_version_alpha_g{git revision count} if
        there are no local changes
     3. that plus _${DATE} if there are local changes

commit f1912959305d0a173098c07ff1f37d7e51835436
Merge: ff97a86d 450266e1
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed Dec 12 18:03:55 2018 +0000

    Merge branch 'eclipse-ignores' into 'legacy_0.2.8'
    
    Added eclipse ignores (patch by Light)
    
    See merge request armagetronad/armagetronad!1

commit 450266e1f1df7f9064ba7ec07aebd1e337e5a2e6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Dec 12 19:00:07 2018 +0100

    Added eclipse ignores (patch by Light)

commit ff97a86dae73c78ce89e322aedd4c7f66d9dc558
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed Dec 12 18:42:08 2018 +0100

    Added .gitignore (merge from master).

commit d326ca06c9c8085535d9b0e4bd047714fba8b932
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Dec 8 00:06:36 2018 +0100

    Making char buffer sprintf targets larger to silence warnings.

commit 29e86496c882d462bc8b88813021312bf95ea59f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Nov 24 11:39:02 2018 +0100

    Fix for bug #180489: Do not check null->IsSilenced(). Also, check whether the SENDER of a vote is silenced, not the receiver.

commit 5903e67a7384f686abc75cfbd9f29b3e0f87b9e7
Author: z-man <z-man@users.sf.net>
Date:   Wed Nov 21 22:00:41 2018 +0000

    manually merging dereference crashfix from bzr 0.2.8.

commit f397709ba2086529b326ba048fff424a598b3dcf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Nov 21 22:43:45 2018 +0100

    Another fix for a silly auto_ptr null dereference.

commit e996c59ce099284b155214b738c4aa7185eca0ef
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Nov 21 22:30:35 2018 +0100

    Softening GCC's fallthrough warning. The cases we have are on purpose and have been marked accordingly with comments (which GCC notices). https://developers.redhat.com/blog/2017/03/10/wimplicit-fallthrough-in-gcc-7/

commit d4ae19a9d35127e4839b8067113d0d2db42943d0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 4 23:17:32 2018 +0200

    Fixing more instances of reliance on the undefined behavior that previously allowed if(this) tests to work.

commit adc976ddbf26b6fd7cec2bbb8950b6a4dc9c51c0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 21 00:03:39 2017 +0100

    Removing any regard for the client transmitted time in obsolete function eNetGameObject::ReceiveControlNet.
    Leaving the control mechanism around for very old regular clients,
    even though chances are not good it still works; the IDs used to
    identify actions are assigned in a broken way and have drifted off.

commit 0e2faeb5e67b75a2a3ed10c0de0eaa8b0757db17
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Dec 10 22:16:25 2016 +0100

    Removing NOP glscale call.

commit eadf61823682c1a9879e538b19db2298b2157bc8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Dec 6 23:53:00 2016 +0100

    Corrected menu background aspect ratio for 16:9 screens and fixed jumpy scrolling.

commit 52235fe29435cfd6e87420e731b899728b29c760
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Dec 4 12:47:38 2016 +0100

    Trying different C++ standard options: First 11, then 14, then 17, then the preliminary 0x.

commit 3c63dd307d0e852961a13be220a252e2923da706
Author: z-man <Unknown>
Date:   Tue Nov 29 22:46:04 2016 +0000

    Merging branch 0.2.8.3 from revision 10875 to 10881:
     ------------------------------------------------------------------------
     r10881 | z-man | 2016-11-29 23:44:21 +0100 (Di, 29 Nov 2016) | 2 lines
    
     applying f-thiessen@launchpad's null derefernce crashfix. Dammit. We already had this in 0.4, why not here?
    
     ------------------------------------------------------------------------

commit 1dd6e9ca74ae9ec8cdc5359cecaf6b6766f01a12
Author: z-man <z-man@users.sf.net>
Date:   Tue Nov 29 22:44:21 2016 +0000

    applying f-thiessen@launchpad's null derefernce crashfix. Dammit. We already had this in 0.4, why not here?

commit ff81cdf6be79f7ae32277c3f919e36d0e131a903
Author: z-man <Unknown>
Date:   Sun Nov 27 10:04:01 2016 +0000

    Merging branch 0.2.8.3 from revision 10867 to 10875:
     ------------------------------------------------------------------------
     r10874 | z-man | 2016-11-19 01:12:09 +0100 (Sa, 19 Nov 2016) | 1 line
    
     Disabling silly network expiration, this is a stabilization branch. (Was already here)
     ------------------------------------------------------------------------

commit 89d86202ed923a7e919b8ff2bcb8475d982d377d
Author: z-man <z-man@users.sf.net>
Date:   Sat Nov 19 00:12:09 2016 +0000

    Disabling silly network expiration, this is a stabilization branch.

commit 0e86e6165f7a22b4f188201bceafdb5af732e33b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Nov 15 00:00:43 2016 +0100

    Added version.h to ignore list

commit dd187a1d6dc44888f627bb2468ec76cfd72d4f6f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Nov 14 00:17:16 2016 +0100

    First use of C++ 11: Replace auto_ptr with unique_ptr. Also, first 'auto'.

commit 93874170cddbc4ecc12fcc18c3b55e2809b6d3c2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Nov 14 00:00:51 2016 +0100

    Activating C++ 11.

commit 45be8655029eb2c36e8c3eec067b0f9c0890880d
Author: z-man <Unknown>
Date:   Sat Nov 12 21:33:19 2016 +0000

    Merging branch 0.2.8.3 from revision 10863 to 10867:
     ------------------------------------------------------------------------
     r10866 | z-man | 2016-11-08 23:04:58 +0100 (Di, 08 Nov 2016) | 4 lines
    
     Turning the undefined crashy functions into functions that should work
     fine even on gcc6 by tricking it to actually perform checks on the
     this pointer. Just as an extra safety net.
     (Not merged. We'll be fine here.)
    
     ------------------------------------------------------------------------
     r10865 | z-man | 2016-11-08 23:03:32 +0100 (Di, 08 Nov 2016) | 2 lines
    
     Formatting.
    
     ------------------------------------------------------------------------

commit 912162d286d089da8b672ad6889183dac6197438
Author: z-man <z-man@users.sf.net>
Date:   Tue Nov 8 22:04:58 2016 +0000

    Turning the undefined crashy functions into functions that should work
    fine even on gcc6 by tricking it to actually perform checks on the
    this pointer. Just as an extra safety net.

commit cbd43b36ef7770e8257b31a091752d2b930702e3
Author: z-man <z-man@users.sf.net>
Date:   Tue Nov 8 22:03:32 2016 +0000

    Formatting.

commit d3937405eeaa46bb5a9eb4a7c212c42f3d97ee63
Author: z-man <Unknown>
Date:   Tue Nov 8 21:44:15 2016 +0000

    Merging branch 0.2.8.3 from revision 10852 to 10863:
     ------------------------------------------------------------------------
     r10862 | z-man | 2016-10-26 00:37:03 +0200 (Mi, 26 Okt 2016) | 2 lines
    
     Adding fromunix.sh from 0.2.8, technically a merge. (not merged)
    
     ------------------------------------------------------------------------
     r10861 | z-man | 2016-10-25 00:19:46 +0200 (Di, 25 Okt 2016) | 2 lines
    
     More NULL checks and assertions. None of them were problematic.
    
     ------------------------------------------------------------------------
     r10860 | z-man | 2016-10-25 00:19:18 +0200 (Di, 25 Okt 2016) | 5 lines
    
     Proper NULL checks for list sorting, the ones in tLinkedList just for
     safety (can't really be NULL at that point, but careless code changes may
     change that). The only problematic case would be sorting an empty
     list, which does not happen with the current (hardcoded) data.
    
     ------------------------------------------------------------------------
     r10859 | z-man | 2016-10-25 00:15:41 +0200 (Di, 25 Okt 2016) | 2 lines
    
     Removed unused function.
    
     ------------------------------------------------------------------------
     r10858 | z-man | 2016-10-25 00:14:57 +0200 (Di, 25 Okt 2016) | 3 lines
    
     In the spirit of proper testing, make calls that crash a gcc 6 build
     crash for everyone. Will probably revert for full release.
    
     ------------------------------------------------------------------------
     r10857 | z-man | 2016-10-25 00:13:28 +0200 (Di, 25 Okt 2016) | 5 lines
    
     Fixed two misleading indentations, one of them was indeed hiding
     faulty logic. The effect was just stuff written to a non-open file
     stream in case the file could not be opened for writing, so probably
     harmless.
    
     ------------------------------------------------------------------------
     r10856 | z-man | 2016-10-25 00:08:57 +0200 (Di, 25 Okt 2016) | 2 lines
    
     Proper fopen return value check. Sort of merged from 0.2.8.
    
     ------------------------------------------------------------------------
     r10855 | z-man | 2016-10-25 00:06:48 +0200 (Di, 25 Okt 2016) | 2 lines
    
     Added tASSERT_THIS for compiler warning free assertions that the this pointer is valid.
    
     ------------------------------------------------------------------------
     r10854 | z-man | 2016-10-25 00:01:43 +0200 (Di, 25 Okt 2016) | 2 lines
    
     Proper NULL pointer checks instead of this checks here, too.
    
     ------------------------------------------------------------------------

commit 852bfe0049611f46952ab7ca6a258b196b565e23
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Nov 4 18:30:06 2016 +0100

    Adding new automake generated link to ignore list.

commit 1612f256d53554ed1f42028c2b119773c8359ae9
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:19:46 2016 +0000

    More NULL checks and assertions. None of them were problematic.

commit 096f65123d111fd23cce27d95b0b6ee317a409d8
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:19:18 2016 +0000

    Proper NULL checks for list sorting, the ones in tLinkedList just for
    safety (can't really be NULL at that point, but careless code changes may
    change that). The only problematic case would be sorting an empty
    list, which does not happen with the current (hardcoded) data.

commit dd54c588f1c9e89c56db5d4c36285587c6ead10e
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:15:41 2016 +0000

    Removed unused function.

commit de8af4dba6fe530ae65f29c5f5bf1008d3253aa3
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:14:57 2016 +0000

    In the spirit of proper testing, make calls that crash a gcc 6 build
    crash for everyone. Will probably revert for full release.

commit d87274ac4a0b7693ccd1c895f095dc2a80863a6f
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:13:28 2016 +0000

    Fixed two misleading indentations, one of them was indeed hiding
    faulty logic. The effect was just stuff written to a non-open file
    stream in case the file could not be opened for writing, so probably
    harmless.

commit c360cc77631df5adef826eb4e3a6cc4c8c852cc5
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:08:57 2016 +0000

    Proper fopen return value check. Sort of merged from 0.2.8.

commit ac3243ebdd23495c312cdad642683b792cf04968
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:06:48 2016 +0000

    Added tASSERT_THIS for compiler warning free assertions that the this pointer is valid.

commit 9fd263ee97e31e7c09d725ca7fc554a560b8e206
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 22:01:43 2016 +0000

    Proper NULL pointer checks instead of this checks here, too.

commit ad9d20f2f2bdc836253162631f22ae3aea70b8d0
Author: z-man <Unknown>
Date:   Mon Oct 24 22:00:16 2016 +0000

    Merging branch 0.2.8.3 from revision 10845 to 10852:
     ------------------------------------------------------------------------
     r10852 | z-man | 2016-10-24 22:57:02 +0200 (Mo, 24 Okt 2016) | 2 lines
    
     Updated release notes for upcoming 0.2.8.3.4 (not merged)
    
     ------------------------------------------------------------------------
     r10851 | z-man | 2016-10-24 02:05:22 +0200 (Mo, 24 Okt 2016) | 2 lines
    
     All builds from this branch are now probably BETA. (not merged)
    
     ------------------------------------------------------------------------
     r10850 | z-man | 2016-10-24 02:04:52 +0200 (Mo, 24 Okt 2016) | 1 line
    
     Merging format change from 0.2.8, don't mess with directories during rebranding sed run
     ------------------------------------------------------------------------
     r10848 | z-man | 2016-10-24 00:53:31 +0200 (Mo, 24 Okt 2016) | 3 lines
    
     Marked memory manager as currently broken (gcc 6 compatibility
     problems) and disabled its activation for debug builds. (not merged, hope we can fix it here)
    
     ------------------------------------------------------------------------
     r10847 | z-man | 2016-10-24 00:29:51 +0200 (Mo, 24 Okt 2016) | 1 line
    
     Updating NEWS
     ------------------------------------------------------------------------
     r10846 | z-man | 2016-10-24 00:20:10 +0200 (Mo, 24 Okt 2016) | 2 lines
    
     Another gcc-6 related crashfix due to undefined behavior.
    
     ------------------------------------------------------------------------

commit 6dcc04b60db8a560f2e8753d202217df6b5f616d
Author: z-man <z-man@users.sf.net>
Date:   Mon Oct 24 00:05:22 2016 +0000

    All builds from this branch are now probably BETA.

commit 0ff7339a52a039d222d149ed7fcffe5e803625fe
Author: z-man <Unknown>
Date:   Sun Oct 23 22:54:36 2016 +0000

    Merging branch 0.2.8.3 from revision 10723 to 10845:
     ------------------------------------------------------------------------
     r10845 | z-man | 2016-10-24 00:13:56 +0200 (Mo, 24 Okt 2016) | 1 line
    
     Merging gcc-6 fixes from 0.2.8
     ------------------------------------------------------------------------
     r10844 | z-man | 2016-10-23 22:41:05 +0200 (So, 23 Okt 2016) | 1 line
    
     Merging ubuntu changes
     ------------------------------------------------------------------------
     r10843 | z-man | 2016-10-23 22:36:09 +0200 (So, 23 Okt 2016) | 1 line
    
     Merging ubuntu build changes from 0.2.8, part 4
     ------------------------------------------------------------------------
     r10842 | z-man | 2016-10-23 22:35:33 +0200 (So, 23 Okt 2016) | 1 line
    
     Merging ubuntu build changes from 0.2.8, part 3
     ------------------------------------------------------------------------
     r10841 | z-man | 2016-10-23 22:32:32 +0200 (So, 23 Okt 2016) | 1 line
    
     Merging ubuntu build changes from 0.2.8, part 2
     ------------------------------------------------------------------------
     r10840 | z-man | 2016-10-23 22:31:54 +0200 (So, 23 Okt 2016) | 1 line
    
     Merging ubuntu build changes from 0.2.8, part 1
     ------------------------------------------------------------------------
     r10740 | z-man | 2015-02-26 20:28:18 +0100 (Do, 26 Feb 2015) | 2 lines
    
     Updating NEWS and releasenotes.txt for 0.2.8.3.3
    
     ------------------------------------------------------------------------
     r10736 | z-man | 2015-02-16 06:55:52 +0100 (Mo, 16 Feb 2015) | 4 lines
    
     Merge from 0.2.8:
     png_sig_cmp is in both libpng12 and libpng14, where as png_check_sig is only libpng12 --ssuominen
    
    
     ------------------------------------------------------------------------
     r10730 | z-man | 2015-02-04 23:19:32 +0100 (Mi, 04 Feb 2015) | 2 lines
    
     Radical solution: disabling generation of uninstall script.
    
     ------------------------------------------------------------------------
     r10725 | z-man | 2015-02-01 10:49:46 +0100 (So, 01 Feb 2015) | 1 line
    
     Removing pointless saucy upload
     ------------------------------------------------------------------------
    Most not really merged, they were already here.

commit 9e0c584ba329b272f5c43f2a04a141be109afdab
Author: z-man <z-man@users.sf.net>
Date:   Sun Oct 23 22:53:31 2016 +0000

    Marked memory manager as currently broken (gcc 6 compatibility
    problems) and disabled its activation for debug builds.

commit 8b82419852f84a3cd262178da7b97da93b39d09d
Author: z-man <z-man@users.sf.net>
Date:   Sun Oct 23 22:29:51 2016 +0000

    Updating NEWS

commit ae0856ddb133432aba80d3b9bdc80b5ce9fc6f3b
Author: z-man <z-man@users.sf.net>
Date:   Sun Oct 23 22:20:10 2016 +0000

    Another gcc-6 related crashfix due to undefined behavior.

commit 959c018445ef16b69fee6aef426ea6a1ed5883c1
Author: z-man <z-man@users.sf.net>
Date:   Sun Oct 23 22:13:56 2016 +0000

    Merging gcc-6 fixes from 0.2.8

commit 00144326d75a8d1dc6ce50cdfaf663945086b9bb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Oct 19 01:10:23 2016 +0200

    More undefined behavior: operator<<(eTeam) was supposed to accept nulled references. Also replaced illegal bit shift with INT_MIN.

commit 106127d35d638fa2de80ba1fc745af7e9c11345a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Oct 19 00:36:10 2016 +0200

    Undefined behavior fix: Don't allow nullptr == this. Fixing the one instance where this made known trouble in practice and the other one where the undefined code was only in an assert.

commit ceead84b51333b5f8460ef380187aafc245772c3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 11 08:14:52 2016 +0200

    Silly me, we have tDelay to use instead of usleep.

commit d3173f9c24a4b34594c1a683df446b83be5adb52
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 11 08:12:57 2016 +0200

    Removing unused function

commit efbc5712f7fc7806271b25e8f5ea8ad33b772c99
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 11 08:05:08 2016 +0200

    No more use of usleep on Windows

commit 37fde4b4f9edd67211f00c8b4c478fbd1adde679
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Aug 28 11:09:49 2016 +0200

    Applying Michael Catanzaro's desktop file fix.

commit 726d836a8a85994ccb270aa3191577530d11d1e6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 11 21:43:07 2016 +0200

    Cleaning up fix so the current code looks better.

commit 3d335e4350aaa015aaf52f28cd63df4dd19e456a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jul 11 21:17:38 2016 +0200

    Applying minimal fix attempt to GCC 6 compilation. Disabling private operator<< without definition, implementing other operator<< in terms of new member function.

commit b869743cef7f728ecc54611202e1b02ad720dfa5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 28 00:00:41 2016 +0100

    Making texture coordinates for menu background not grow without bounds over time, have them wrap around.

commit 31662981c018f6876cd3fb38715426c6c06acb60
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Dec 12 16:17:18 2015 +0100

    And another Kyle fix improvement.

commit 4ca6623bf9c1b871381bd973cd0abea9896705d8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Dec 10 22:55:29 2015 +0100

    Applying kyle's followup spawn fix.

commit 32fbb3b3b4774a097b7f21ac75eb8e72e1f986bd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Dec 9 22:09:50 2015 +0100

    Merging kyle's no-respawn-unless-game-is-running fix. Sounds like a
    good idea, even though it apparently did not fix the problem it was aimed at.

commit f473206118c847604df8f4e2c5066dbd2f813606
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Dec 6 19:22:37 2015 +0100

    On port bind failure, wait a bit, then try first port again.

commit e043394560bf57352f8c66de0d30d29bc24aed6e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 11 10:06:58 2015 +0200

    Adding /vote silence, voice.

commit fbe9f9ccf2f641ed7af0c3ee3d95e785e508d308
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Sep 22 23:41:57 2015 +0200

    Don't accept clientside created AIs. Just in case.

commit 9180ac1a4e580df20ec14bb4b209651748d4add5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Sep 22 22:58:41 2015 +0200

    Suspensions and silencings are now stored in ePlayerNetID-independent
    datastructures immediately. You can't wriggle your way out of them
    that easily any more.

commit 66dc40ccc738e325dd2da985084e6269688bdf55
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 20 23:22:46 2015 +0200

    Compatibility with c++11's changed exception specification for operator new.

commit f15301cb8e325a3b80e471b5a7bd8b9395cf499b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 00:04:42 2015 +0200

    Lowering default CONNECTION_LIMIT setting from 100 to 5.

commit 185d2830c05de33d7942ffaf10d949237883958a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 00:04:18 2015 +0200

    Mode range check when looking up aspect ratios.

commit 89e94413ea521d27de35ae1aca06059730056f6c
Author: z-man <z-man@users.sf.net>
Date:   Thu Feb 26 19:28:18 2015 +0000

    Updating NEWS and releasenotes.txt for 0.2.8.3.3

commit 438253658dbe69ff0bc3a88a8a7922e7beb428b7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 24 23:49:45 2015 +0100

    Fixing bug that caused the master server not disconnecting clients as soon as they have the full list.

commit 230a8ffc6cc661b8cca9c059e9c39f4a523d8996
Author: z-man <z-man@users.sf.net>
Date:   Mon Feb 16 05:55:52 2015 +0000

    Merge from 0.2.8:
    png_sig_cmp is in both libpng12 and libpng14, where as png_check_sig is only libpng12 --ssuominen

commit de7c68aa87003a0e2e2a8fe78df6d80646262e88
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Feb 7 23:48:46 2015 +0100

    "Keep Window Active" now defaults to true.

commit 3951514a4872e7dae4d05e941c0732d865a613fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Feb 6 23:57:07 2015 +0100

    Kill clients that send no or wonky turn time information as soon as their rubber runs out.

commit 73ee9a0fd0a0fdef3dbe9f933f1a75a0b872d4a1
Author: z-man <z-man@users.sf.net>
Date:   Wed Feb 4 22:19:32 2015 +0000

    Radical solution: disabling generation of uninstall script.

commit 8342aea5a47f52d0107274a442c087886305ca96
Author: z-man <Unknown>
Date:   Thu Jan 29 23:38:31 2015 +0000

    Merging version script adaptions to new svn format.

commit effcf28857cb1b3d15e995aa4acd422048e943f5
Author: z-man <z-man@users.sf.net>
Date:   Thu Jan 29 23:33:35 2015 +0000

    merging version script adaptions

commit e879dd10b0cf8da5b89cd3b6ed0522f5c8d53fd3
Author: z-man <z-man@users.sf.net>
Date:   Thu Jan 29 22:39:48 2015 +0000

    Merging fixes for various potential bugs from 0.2.8.

commit 6e878b3b57d28f03c153145d5f7519ba578ca7f5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 26 21:41:29 2015 +0100

    Added sender checks to login deny and logout message handers.

commit 5b55dc359a5afb59e57a75c051af660207a84ba1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 25 14:38:00 2015 +0100

    While logged into a server: Rejecting packets from unknown sources as
    early as possible.

commit 68fbeda4b0d9846e66dda40b828000a13e6536e5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 25 01:12:00 2015 +0100

    Weakening client-from-client disconnect error. Make it a warning, not
    a crash, and ignore it if the client ID is the login slot.

commit ff471e2b5596a1f1eb838baefe2d41ac872201c0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 24 23:42:48 2015 +0100

    Disconnecting the right user on problems.

commit b3e43660f03aed340d721d826424f9c1fd8ef6d7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 24 23:28:24 2015 +0100

    Discard ultra-short UDP packets right away.

commit 7a7c4dc07a922fe81c00a548c6a70b8da0afbd3b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Aug 30 09:22:09 2014 +0200

    Applying Apo's desktop file change for debian.

commit cb5729befdfba6f0934ee5cee6e8f709468ce0c4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 20 21:18:34 2014 +0200

    Fixing new complaints of gcc 4.8, hopefully without breaking stuff.

commit 5e9c71e42a1dfb0fc90a9f580304789c9647da86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Apr 15 18:23:00 2014 +0200

    Better idea: two masters from me, two from Tank.

commit 7b65dd8256d5edc50fd771f1ebb0e001a698319a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Apr 15 00:32:40 2014 +0200

    Moving master servers over to armagetronad.org aliases.

commit a585357f279fbd58818eacf74023c799925d23fe
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Jan 21 20:54:53 2014 -0500

    Filter the Latin-1 C1 control character group.

commit 0600220f77028fdf2645dee19cdd6d688735292f
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Jan 19 02:03:02 2014 -0500

    Reset persistent spam data when a machine is banned.
    
    Fixes the issue of a client returning after a ban for chat spam and receiving a new longer ban for sending one chat message (bug #1269909).

commit 9d47a0487739f794c450633d6fce7e2fafc66742
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Jan 12 12:08:21 2014 -0500

    Added ACCESS_LEVEL_ANNOUNCE_LOGIN setting that determines if a player's login/logout message can be announced. This can help cut down on authentication-spam for tournaments. Example:
    
        # Only users who are Team Leader or more privileged get their login/logout announced.
        ACCESS_LEVEL_ANNOUNCE_LOGIN 7

commit 752ae8526d801f29c8bd321ed08000e020c99547
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Jan 2 20:14:24 2014 -0500

    Don't cause an assertion failure in ePlayerNetID::MyInitAfterCreation when running a client in debug mode—clients don't track machines.

commit 4d4310fedd11966729886781c752cd37503e73e7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Dec 16 23:30:28 2013 +0100

    Better protection against timebot false positives caused by rubber
    usage.

commit dfa715a9e8b5828190edcb3e86f3217105d5e13a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Dec 14 13:17:08 2013 +0100

    Correcting outside corner grind timing calculation for non-rectangular axes.

commit 05b9a17114fd19741f05b6ba4800abc50f7eebe3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Dec 8 22:11:04 2013 +0100

    Simple ant-driveby spam measure: cut out away time (and then some) from breaks between spams.

commit 54b24e93b8a7132f532f358e4f7bc24010bd027a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Dec 5 23:23:30 2013 -0500

    Use gender-neutral pronouns.

commit 2b84ee467500d634de747241dbdcdc1910c99cd8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Nov 23 19:39:43 2013 +0100

    Better logic for determining which past chat comes from disconnected
    players. Not fooled by lingering active players any more (unless they
    spam as well, which should be easy to detect).

commit 2aa1ccdfcae5665187eb03bd6ecb81ff6d237a0e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Nov 23 19:06:10 2013 +0100

    Players with anything better than default remote authentication now
    get a short list of past players and their goodbye chat. Including IP
    addresses if authorized. Information is polled from the nMachine list.
    Small flaw: list will not contain drive by spam from players that
    still have one active login.

commit 4bd824915fdb8ff5b1efd43b88269bfe584a94f0
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Nov 20 14:10:12 2013 -0500

    Filter non-breaking space.

commit d9e928ed225484825506650a461bb52c327e2552
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Oct 19 13:13:52 2013 -0400

    Handle implausible case where CountZonesOfTeam() does not set farthest.

commit 7e25d229f054e3b47b4158e563d7df03f3988f0f
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Oct 19 13:08:20 2013 -0400

    Handle cases where receiver is NULL in se_ListAdmins().

commit fbeb1d5a46cf76553267d7d773a8b721c5572c55
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Oct 19 12:48:44 2013 -0400

    Assign default values to protect against cases where these variables are not set, and as a result will contain garbage values.

commit 1e16beb6ba4543c5d0dff20d4a87aabffc91d2b7
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Oct 19 11:59:26 2013 -0400

    Fix NULL check in nLoginProcess::ProcessClientAnswer. This was audited by Z-Man, and it is not exploitable.
    
    There is a NULL check on the client socket done in rec_peer(), which is part of the call chain to handle the message (rec_peer → nDescriptor::HandleMessage → nAuthentication::HandlePasswordAnswer → nLoginProcess::ProcessClientAnswer).

commit e037517153416c2e000bef9b2cfa27eb3d0beab6
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Oct 19 11:53:50 2013 -0400

    Don't leak memory in tResourceManager::locateResource.

commit cc68232ccbd479782d15c28fd8f0df85d260b465
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Aug 2 22:47:40 2013 -0400

    Don't crash due to assertions in nMachine::GetMachine() when running a client in debug mode.

commit c2b4677d87885ad4bf0620184efc1c66eec259c0
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Jul 27 02:10:53 2013 -0400

    The length of eVoter::voters_ isn't necessarily the number of actual voters, since voters are no longer lazily created.

commit d67119adcf53498cbedb2b9dae52ef7c2ca6dbb4
Merge: 1fa9b289 169b42db
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Thu Jul 25 21:34:48 2013 +0200

    Automatic merging of commits that would change history order:
       ------------------------------------------------------------
       revno: 1418.1.4
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Wed 2013-07-24 13:54:17 -0400
       message:
         Don't prevent a vote suggestor's name change if the vote passes.
       ------------------------------------------------------------
       revno: 1418.1.3
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Tue 2013-07-23 22:45:51 -0400
       message:
         Voting bug fixes, mostly related to eVoter::GetVoter(int)'s usage of the ALLOW_VOTING_SPECTATOR setting.
    
         * Fixed suspension and silenced status not being re-applied after a player disconnects and rejoins a server.
         * Fixed an off by one error in ePlayerNetID::IsAllowedToRename() that disallowed a player to rename when they entered, causing them to have a blank name.
         * Fixed possible issues when ALLOW_VOTING_SPECTATOR is changed while the server is running.
       ------------------------------------------------------------
       revno: 1418.1.2
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Wed 2013-07-17 12:49:16 -0400
       message:
         Fix automake 1.14 warnings about option 'subdir-objects' being disabled. We may as well enable it, according to the warning message:
    
         automake: warning: possible forward-incompatibility.
         automake: At least a source file is in a subdirectory, but the 'subdir-objects'
         automake: automake option hasn't been enabled.  For now, the corresponding output
         automake: object file(s) will be placed in the top-level directory.  However,
         automake: this behaviour will change in future Automake versions: they will
         automake: unconditionally cause object files to be placed in the same subdirectory
         automake: of the corresponding sources.
         automake: You are advised to start using 'subdir-objects' option throughout your
         automake: project, to avoid future incompatibilities.
       ------------------------------------------------------------
       revno: 1418.1.1
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Wed 2013-07-17 12:39:19 -0400
       message:
         Fix error in batch/make/version when using non-GNU grep.
    
         The ?-P? option is a GNU extension, and not actually necessary in this instance.

commit 169b42dbbf0573a8ec85bc959d1686efa007da85
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Jul 24 13:54:17 2013 -0400

    Don't prevent a vote suggestor's name change if the vote passes.

commit c96b80c1d66a87d818da9bc43a44d78b15c49623
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Jul 23 22:45:51 2013 -0400

    Voting bug fixes, mostly related to eVoter::GetVoter(int)'s usage of the ALLOW_VOTING_SPECTATOR setting.
    
    * Fixed suspension and silenced status not being re-applied after a player disconnects and rejoins a server.
    * Fixed an off by one error in ePlayerNetID::IsAllowedToRename() that disallowed a player to rename when they entered, causing them to have a blank name.
    * Fixed possible issues when ALLOW_VOTING_SPECTATOR is changed while the server is running.

commit 1e068e2afbaf67e0985834ccae5181563f875416
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Jul 17 12:49:16 2013 -0400

    Fix automake 1.14 warnings about option 'subdir-objects' being disabled. We may as well enable it, according to the warning message:
    
    automake: warning: possible forward-incompatibility.
    automake: At least a source file is in a subdirectory, but the 'subdir-objects'
    automake: automake option hasn't been enabled.  For now, the corresponding output
    automake: object file(s) will be placed in the top-level directory.  However,
    automake: this behaviour will change in future Automake versions: they will
    automake: unconditionally cause object files to be placed in the same subdirectory
    automake: of the corresponding sources.
    automake: You are advised to start using 'subdir-objects' option throughout your
    automake: project, to avoid future incompatibilities.

commit 014645c972226b2fa2f72750d89d0f583ae71a65
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Jul 17 12:39:19 2013 -0400

    Fix error in batch/make/version when using non-GNU grep.
    
    The “-P” option is a GNU extension, and not actually necessary in this instance.

commit 1fa9b289805926f9ff92118583407cbf77992764
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Apr 12 13:34:00 2013 -0400

    Change script spawning to spawn the program directly, rather than through a shell process.
    
    This removes the need to do safety checks on the user-provided command. It also fixes an issue with not being able to spawn scripts when the full script path contains spaces.

commit 74054fd853e55ba8ac013d346ca6cadb44aa4726
Author: z-man <Unknown>
Date:   Tue Jan 29 22:17:44 2013 +0000

    Merging branch 0.2.8.3 from revision 10495 to 10505:
     ------------------------------------------------------------------------
     r10505 | z-man | 2013-01-29 23:12:03 +0100 (Tue, 29 Jan 2013) | 2 lines
    
     Fixing possible crash due to friends list buffer overrun; no exploit potential.
    
     ------------------------------------------------------------------------

commit 97d4976597244235b85298dfe65d9c6c33a6ac4d
Author: z-man <z-man@users.sf.net>
Date:   Tue Jan 29 22:12:03 2013 +0000

    Fixing possible crash due to friends list buffer overrun; no exploit potential.

commit d95a4848d69735d17b794d54e27ccf6e28c475e3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 28 19:49:35 2013 +0100

    Removed note about tMemManager needing to come last; it no longer applies.

commit ea247b1ef10e5d1435f62c36e0c16d68d4da50db
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 28 18:45:49 2013 +0100

    hopefully resolving windows naming conflict.

commit 4b909f90a3c756e45d614a70474ddbabbd048fef
Merge: d1821807 2fc65c16
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Sun Jan 27 23:57:07 2013 +0100

    Automatic merging of commits that would change history order:
       ------------------------------------------------------------
       revno: 1413.1.1
       committer: Bazaarmagetron <z-man@users.sf.net>
       branch nick: 0.2.8-armagetronad-sync
       timestamp: Sun 2013-01-27 23:30:34 +0100
       message:
         Automatic merging of commits that would change history order:
            ------------------------------------------------------------
            revno: 1412.1.1
            committer: Manuel Moos <z-man@users.sf.net>
            branch nick: armagetronad
            timestamp: Sun 2013-01-27 23:09:20 +0100
            message:
              Using singleton pattern to make memory manager report leaks reliably again without a ton of false positives.
       ------------------------------------------------------------
       revno: 1412.1.1
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Sun 2013-01-27 23:09:20 +0100
       message:
         Using singleton pattern to make memory manager report leaks reliably again without a ton of false positives.

commit 2fc65c1660204461fb52dfd37f92f118d4c1d9a6
Merge: d1821807 61d740da
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Sun Jan 27 23:30:34 2013 +0100

    Automatic merging of commits that would change history order:
       ------------------------------------------------------------
       revno: 1412.1.1
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Sun 2013-01-27 23:09:20 +0100
       message:
         Using singleton pattern to make memory manager report leaks reliably again without a ton of false positives.

commit 61d740dada7bfeb328ffbee1cfac883b84849803
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 27 23:09:20 2013 +0100

    Using singleton pattern to make memory manager report leaks reliably again without a ton of false positives.

commit d1821807138de804c207e507a406a319253b4a00
Author: z-man <Unknown>
Date:   Sun Jan 27 18:13:42 2013 +0000

    Merging branch 0.2.8.3 from revision 10393 to 10495:
     ------------------------------------------------------------------------
     r10495 | z-man | 2013-01-27 16:37:31 +0100 (Sun, 27 Jan 2013) | 2 lines
    
     Fixed custom and internal camera turns when axes have angles > 90 degrees between them.
    
     ------------------------------------------------------------------------

commit a7bca102981b5b8e68ea1ad00306ef3cabe12d34
Author: z-man <z-man@users.sf.net>
Date:   Sun Jan 27 15:37:31 2013 +0000

    Fixed custom and internal camera turns when axes have angles > 90 degrees between them.

commit 02696879e7f65382e6563434891feb924c72c951
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 24 22:11:49 2013 +0100

    Merging in Jip's implementation of Jonathan's screenshot fix.

commit b97c9eb321a6f0b9b3ec1c04692c714463c5faed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jan 18 07:22:19 2013 +0100

    Upping fov limit to 160, clamping only done when you actually zoom out.

commit 60e10832d77476bcf9571fc723cac1f1188bc361
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Oct 12 10:00:56 2012 -0400

    Write ROUND_SCORE_TEAM when team is destroyed. Fixes bug #537141.

commit 1800c30ebc2b51bcf53b54a5f9195784c479e6d6
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Sep 16 15:48:10 2012 -0400

    Fix and add a missing documentation string for ladderlog writers.

commit ef48dd1a3236d8f76643dc4510abecb36a2a8842
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Jun 29 20:26:57 2012 -0400

    Add ARMAGETRONAD_ENCODING environment variable for spawned scripts.

commit 73ae8f74ab28322d0e0f4cc6ef1529629f15b6ea
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun May 6 14:04:28 2012 +0200

    Initialising desired audio spec with zeroes in places we do not care about.

commit 51d179ec76e86e23b711302f20493fb8c5659c66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun May 6 14:01:10 2012 +0200

    Added nTrueVersion -> rConsoleGraph dependency

commit acccf58a3a63f529009b21e394206ef71161986f
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri May 4 18:14:24 2012 -0400

    Add ARMAGETRONAD_VERSION to env.

commit 20e08ed70e889dbb753a24dfb50f4013c1e4c1dd
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue May 1 10:59:01 2012 -0400

    Revert unintended change to CONNECTION_FLOOD_SENSITIVITY from rebase.

commit 9db6b0e8fe3a30a38b0a330d71137f50abcae650
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue May 1 10:55:58 2012 -0400

    Fix pedantic warning.

commit 90d4673184d85dc731004ce06ba7f7359acc1960
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Apr 3 08:59:25 2012 -0400

    Added SCRIPT_ENV command

commit d6643ef238669482e98f268266c0876cfc6fa326
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue May 1 10:47:12 2012 -0400

    Updated ignores

commit 1734d0a3753794c99ba8d4cbf045186b4615024a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Apr 30 16:29:02 2012 -0400

    Added LIST_SCRIPTS command

commit ebda83110fa854568be37bcbc2017e6e0dbe3b6e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Apr 29 15:28:49 2012 +0200

    Typo fix.

commit 1d5ef41c7586a4991522e89a54f003482cdbb8dd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Apr 25 23:50:10 2012 +0200

    Removing -1 access level language string so nobody gets stupid ideas (any more than they already do)

commit 52053ffd65ce1afab1a8ed765f1b26360c7d987b
Author: fman23 <Unknown>
Date:   Sat Apr 21 12:06:21 2012 +0200

    Adding DECLARE_ROUND_WINNER console command by fman23

commit 83558cc219c8a662c20fd80912523c2a95f55ff9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Apr 16 09:03:01 2012 +0200

    Lowering CONNECTION_FLOOD_SENSITIVITY so by default, lost clients
    (changed IP address, post-server crash) don't trigger turtle mode.

commit d09780aef56a03f382f44aa4e7a423fef059c1a1
Author: z-man <z-man@users.sf.net>
Date:   Sat Mar 31 15:59:04 2012 +0000

    Backporting rare crashfix: Adding sound lock when alpha objects get resorted.

commit c60c7761614bc54b6df9fdc203441cd1fcfe8c79
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 28 15:56:15 2012 +0200

    Made HUD update cache configurable.

commit 3743310494c41a948abf36a4143788529f267b9e
Author: Manuel Moos <manuel@moosnet.de>
Date:   Wed Mar 28 15:38:22 2012 +0200

    DirectX input mode crashes on Windows 7 for me, but maybe not for everyone; this change reverts to regular input after two such crashes and disables DirectX mode for new users.

commit ecd888d860e0f08d06f6276489a32eac17a833b6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 28 11:37:52 2012 +0200

    Taking full control of Windows display driver selection to make sure DirectX is used if we want to.

commit c1457619a7aa476188294763877abbea5e30c628
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 26 22:55:05 2012 +0200

    "About" display now uses pure clientside fullscreen messages; invoking
    it on a hybrid server would display the info on all clients.

commit c1b46d9c79be23964fe431229bda322441011b56
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 26 22:50:31 2012 +0200

    Fixing freeze after client controlled fullscreen messages.

commit 5210eb977628a580eaca3f2f083c6574ae0b60fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 26 22:50:03 2012 +0200

    Fixing recording/playback when Select() is invoked in local games.

commit 721160c68eafc672317b6ba1d4a6a7ef5390167d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 25 12:05:19 2012 +0200

    Clarification.

commit ad1199cc7ac939199e449363b5fb1c9c54353778
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Mar 16 15:26:41 2012 -0400

    Move se_commandWriter definition to file scope, so it is initialized on program startup.

commit 9f2e2da33d23c4362ec75b29620e3beefc82a178
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Mar 11 00:30:51 2012 -0500

    Added FORCE_RESPAWN_SCRIPT command to make the development-cycle for scripts more simple. Also moved script documentation to settings_dedcaited.cfg.

commit 949c3a34b5251cb677bfec8bab51a32250c47b4b
Author: Uzix <Unknown>
Date:   Sat Feb 25 17:37:41 2012 +0100

    If KeepWindowActive is true, sound also doesn't stop if you alt-tab away.

commit f06286943c8c13647ebb7c56da9a142eef4816ea
Author: Uzix <Unknown>
Date:   Sat Feb 25 16:15:45 2012 +0100

    New setting: CONSOLE_LOG makes the console get logged into var/consolelog.txt.

commit 0a007e4f2d6f9f79294d0f5f1a74ae509e192841
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Feb 23 22:32:11 2012 -0500

    Fix issue with rInputStream for regular files being immediately deleted.

commit 5594b05475c2e8be997cb67673633f74f78c9a41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 23 01:21:46 2012 +0100

    Only pumping events during mid-round sync pauses, this still lets them
    react to application quits and makes the game appear responsive and
    non-stuck. It would actually be responsive if events would also be
    processed in all situations, but we can't do that; activating the menu
    during sync pauses would mess a lot up.

commit 5a853c9f67deb52c034b072c2ef46e498690752e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 20 16:47:18 2012 +0100

    Network wait loops are now abortable if you hammer ESC.

commit 14950e3674dfd66db6745dccd65ceb39e15e8456
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 20 13:14:18 2012 +0100

    Server browser tooltips are now displayed in small font using the same
    text output area as the server details, avoiding overlaps; the
    server lists now shrinks to make room for extra long server details.

commit ae7912ba02a2cf91d870572e6cef7760a017422a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 20 00:36:49 2012 +0100

    Better face replacement finding, less likely to fail.

commit d92ec85c25f5295b25a5c2bbaef9c64229522412
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Feb 17 23:13:17 2012 -0500

    Fix language string identifier typo.

commit 83857422f91782bb14f1aacbfc151f6340ae4ffb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Feb 4 18:38:09 2012 +0100

    Changing 'local user not found' error message so maybe we don't get so
    many noobs ask how to log in on the forums.

commit efd7700bc7e07f61d1d8aa7df0f7325f5e923b43
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 31 11:47:48 2012 +0100

    Added missing language strings.

commit f721bcb6e091d5f1c62748354d052babfbd71210
Author: zolk3ri <Unknown>
Date:   Thu Jan 26 18:02:17 2012 +0100

    Silenced players can't rename or start polls to annoy.

commit 5d84c93be608c282b7d0520172ebd5f6aa965e62
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 9 20:15:39 2012 +0100

    Updated.

commit 5db1d3989b27a25b388bff7b2a9188837485fbb5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Dec 21 13:50:16 2011 +0100

    Backporting color randomization fix and input menu reordering.

commit 52f3e779107a3bd28fab399f83e6ae738c249e87
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Dec 15 12:38:53 2011 +0100

    Removing duplicate tooltip help on screen and window resolution menu items.

commit 4181c85f905d668b73396bd0b0fb38c7bf30c7ed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Nov 30 20:48:10 2011 +0100

    Avoiding temporary deletion of changelog.

commit cd83efa3738a5057244bbf568438b259fbfa6105
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Nov 25 12:03:33 2011 +0100

    Enabling authentication by default.

commit bba48308effd14cb66e43ae7e10318547db627f2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Nov 23 13:57:08 2011 +0100

    Slightly less old changetag, it should be newer than the dummy ChangeLog created by bootstrap.sh.

commit 942438c139fd4f91736f844eeb5c867ceb395e53
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Nov 21 21:23:34 2011 +0100

    Fixing voter maturity, it now checks the right player's age.

commit 880c1f60d0d14ea545340d8f407cd7e1d15fdd5e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 20 20:25:01 2011 +0100

    Reverting Uninvite change for now, I don't understand it properly.

commit b81b2aecfc05f20484aa9eff01493b95ad2e833b
Merge: 77125488 ce22fcea
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Nov 20 18:56:21 2011 +0100

    Merging scriptlaunch branch.

commit a5aab7278047a256c1efe72532f4ef757ffd002e
Author: z-man <z-man@users.sf.net>
Date:   Sun Nov 20 11:28:42 2011 +0000

    Backport fix: Switching to glColor4f because Intel drivers don't like it if you alternate between them and glColor3f in different glBegin()/glEnd() blocks.

commit 77125488d8fa4fbada26d2675630455453fd10ba
Author: zolk3ri <Unknown>
Date:   Sat Nov 19 18:50:52 2011 +0100

    Filtering team management spam.

commit 60c5d5230ee5632064b99524f903dadb42ca7cec
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Nov 17 12:39:44 2011 +0100

    Disabling forced expiration. This branch is as stable as it's ever going to get.

commit c6ad92afd3478f72fc018e7a5b0ac7d688557e98
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Nov 14 09:25:33 2011 +0100

    Proper name for current network version: 0.2.9_alpha

commit 0b6628e7c8b046cd1657afe03b833a1fd3950159
Author: Manuel Moos <manuel@moosnet.de>
Date:   Tue Nov 8 16:51:49 2011 +0100

    Switching to glColor4f because Intel drivers don't like it if you alternate between them and glColor3f in different glBegin()/glEnd() blocks.

commit bd653413271710f783c8037bb9c6af619dd41954
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Nov 1 14:05:29 2011 +0100

    Adding sound lock when alpha objects get resorted.

commit 74f0316ff1d1a2c1d1059f484c1e7e147747df5f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 30 22:00:47 2011 +0100

    Replacing misplaced dot.

commit 6bb5a465b4602adc5a5923cfce0c6f19ec2826fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 28 14:40:44 2011 +0200

    Fixed conversion compiler warnings.

commit 76e3f04c3b3760fc371abe9972009ba072b76542
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Oct 26 23:34:33 2011 +0200

    Banning unreliable us.to DNS names from the master list. Really now instead of everything else.

commit 68677ce1c1f413b60a4ee699898656a0efd2ca2a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Oct 26 22:55:01 2011 +0200

    Banning unreliable us.to DNS names from the master list.

commit ea1643dcb9ee80c984f1d21de497e10a06935487
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Oct 25 23:09:26 2011 +0200

    Adding MIN/MAX_PROTOCOL_VERSION for better control of supported clients and features.

commit 728b0c46855f25d576583abcd552d981df1f0f96
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Oct 25 11:16:25 2011 +0200

    Correctly take values of CYCLE_RUBBER_DELAY between 0 and 1 into account when applying the bonus for the digest.

commit baf19ab267b8ba91feb04b35175b64caa0fedc94
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 23 15:17:02 2011 +0200

    Delay digest now takes speed multiplier into account.

commit a01b145de808b3974192cbc8e59074351fbffa59
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 23 11:26:29 2011 +0200

    Acceleration digest now simply is maxspeed/speed - 1.

commit 8e77a8dfba8f88548c0b20e25198361262aabdc9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 23 10:48:25 2011 +0200

    Adding team play and wall length to settings digest.

commit 72c20f7c3df6f8fb344fd7b3fe72425f7955297c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Oct 22 22:32:52 2011 +0200

    Writing setting digest into ping response. To be analyzed by future clients.

commit 005ad1ab252b999a3ea1a2121663780862c1287c
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Oct 22 13:31:38 2011 -0400

    Update sourceforge username

commit f7253391636044f7763f8b5a6810debcdc080b98
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 21 23:21:01 2011 +0200

    Fixing assertion failure on clients compiled with --enable-armathentication when they join a server.

commit 7a749610d92a326a68f357e3835790906e1bf7b9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 21 21:22:51 2011 +0200

    Corrected broken SNAFU link.

commit 02685eef66604a3212d08cd68f9f671bffe3ded9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 21 19:16:21 2011 +0200

    More documentation updates. Should be the last big one for this branch.

commit fb35100796cfd3e6568f8e5031e13c0d6a8786d2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 21 18:03:56 2011 +0200

    Bigger documentation update.

commit 3a5e4a84945d1a37be49c59167ae8bea4c9fbf22
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 21 15:52:25 2011 +0200

    Another small doc update (testing the 0.2.8->0.4->trunk merge path)

commit b0fd54f2b510526817b81963e920b5c9d937b06b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Oct 21 15:27:50 2011 +0200

    Small doc update.

commit ce6e10f2837e5df6815506f4c8511aafc0cbc00b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 16 11:56:29 2011 +0200

    Delayed processing of activation/deactivation events. They're triggered from a different thread on Windows.

commit 009bed3ff4ae3d3f45810c9e8b5cacedfb7cea72
Author: z-man <Unknown>
Date:   Tue Oct 11 09:52:12 2011 +0000

    Merging branch 0.2.8.3 from revision 9917 to 10004:
     ------------------------------------------------------------------------
     r10004 | z-man | 2011-10-11 11:45:06 +0200 (Tue, 11 Oct 2011) | 2 lines
    
     Clearing display lists if moviepack seting changed to flush out all texture changes.
    
     ------------------------------------------------------------------------

commit 452d3895932f2db14d9f9cfcf9683e3e831c8194
Author: z-man <z-man@users.sf.net>
Date:   Tue Oct 11 09:45:06 2011 +0000

    Clearing display lists if moviepack seting changed to flush out all texture changes.

commit c207faeea0eea5229b9b009fbc2948c37772b5e0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Oct 10 21:37:48 2011 +0200

    Clarified that auto login needs a valid global ID

commit 95f874f2cf96ab783ed21021425f10b58475f3f4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Oct 3 11:43:39 2011 +0200

    Better assertion for clientside machine lookups.

commit 61c1d3163b4349f6807899d37010e85297f7f026
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Oct 3 11:28:12 2011 +0200

    Spam update is only for servers.

commit 10c7bf7f06f6dbee851e163675b5d03739f76b1b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 23 22:55:59 2011 +0200

    Clean exit exception added. Thought I'd need it for the previous commit, but didn't.

commit 29d69622dc7838dd59c9644aff5c46b52ebc48f7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 23 22:55:27 2011 +0200

    armagetronad --version no longer returns an error code.

commit f83a1578a8e90ffc000c4f8d8fd75ddc2cdcc717
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 21 20:06:44 2011 +0200

    Compatibility with current code::blocks and mingw, old 1.0-rc2 still working.

commit 993146c18c919b90ab89c2c806a55b0d47063319
Author: z-man <Unknown>
Date:   Mon Sep 19 15:22:45 2011 +0000

    Oops, forgot to keep major_version setting on 0.2.8.

commit 7ba3eb9b5b37699037d31ddc1e9e1d6c0d4eb94a
Author: z-man <Unknown>
Date:   Mon Sep 19 15:21:47 2011 +0000

    Using bzr revision number for svn builds, too.

commit ece0264b1783b23c056704a70bb6147dc2e85953
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 19 17:09:04 2011 +0200

    Erm, forget the offset. Stupid idea. The revisions would drift anyway.
    New plan: let svn revno version tags follow bzr by peeking at the bzr-svn sync information.

commit c8ad5917bb0536a18965e0da56806e9f89336312
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 19 16:57:07 2011 +0200

    Applying offset to version revno generation so bzr revnos match svn revnos.

commit 67e31b565224d7780a5747c4183abce39b44b14f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 19 16:10:54 2011 +0200

    Now that we upgraded to 0.2.9, we can switch from date tags to
    revision numbers. Still not as good as the revision count we're using
    on trunk, but since this branch is going to be synced with SVN for its
    entire lifetime, revnos are guaranteed to be monononeously increasing
    on the mainline.

commit 57cd4a6ce50d1dee9095030e565629f1e4ac0459
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 19 15:02:40 2011 +0200

    Bumping version up to 0.2.9 for better ordering; builds from this bzr branch have more features than the 0.2.8.X releases.

commit 968889bee7ab9b497ed1cbee3d8627d05193c84b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 18 20:05:23 2011 +0200

    New ladderlog messages for team management (creation, destruction, renames, players added and removed)

commit ce22fcea441629056d0287d00af20e0e83ad7092
Merge: fa7019e5 80d4bd57
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 16 17:37:15 2011 +0200

    Merging from mainline.

commit 80d4bd578d74c6a7c8ab2970dd0dade3f012cf14
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 16 17:35:24 2011 +0200

    BAN_IP now kicks all players from that IP.

commit fa7019e5f42e3d9cbbb8caffff8f7e8372d0fa28
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 16 17:34:09 2011 +0200

    Updating ban script and examples.

commit a899472a9995d1cc892f23074ea105f6c2c5eafb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 16 14:03:14 2011 +0200

    Adding example script: flexible ban. Range bans, location based bans, whois lookup based bans.

commit 78a9ba912e910231aa20cb755c663ffb2eb214dd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 16 14:02:30 2011 +0200

    AccessLevel_Shell -> AccessLevel_Owner.

commit 3e12051975e43b56017bb9dfd0555236af60995e
Merge: a754e806 427d0a2f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 16 11:22:40 2011 +0200

    Merging from mainline.

commit e4bd897fea6bef1acb4687df259ccb52c221a576
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Sep 11 11:58:36 2011 -0400

    Add configure check for -Wno-unused-but-set-variable compiler flag.

commit 427d0a2f951ccf3a98b5339889f5e72595e227d9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 11 15:20:39 2011 +0200

    Access level -1 is not really needed.

commit a754e80674fcab6a7e9e0e39631bc82a665d3621
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 11 13:58:10 2011 +0200

    Fixing Windows build.

commit d510b9769e49a4ba64863117dec6d960192437b4
Author: z-man <Unknown>
Date:   Sun Sep 11 11:05:32 2011 +0000

    Merging branch 0.2.8.3 from revision 9740 to 9917:
     ------------------------------------------------------------------------
     r9914 | z-man | 2011-09-11 12:40:11 +0200 (Sun, 11 Sep 2011) | 2 lines
    
     Updating NEWS.
    
     ------------------------------------------------------------------------
     r9910 | z-man | 2011-09-11 12:36:02 +0200 (Sun, 11 Sep 2011) | 2 lines
    
     Only loading .cfg files from the var subfolder.
    
     ------------------------------------------------------------------------

commit a3f39e2ab86007f08a479f1fa298165b80f48b91
Author: z-man <z-man@users.sf.net>
Date:   Sun Sep 11 10:40:11 2011 +0000

    Updating NEWS.

commit 914efe0dad6632799f922cc7cf4ef67066cb8aa8
Author: z-man <z-man@users.sf.net>
Date:   Sun Sep 11 10:36:02 2011 +0000

    Only loading .cfg files from the var subfolder.

commit 31ff70fa41ed87bfa0cd9308020d8cd16af4f289
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 10 22:42:28 2011 +0200

    Bit of documentation.

commit 6a2af5e9ec59e9fa5da6ae5828da48b148aa2a4f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 10 22:30:50 2011 +0200

    Implementing script launching from configuration files.

commit 808222da9a743d4d1f4570ff748a44cb8220fa1f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 10 22:15:45 2011 +0200

    Made configuration map readable by everyone;
    Conf items now distinguish between wanting to be saved and being able to be saved.

commit 7a9cee86fdfdc3364468dbc35373dffbedf3e6b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 10 22:09:21 2011 +0200

    Added more flexible tPath::GetPaths()

commit 3e8bb65590c133124c4f65661f3768c27738198e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 10 22:08:17 2011 +0200

    Const correctness of some functions.

commit 2b3c065be2f66431c10ec89db6d2079c40f2f05b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 8 18:22:08 2011 +0200

    Fixed predictable typo in Windows only code

commit 08888d52029a2ea22d83d0533e7c2117a679546f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 8 17:38:07 2011 +0200

    --input now can be used more than once to read from multiple files or pipes.

commit 6bb19392b535cfa17008f7eeb43dc516212924e2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 8 17:09:53 2011 +0200

    Fixing spam protection memory leak.

commit 738009cc8ff4731acc29068bfafd09f5343cd805
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 5 01:29:21 2011 +0200

    Spam protection state now is stored in the machine, not the player.

commit 95d0d9efd6f684db607d3decf0ce7993f1de7010
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 2 23:47:08 2011 +0200

    SPAM_MAXLEN can no loger be made so small an admin can't change it back up.

commit 08072792df466600c9067423750f9bbb6d0bb7eb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 29 11:50:12 2011 +0200

    Removing obsolete settings.

commit 16c714d3ecb718656aad6c0025ef387393615271
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Aug 28 00:02:49 2011 -0400

    Spelling fixes.

commit e1e44b68ea8fa9f86da1cc214f046b8d7850f898
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Aug 26 14:21:48 2011 +0200

    Explicit conversion from float to int: gcc 4.1 was complaining about the implicit conversions.

commit 2ac7829c94f52d63d05a76e78f350b1a76b9729a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Aug 26 12:46:21 2011 +0200

    Removing redundant check.

commit fb77885c81bd37df89882f26bb89bff7d611fe14
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 25 17:11:10 2011 +0200

    ChatFlags_Console != ChatFlags_Menu now.

commit dbcf99c24e2cf4be940a689c8d28ee5a151e9881
Author: z-man <Unknown>
Date:   Thu Aug 25 11:34:35 2011 +0000

    Merging branch 0.2.8.3 from revision 9318 to 9740:
     ------------------------------------------------------------------------
     r9740 | z-man | 2011-08-25 13:25:39 +0200 (Thu, 25 Aug 2011) | 3 lines
    
     Fixing possible race condition when two threads release the last two references to an object at the same time.
     Now only one of them will delete the object.

commit e579d0defae7232e552080ed737578dd7c645953
Author: z-man <z-man@users.sf.net>
Date:   Thu Aug 25 11:25:39 2011 +0000

    Fixing possible race condition when two threads release the last two references to an object at the same time.
    Now only one of them will delete the object.

commit c8cffb38b11902688f5f3ea0b536335785350f3d
Author: z-man <z-man@users.sf.net>
Date:   Tue Aug 23 11:08:19 2011 +0000

    Fixing quick restart detection.

commit 86e32a44a5656d670f12364335094f797b8af9ee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 23 12:34:00 2011 +0200

    Fixing the fast restart test and missing rebranding of serverstarter script.

commit 56e0495d3ac4463897c4846017ba817ebe6ab9d7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 23 12:33:36 2011 +0200

    Adding force-reload to comply with LSB.

commit f88b9434551f30c7f6813b7f8e9fef96286ef0df
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 23 12:20:56 2011 +0200

    Adding LSB information to starter scripts, shamelessly lifted from debian build rules (Original author: Christine Spang)

commit 225f28d8cbd87d8e6dcef46743b612c45e649935
Merge: 7cd7c87c 02b21294
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 22 13:41:58 2011 +0200

    Don't complain about unread variables in debug compilation, they usually have a purpose.
    (Merging change and ammendment into one)

commit 02b212942176906ae8b6d9f7c9e8a1538c6124aa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 22 13:40:26 2011 +0200

    Going down to CODELEVEL=1 with that.

commit bbb34b1a97ed29b800534c752c7e9614a5caf851
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 22 13:38:47 2011 +0200

    Don't complain about unread variables in debug compilation, they usually have a purpose.

commit 7cd7c87cd258e5b3e7663901568051a2ff4df85c
Author: z-man <Unknown>
Date:   Mon Aug 22 11:12:25 2011 +0000

    Merging gcc 4.x fixes, mostly just warnings about unread variables, plus
    - custom camera using wrong turn speed (affected everyone)
    - string read operator leaving stream in an error state if EOF is encountered (only affected gcc 4.x)

commit 90da513af6807a494b2f55a5de84c95309d650fb
Author: z-man <z-man@users.sf.net>
Date:   Mon Aug 22 10:52:23 2011 +0000

    Never call .putback() on a non-good stream; it keeps the error state, but clears an eventual eof flag, confusing further operations on the stream.

commit 74a72ca51449b7d8f8b12974775b72a50582636d
Author: z-man <z-man@users.sf.net>
Date:   Mon Aug 22 10:35:42 2011 +0000

    And more unread variables eliminated or banned to debug mode.

commit 89b063db03aab91284f2dc050d55cc0c5c346c4a
Author: z-man <z-man@users.sf.net>
Date:   Mon Aug 22 10:35:12 2011 +0000

    Merging wall build fix, eliminating another unread variable.

commit 732f270e90264fbe746734d216f422fcde7d00bc
Author: z-man <z-man@users.sf.net>
Date:   Mon Aug 22 10:28:17 2011 +0000

    Removing unread variables, at least in non-debug mode. GCC 4.6 complains about them in higher warning levels.

commit 54358497e3164b6848026de0973241b5b4456ab0
Author: z-man <z-man@users.sf.net>
Date:   Mon Aug 22 10:05:44 2011 +0000

    Actually using server setting for 180 custom turn speed.

commit b453e601e753f5a211625990de1ad690fc44d2da
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 15 14:36:09 2011 +0200

    Fixing dedicated server compilation

commit 3e0a94da06ec01536eb86c253af5c33628d4728c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 11 18:52:24 2011 +0200

    Actually, Simple Trails belongs into the Detail menu.

commit 427f81c232e7863f287c25f40aa0a8369b1cf1e4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 10 19:40:02 2011 +0200

    Adding Simple Trail setting and performance tweaks menu item.

commit 6e680e3f6d66822cd302e94749d1feb1f756f8f5
Author: z-man <Unknown>
Date:   Tue Aug 9 14:13:09 2011 +0000

    Merging proper infinity checks.

commit a6e4a4a821bf766779ecd22a4b18ee11f5ed5e15
Author: z-man <z-man@users.sf.net>
Date:   Tue Aug 9 13:59:24 2011 +0000

    Updating NEWS.

commit 0d857597516a63183a8c815c791da83ad51c0574
Author: z-man <z-man@users.sf.net>
Date:   Tue Aug 9 13:57:20 2011 +0000

    Adding checks to make sure that no illegal (infinite/NaN) values are passed to OpenGL during cycle trail rendering.

commit f237c6b3938aa71b8b1a8c6b826dbfa2f3ab8f31
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 9 15:23:56 2011 +0200

    Cycle trail rendering improvements: simplified rendering calls, side effect: less state changes, better speed.
    Caught a few instances where illegal data was sent to OpenGL. Sadly, it doens't seem to fix any real reported crashes. Oh well.
    No longer creating display lists for individual walls, it's not worth the effort.

commit 46189d3ad4faa9caae1f53e7ef6fcdfaac50a388
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 9 00:13:44 2011 +0200

    Score display disabled on opening ingame menu and during fullscreen
    messages.

commit 5c86b43f7eabc6bc159e78f78eaa2e10b61e95eb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 9 00:13:29 2011 +0200

    Score display no longer minimizes the console.

commit 8568e63df300c2577ddf5bece28cd7d45f511758
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 8 14:10:32 2011 +0200

    Filtering out obvious crap keypresses sent by SDL.

commit 4cc01ed197798aea4179fbdd88b85a1ce3c9716e
Author: z-man <Unknown>
Date:   Fri Aug 5 13:57:59 2011 +0000

    Merging spelling fixes from 0.2.8.3.

commit 591a8a47f51875d3b5ca6477e33340399d016dcf
Author: z-man <z-man@users.sf.net>
Date:   Fri Aug 5 13:55:48 2011 +0000

    Making sysinstall silent again.

commit 13165c3ad73e06ac02b5515423cba27cea4d7400
Author: z-man <z-man@users.sf.net>
Date:   Fri Aug 5 13:33:30 2011 +0000

    Spelling fix rampage. Not caring about A/B english right now.

commit 8377e2ecfece9b291c3da36b26deb9697a220aa6
Author: z-man <z-man@users.sf.net>
Date:   Fri Aug 5 11:57:15 2011 +0000

    More spelling.

commit c2c4afaad6de17998e5b2d3611aed3ba40187594
Author: z-man <z-man@users.sf.net>
Date:   Thu Aug 4 11:23:56 2011 +0000

    Merging aspect ratio fix.

commit 9844cf50ad3bb6263c03b971fd1caad0ec08b7b3
Author: z-man <z-man@users.sf.net>
Date:   Thu Aug 4 09:58:56 2011 +0000

    Shortened display list texts so they fit the screen.

commit e77c2bf92e33a19a0ca9bcac70dc1b9a11e2e29f
Merge: e87a490b d5b68f61
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 26 19:55:10 2011 +0200

    Merging various timer improvements.

commit d5b68f610f2e34ccc4388b50691e1b6b95fd56d1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 26 19:51:52 2011 +0200

    Better timer sync averaging:
    - Processing syncs is now delayed to the next frame when an upper
      bound on the receive time is known
    - Averaging now is careful not to weight obviously delayed sync
      packets too much. Side effect: the timer errs on the side of high
      ping compensation and runs a few ms early, avoiding lag slides.
    - New (only documented in settings.cfg) configuration of that system.
    - The old round start fudge factor is out.

commit eb4c78e997a175551c6d58ffa1f3c2109f4a8547
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 26 19:50:33 2011 +0200

    Turns out the fast ping averager was useless in client mode and essentially always had the last ping with zero variance stored. Fixing that, there is now a guaranteed minimum number of stored past pings.

commit 9ded6a46b1324efa94df50acb3e7c3f33235194c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jul 26 19:49:46 2011 +0200

    Don't resimulate on lag slides in debug mode. If it's needed for debugging prediction problems, one can always comment it back in.

commit 8d6c9af4cc1cd697f92165deecf06487a078017d
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 22:43:54 2011 +0000

    Merging another rebranding fix.

commit b32095a9da918d438cd30d37a2d6cd24dbd965a7
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 13:56:06 2011 +0000

    Merging rebranding fixes.

commit e87a490b6e494a25863e5f34649e1f9169c0823b
Author: z-man <Unknown>
Date:   Fri Jul 22 12:09:30 2011 +0000

    Empty commit for just the SVN merge markers.
    Also, note: SVN merge tracking isn't very good at avoiding conflicts for later merges. Just saying.

commit 7fa7b41da85d1afe26f5fa0cef0b7457564a4e76
Author: z-man <Unknown>
Date:   Fri Jul 22 11:54:46 2011 +0000

    Updated NEWS.

commit 3db0c9afa95ab2a3fc5661192e04d5d86b6b7e87
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 11:51:20 2011 +0000

    Updated NEWS.

commit 6ce4a3ec8bcf2d40073ddcb81a78fce93403f444
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 11:51:03 2011 +0000

    Whoops, removing function that wasn't supposed to be here again.

commit 93676ec1cc43eee264e1683db726e8128d11f6dd
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 11:39:15 2011 +0000

    Merging fixes for errors and warnings with new compilers by dlh.

commit 0e877427eeda1a7be35db74f66d9ad7cd80af404
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 11:02:15 2011 +0000

    Using our COPYING.

commit e47666598258bbba9f4ad6ed49e09c600ae7e684
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 10:50:43 2011 +0000

    Merging security fix:
      Manuel Moos 2011-03-30 Fixing lenleft checks to avoid reading beyond the end of the message.

commit 873edfc4b9c40515345c173961cf1529c8957532
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 10:47:05 2011 +0000

    Merging one pure security fix:
      Manuel Moos 2011-03-29 Correctly ignoring fat packets and checking which clients to kick.

commit 3df99768a05dc8a449185b09dbe7a1c3f50a7f50
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 10:45:04 2011 +0000

    Merging two pure security fixes from ladle defense branch:
      Manuel Moos 2011-03-27 Don't process server ping responses in server mode. Unless you're the master server, of course.
      Manuel Moos 2011-03-26 Previenting crash when receiving a message with descriptor ID 399 with DEBUG enabled.

commit 265d309780b7807f38ade4356ef4f1328841fc4b
Author: z-man <z-man@users.sf.net>
Date:   Fri Jul 22 10:41:20 2011 +0000

    Merging fix for infinite loops and crashes when clients send very old-style turn commands.

commit fffcac107753685938c50c175a2c0461deb5183e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 22 11:29:02 2011 +0200

    Softening and elaborating on turtle mode messages. Most observed turtle mode events so far were false alarms.

commit 09e45fbb0f16ca463e08831fd1ea9cbb1b927d93
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 22 11:02:44 2011 +0200

    Removing logging code that caused a fake leak warning.

commit 81f62c70fa1f11f2035ac87d60429b652afa90ae
Merge: f7d3f054 25d66172
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 22 11:00:08 2011 +0200

    Merging bugfix.

commit 25d66172b079cadb760943b2659a9fd804693501
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jul 22 10:49:24 2011 +0200

    Daggy-fix: restoring ability to respond to syn cookie challenges. Oops.

commit f7d3f054ec2a24bf36cd127033e6958a184ccee3
Merge: 433ebb5a e3891cbd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 21 23:55:09 2011 +0200

    Merging rest of turtle mode implementation and some other small improvements.

commit 433ebb5afc222c02ee4ec33daa3f1685ffeda686
Merge: 06b43168 25665d5b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 21 23:40:01 2011 +0200

    Merging security fix:
      Manuel Moos 2011-03-30 Fixing lenleft checks to avoid reading beyond the end of the message.

commit 06b43168f4bd264dfd68a2933bba4a5e7cf146f2
Merge: eab24597 bff71ba1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 21 18:10:30 2011 +0200

    Merging refinements to turtle mode.

commit eab24597813f3672542fad850284c69f47ce1125
Merge: 3e5f62fb ca5104a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 21 17:57:22 2011 +0200

    Merging one pure security fix:
      Manuel Moos 2011-03-29 Correctly ignoring fat packets and checking which clients to kick.

commit 3e5f62fb4a605d8ac3f8f529b5b2c7af5fef9b79
Merge: 36e5a4dc de8f06f5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 21 17:47:58 2011 +0200

    Merging first turtle mode and syn cookie implementation.

commit 36e5a4dcd99aaf9d4d359a24d69874633ac8d8d8
Merge: 0a0e2733 bb2a3499
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jul 21 17:40:14 2011 +0200

    Merging two pure security fixes from ladle defense branch:
      Manuel Moos 2011-03-27 Don't process server ping responses in server mode. Unless you're the master server, of course.
      Manuel Moos 2011-03-26 Previenting crash when receiving a message with descriptor ID 399 with DEBUG enabled.

commit 0a0e27334c175772b14061a4e1d8e5db2b217e1e
Author: z-man <Unknown>
Date:   Wed Jul 20 13:46:10 2011 +0000

    Removing indirect dependencies.

commit 2528cdd7e9297f2d87da6f71a0b995a1f106462e
Author: z-man <Unknown>
Date:   Tue Jul 19 12:09:41 2011 +0000

    Fixing uninstall script generation recursion if DESTDIR is set at configure time.

commit 9c949875c09621f3a025a60c14ab50b134e0a098
Merge: 987f5710 f09e0561
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Tue Jul 19 11:54:42 2011 +0200

    Automatic merging of commits that would change history order:
       ------------------------------------------------------------
       revno: 1282.1.2
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Mon 2011-07-18 21:46:08 -0400
       message:
         Added ENCODING ladderlog event.
       ------------------------------------------------------------
       revno: 1282.1.1
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Wed 2011-07-13 00:49:08 -0400
       message:
         WHITELIST_ENEMIES_USERNAME requires authentication support to be enabled

commit f09e05616dd3e7e92628f1a750f313dfba39f24d
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Jul 18 21:46:08 2011 -0400

    Added ENCODING ladderlog event.

commit b676a1c513453804cd54c136d5ab7a794d5fc856
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Jul 13 00:49:08 2011 -0400

    WHITELIST_ENEMIES_USERNAME requires authentication support to be enabled

commit 987f571047c33db8e0bcc0bb6e29d1d4be324064
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Jul 13 00:38:22 2011 -0400

    Only require one authenticated user to be in the set to be whitelisted as enemies from the same IP.

commit 56e42371c51bd68035eb7c21ec9019bfc0f3111c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 3 15:34:32 2011 +0200

    Adding precautions to not land in an odd nSTANDALONE state with zombie network activity.

commit 3c44a23aa7aa7270b91ed9a43594d21c481d5737
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Jun 24 14:35:20 2011 -0400

    Don't spam uninvite messages if the player is not invited. Fixes bug #801485.

commit 7eeef887c6ae5d4b201cca586635ea0cb9de5bcc
Merge: 767096b5 b11ae1ff
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun May 29 23:44:24 2011 -0400

    Merge 0.2.8-armagetronad-enemies_whitelist

commit b11ae1ff6f009970fa0515819f576cd49ea7076d
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun May 29 23:39:21 2011 -0400

    Added status message for WHITELIST_ENEMIES_USERNAME and WHITELIST_ENEMIES_IP commands

commit 5e08e8618e23bdfe2e8569846aad4b2ccf087360
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun May 29 22:38:20 2011 -0400

    Compress

commit 767096b596843ec41151d0a4e2589d38fcaf403d
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat May 28 14:01:59 2011 -0400

    Add trailing slash for armaauth requests. In Apache, mod_dir's DirectorySlash is set by default to On, and would always cause a redirect to /armaauth/0.1/.

commit 8ead7a32231cb9800cbe8073653f5ee5eecc85de
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon May 23 23:21:46 2011 -0400

    Fix unused value pedantic warning when using clang++

commit 1d51d0d0ee2965708f82b6fdf59477c1d4bf1451
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon May 23 22:58:47 2011 -0400

    Fix pedantic warnings when using clang++. Mostly extra semi-colons. Also some void functions returning something, and bools used in place of NULL

commit 5ccdf0b2fb62bcf8bd9ca6d601cb7e4668289918
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon May 23 22:11:12 2011 -0400

    Fix compile errors when using clang++

commit 70d7536c82e17a7553a58e6152cc92e59652cdd8
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun May 22 15:36:01 2011 -0400

    Added WHITELIST_ENEMIES_[IP/USERNAME] to allow players to be enemies, even if they come from the same IP address and ALLOW_ENEMIES_SAME_IP is disabled (which is its default setting).

commit 22824385494b2a1652008c5b0c94d75181c4d146
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat May 14 13:10:18 2011 -0400

    Fixed segfault from NULL dereference.

commit 074169abb95bd4e9f91edcfbc19750610cb689a7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri May 13 00:43:20 2011 +0200

    Fixing infinite loop.

commit e3891cbd96fa588ed6318c515bbfa3011b336d64
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 8 17:38:27 2011 +0200

    Filtering color strings even in very basic console implementation.

commit dc068def8070b6efd0049244de75f834ba93804a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 8 11:18:17 2011 +0200

    Not checking on low ping count limits (10 or 20) for flood checks if the time limit is more tolerant than default, this avoids going into turtle mode right away for single source attacks/spammy clients.

commit 7027cce0e64133ff82809deaf4a9c1080cc1aa16
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Apr 7 18:06:37 2011 +0200

    Ignoring data from recently terminated connections.

commit ff003721e981cdda77c489add4fc3c08fa0bb6e0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Apr 7 18:05:55 2011 +0200

    More accurate master log messages. Most clients don't actually time out.

commit 5a744c01c8f75e9e3862c9b10d171bd354abc70b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Apr 2 01:09:58 2011 +0200

    Fixing repeated ban/unban messages due to time factor fluctuations.

commit a7724d0156843e70ee205453aad0d3dd662f234e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 1 09:45:22 2011 +0200

    Removing extra newline from master logs.

commit b3f9019e3ca7e957ddcadf9bab81b7ecf5ba455b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 23:54:45 2011 +0200

    Removing one more confusing "killing user" message.

commit 8ebcf084605126b6bd8c16334e0e984a67f849c6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 23:45:00 2011 +0200

    Removing some inaccurate messages and clearing out the ID of login_deny messages so they don't produce acks.

commit b959159d66f834b026a05e31d3d25f2e4ad30207
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 22:40:03 2011 +0200

    Increasing spam protection for oversized packets. Too bad we don't get their true length.

commit be8b4fb343d4424712c8f9e544fc73de2612948f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 18:40:40 2011 +0200

    Hey, the ID change for the syn cookie challenge actually got rid of the error message on the client. Win!

commit 4dbd0a2a10cac75d70c2f2c7c77fd8b50463a371
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 18:34:02 2011 +0200

    Allowing manual activation of anti-spoofing code via ANTI_SPOOF.

commit c0f162b4472793cc3ce5dad38e1a557f45e432f0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 17:19:10 2011 +0200

    More verbose connection termination log message, now contains IP and reason.

commit 25665d5b507bf1b24cfbf2abee4f4b2cdfd18c16
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 17:09:36 2011 +0200

    Fixing lenleft checks to avoid reading beyond the end of the message.
    nKillHim catch messages are now on one line with the kill message.

commit bff71ba1d556ae944b609fd3622549bf7c8772e4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 16:46:50 2011 +0200

    Allowing debug recordings to continue in turtle mode on request.

commit 90679f8474ed7da1a58709a7d7e05bfb2b70516e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 16:33:53 2011 +0200

    Not exiting from rec_peer for local flood protection, continue with the next packet instead.

commit 6d26229b7536fd794776a9d070dd5669487fc0b9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 16:22:42 2011 +0200

    Making sure individual spamming IPs get logged as long as there is no massive attack from many sources.

commit a5966436db6c67e9c1d99be909c3d29753776f99
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 30 15:27:03 2011 +0200

    Turtle mode activation and deactivation messages.
    Recording is stopped when turtle mode is activated.

commit ca5104a20ae650ab025c1ccb2b6b5c92eff23ca5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 29 17:54:01 2011 +0200

    Correctly ignoring fat packets and checking which clients to kick.

commit de8f06f51480d288dcbd32a7803230b20d7b9932
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 29 15:57:49 2011 +0200

    No need to expire machines if we're only peeking.

commit 782e975b9048337ada76099490847f10ae1fc89a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 29 01:13:06 2011 +0200

    Don't be quick to block individual IPs if a spoof attack is going on.

commit e92213d9bd04ae27881ceac804c261398e3b3a61
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 29 01:09:20 2011 +0200

    Completely give up doing anything with network packets from unknown clients while getting flooded.

commit e89d4517b66efe06b36feb13610d903157623ab0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 29 01:09:03 2011 +0200

    Reducing number of default-processed packages.

commit 7065ad0ad38fa15b219878116acb7696f94723a2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 29 01:08:49 2011 +0200

    Simplified blocking/unblocking due to flood.

commit 721fac98b6832fb315c8d15caba193463a7a8c2d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 20:01:57 2011 +0200

    Preventing infinite packet bouncing when you send a packet with the server itself as spoofed source.

commit e1efad23fdfe85f641f8b05aedb394313c0a745d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 16:11:36 2011 +0200

    CONNECTION_LIMIT only affects the first contact packets, not the syn acks or subsequent logins.

commit c4668709693176531e2aab176ae4e7181fa22295
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 16:08:25 2011 +0200

    Added possibility to limit the number of packets from unknown sources to handle in turtle mode.
    Made turtle mode system configurable.

commit f0fe7438ffff4a59f5877811304c4ac1781d822e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 14:41:58 2011 +0200

    Cookie challenge packet now claims to come from fake client 1, not the server.
    The tested client still processes it, but doesn't mess up its ack records for the server connection.

commit 02a60eefbdc0863a1f15405f7d6918242aa9e7e4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 14:02:38 2011 +0200

    Making sure to just process the first message when expecting the cookie ack response.

commit 1485fb058777a6739c70cb288267a69002ae755e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 13:45:19 2011 +0200

    Sending TWO fake login accept packets to get a close-to-32-bit cookie; the client response to that is just one ack message and easy to process.
    This should kill the possibility to just guessing the cookie randomly to get a fake client in.

commit b094b9e8d539bf7aa25fba384281c0c774a3a09c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 28 00:27:06 2011 +0200

    Optimizing nMachine lookup, use sockaddr instead of strings. Also,
    implemented peeking lookup that does not auto-create the machine
    information.

commit aa0447b821351f035306b4d991fedd02bf461a38
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 27 22:42:16 2011 +0200

    Randomizing syn cookie timestamp.

commit 417a63026510c49d1ef0f4e634703c9bec959b2e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 27 22:13:29 2011 +0200

    Implemented first syn cookie. Could use less CPU time, but works, basically.

commit 4fe696999efd58e9e6a976290ca88b2c40e0f35c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 27 13:11:09 2011 +0200

    Extended "turtle" style flood protection from ping responses to login failure responses. All login failures except for bans are not reported to the client if a flood attack is ongoing.

commit 7a3f0866361f440b168548cd1389ce44c5f8b42f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 27 12:43:15 2011 +0200

    Countermeasures against log spam attacks. Repeated lines will be combined.

commit cf3235808eb86fa2f8e53e9373725264e2d8e80e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 27 00:57:41 2011 +0100

    Moving universal flood check for unconnected clients to right after the packet was received and identified as not coming from a connected client.

commit bb2a34997a2f5196457bf04bb78f62879afcff1a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 27 00:20:28 2011 +0100

    Don't process server ping responses in server mode. Unless you're the master server, of course.

commit 7558b7b826852595d9d279011362760ff3df7860
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Mar 26 20:14:49 2011 +0100

    Previenting crash when receiving a message with descriptor ID 399 with DEBUG enabled.

commit 3606817c5880378f0861c6b90285aa7b9b364955
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Mar 25 16:42:14 2011 +0100

    Implemented CYCLE_RUBBER_MINDISTANCE_GAP_BACKDOOR for killing players trying to take the 'easy way out' of a trap.

commit f4adb770a8f6849f684139a6f9aa24fae1d351e9
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Mar 4 17:58:45 2011 -0500

    Oh right. An empty string actually has Len() => 1.

commit e9ad07e964b9b3f434bdecc46eb30cd273419d9e
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Mar 4 17:34:12 2011 -0500

    GAME_END, NEW_MATCH, and NEW_ROUND ladderlog events include date and time. Is a feature of sty+ct, but additionally includes the timezone.

commit 4e6198d135eba83da03256e49566ec6660c93d26
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Mar 4 16:51:18 2011 -0500

    Remove duplicated sg_GetCurrentTime() and use st_GetCurrentTime(). This function was originally implemented as sg_GetCurrentTime() in svn r548, but copied to tString.h in svn r8453.

commit 575af2e4a8f101c2bf151d45b64f855e9f214207
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 2 19:05:00 2011 -0500

    Use spectator status as a tiebreaker for sorting ePlayerNetIDs. Cleans up the score table by moving spectators with 0 points to the bottom.

commit 8ba352943b98c1e3b6ebcf95630ee093238b6064
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 2 15:03:05 2011 -0500

    Fix annoyance with score table display on client. After switching from a single player game (with greater than 1 player per team) to a multiplayer game (with 1 player per team), the Team scores would be displayed for one round. This included the no longer existing AI Team's score.

commit 699caff0d6cd65b3c2c7cab7f8670d8aa76a19d1
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Feb 23 15:43:11 2011 -0500

    Disable POSITIONS ladderlog event by default.

commit 4558dc8713a3d409c60302e6ab3a7f7e7fb6911d
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Feb 23 15:20:25 2011 -0500

    Correctly handle all events.

commit ee852fe96ab5d4abc9963fb8a6401d2b7e3f274b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Feb 23 15:08:22 2011 -0500

    Allow Mac OS X to handle Hide and Minimize events. Fixes bug #510174.

commit d81854c96a9864e6f463f5397d5fe263a9e400ea
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Feb 23 15:01:54 2011 -0500

    const

commit 8b9f88e0444994579fb0645dbc0edd350e70f41f
Merge: 17938cf1 61edbf7b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Feb 16 13:51:44 2011 -0500

    Merging --input command-line option branch.

commit 61edbf7ba80a390af0f1d72807199e1f724cffb6
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 15 01:30:21 2011 -0500

    Better documentation for --daemon / --input override behavior.

commit a44c49ff76b688f72c6079edb9abc09d29e398f2
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 15 01:22:05 2011 -0500

    Using --input overrides --daemon.

commit 751d45e45e04c54954a760ac4a79b091ec366f40
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Feb 14 23:58:03 2011 -0500

    New command-line option "--input" added to poll for input from a file instead of stdin.

commit 17938cf1a3539285f8101b00661a287e82e1555f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 31 14:15:40 2011 +0100

    Removing timebot detecion code stats for the client even in debug mode.

commit be882bc64632f7395f63947ad35385df13c3ec1b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 31 14:01:39 2011 +0100

    Fixed unsigned score calculation bug in fortress conquest. Titanoboa discovered negative FORTRESS_CONQUERED_SCORE has a comical effect.

commit 5c01a735dd08f0f3ae9091b335acd57a904d2a74
Merge: 09f744b2 029e37d0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 18 17:26:34 2011 +0100

    Merging timebot client crash bugfix.

commit 029e37d03c694f6d53367e47d2304d070e1ad0be
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 18 17:25:24 2011 +0100

    Fixing timebot crash on client when exiting single player games.

commit 09f744b22598ea1001308bf6d5857dbd6254c988
Merge: 4804e423 857720c5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 17 00:18:41 2011 +0100

    Merging automake warning fix.

commit 857720c5f60f69347f9891c3979f59056749804f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 17 00:17:51 2011 +0100

    Fixing strange automake warning, complaining about installcheck target inside conditionals.

commit 4804e42383542429af1bc9fba18cd8b4b4cff8d6
Merge: 20932ef9 93179765
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 23:50:50 2011 +0100

    Merging timebot detection branch.

commit 20932ef931b334716cbe0ae9322e90d569f731ee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 18:44:35 2011 +0100

    Reactivating uninstall script generation now that it is working again.

commit 0c86963c886b62fc90ea366ef690341156fe2a58
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 18:11:19 2011 +0100

    Fixing uninstall script generation. Now uses a test 'make install' and
    scans the result. Actually not significantly slower than the old method.

commit 380fa760eb6011732109df293dd6c1e5420d71b5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 16:51:31 2011 +0100

    disabling uninstall script by default. Doesn't work anyway with recent autotools, and a fixed solution would double installation time.

commit a0ebcac505456db1594a2f41f824da26438a2768
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 16:50:39 2011 +0100

    Don't doubly install scripts, new automake/install doesn't like that.

commit 93973e3ae36e0027da82090022c3f766d1066aaa
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 16:50:21 2011 +0100

    Disabling uninstallation check if uninstall script is not built.

commit 9317976573badce011b4dfc691a341c61ebe9b4f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 16 10:18:29 2011 +0100

    Removing slowest timebot stat. Humans apparently can drive that one up as far as they like.

commit 41d5fe2b7d87bd11e69de1e190f9bc449fc520a3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 15 20:05:24 2011 +0100

    Teammate wall grinds are now also whitelisted. Damn pRu.

commit ec28f6178523d7396aaffd243e9c07a5bca2d56e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 1 16:26:39 2011 +0100

    Logging the first few answered ping polls to make troubleshooting
    easier.

commit 17d100a8cc508d9e3da282a876c1fb8c2d0ba79e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 1 16:09:43 2011 +0100

    Fixing invalid data access on (impossible under normal circumstances) master server log message.

commit b850ca88707319cd68acdbd7d7803348bc56f01e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 1 15:57:28 2011 +0100

    Removing UPGRADE! warning on unknown network messages, they don't help.

commit 5e73559243c21f4e2402124d9be8034de93a116b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Dec 27 13:06:36 2010 +0100

    Avoid queuing up console input menu functions on multiple activations.

commit 7c361dd068a4f2ded792d5c811f9dfadff16f808
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Dec 14 10:03:04 2010 +0100

    Moving more purely visual settings into settings_visual.cfg.

commit b7ae51bb864ab2e3319ae68fa1371d311552fab2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Dec 8 21:32:52 2010 +0100

    Doing post-command simulation with the correct time now.
    No more idle tasks for the authentication system in the GS_PLAY state.

commit e6fdd8c84f7722732f0a70bd0ed20ff291ce3cdd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Dec 7 21:52:04 2010 +0100

    Fixing comparison, new players now actually get their immunity round.

commit 9f4d7519312aa2474865312c21b926d1c02aaeb5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Nov 8 23:46:21 2010 +0100

    Not kicking unworthy spectators during their first round while they're trying to authenticate.

commit 17eb2562922c8fe5d097bef7813d00ca6a08553e
Merge: c1af841f 8ec80df3
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 01:19:32 2010 -0400

    POSITIONS ladderlog event to log launch positions, and minor doc fixes.

commit 8ec80df39df112534ca66cd3a5aa346c43a7d731
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 01:12:41 2010 -0400

    Log positions in create objects gamestate.

commit 06b2a6090dce037ba77c6eb2a00fe80e7b34a008
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 00:47:33 2010 -0400

    Move logging of NEW_MATCH ladderlog event to same section of code where NEW_ROUND is logged. This removes possible inconsistencies for events that log team, player, or other data at the start of a match / round (specially POSITIONS).
    
    The order of events remains unchanged. That is, a new match still begins like:
    
    NEW_ROUND
    NEW_MATCH

commit 6d58fb7e1d6524443986e578c1c7067993290836
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 00:13:45 2010 -0400

    Corrected ROUND_WINNER and MATCH_WINNER news entry that was misleading.

commit aea77a06c1a25c07a85442aa854328b71cfd955c
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 00:11:22 2010 -0400

    Updated news

commit 65484b1782aadd2ccbadceac99aafa66273f1132
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 00:07:43 2010 -0400

    Updated docs for MATCH_WINNER and ROUND_WINNER

commit 3a75f13c90ba8f66b6a0ca200aecc744c80bffdb
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 24 00:05:31 2010 -0400

    Rename to POSITIONS and change format of event to "POSITIONS <team> <player1 player2 ...>"

commit c1af841f1e5a53cfc6a25f21bac1255fff0382e5
Merge: bfec0853 9b4c9e65
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Oct 23 21:47:13 2010 +0200

    Mering pre-join shuffle branch. /shuffle now works before you actually join a team.

commit bfec08537fa7083b4702b7813524df39aefa111a
Merge: 61de40f2 41f63eab
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Oct 23 21:43:16 2010 +0200

    Merging kickunworthy branch: implements KEEP_PLAYER_SLOT.

commit 6e7af289d9fb50b8683fbafc44259a694da08702
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Oct 17 02:05:59 2010 -0400

    Ladderlog POSITION event to log launch positions.

commit 61de40f285e65c25bac90250923bb480226c6ca5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Oct 11 17:07:15 2010 +0200

    Fixed login_error_pharm to give actually helpful hints.

commit 7958f7cd5c73c86d8cb6810f3a2b6dc1ca91f720
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 3 18:58:58 2010 +0200

    Don't falsely detect practiced patterns as bot usage.

commit 2e658859cb1ffc7cd81af8e12b04d709196b0c20
Merge: be3808b2 6f2a4e83
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Sep 19 17:18:14 2010 -0400

    Merge from 0.2.8-armagetronad-subculture_command

commit 6f2a4e83f9ade637deda65ab50d2d44b89fa7d84
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Sep 19 17:17:06 2010 -0400

    Added Ladle Servers subculture to defaults.

commit 74529dce9db8c3aeec50c8cfeddfd8fe468bffa8
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Sep 18 15:45:13 2010 -0400

    Add usage to help text

commit 16e121e77ea7772bc4055128a8db326c74bf655f
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Sep 18 15:41:20 2010 -0400

    Implemented ADD_MASTER_SERVER command

commit be3808b2eb034a9abb69c8d9336ae1bc0a631c53
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 17 11:15:25 2010 +0200

    Fixed comparison.

commit ae9ed098c09611ff1c7188c42a1b8d9409f5a151
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 16 18:58:59 2010 +0200

    Sanity checking texture modes so nobody gets stuck without textures after partial destruction of user.cfg.

commit 5012dcac5024225d22f9e189602a053f1cfd7bd6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 16 18:32:47 2010 +0200

    Saving configuration after successful screen initialization now so not all abnormal program terminations trigger emergency screen mode resets the next time arma is run.

commit ecbab6ff1d7b845b49102a8a3597989554972e10
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 16 18:19:20 2010 +0200

    Better desktop resolution query, no need to actually init the screen if you can just call SDL_GetVideoInfo. Fixes startup screen flickering.

commit 1af43d8da7f92d213a96884ec56326c2d8aaf12e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 16 17:44:37 2010 +0200

    Don't accept indexed or <15bpp color depth pixel formats when taking over the desktop pixel format.

commit 82d6b21896399a2009929d03e2ad1bc2ec5ec2ef
Merge: c8014c8a 2e7ad9d9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 13 16:55:17 2010 +0200

    Merging followup from /shout branch: third option for DEFAULT_SHOUT_* settings.

commit 2e7ad9d9aa0857dbe4e996e723ff2a736cc4fbce
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 13 16:45:05 2010 +0200

    DEFAULT_SHOUT_* now has three possible values, where 2 is new and means 'yep, that client class shouts by default and is allowed to, no matter what access level they are'.

commit 41f63eabf539517f0fd3436b5da159e9410f0785
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 13 00:10:53 2010 +0200

    Doing the unworthy kicking now in st_DoToDo, not directly in the "user logged in" callback. Less recursion headaches.

commit 8d4c99ccf39176bcb651fa51a0da4874fcab7f58
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 13 00:10:41 2010 +0200

    Fixing non-krawall compilation.

commit 314b7f6361d375fea938001a0f326ee6f79d7108
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 12 14:36:49 2010 +0200

    Avoiding double logging of timebot messages.

commit 708fb287d241e0d1ffb0d44e59cbc5925e948491
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 12 13:51:29 2010 +0200

    Added settings for timebot detection and log/notify/kick possibilities.

commit 342626c350377c4edafd6ea927935c039240c3d6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 12 09:59:58 2010 +0200

    Applied data collected from ladles for better timing stats.

commit 380828c053d9fcef55bd0103a21f3df33971b2e6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 11 00:24:06 2010 +0200

    Added collecting stats for the various samplers to calibrate them with real humans.

commit 0c1c9fcdb0341ee6733e93fa0f4268d4209d2468
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Sep 11 00:03:42 2010 +0200

    Disabling grind timing detection again, keeping it around for a time when default clients don't cheat.

commit 85785ce72b5fd49d7532fc8d7cc4390d3e3949b0
Merge: a7681e33 c8014c8a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 10 14:55:53 2010 +0200

    Merging bugfix from mainline.

commit a7681e33f36b4200c4de433fd2f17e4c823c6d3e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 10 14:54:47 2010 +0200

    Steps towards regular grind timing detection.

commit c8014c8aeaaa54d49abf6d57b2122c8e6261a2a1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 10 00:20:32 2010 +0200

    Killing some more instances of delayed turn processing and thus lag.

commit 6f7911366bb21a5457d4252bd0043bfad9ab9817
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 9 18:09:02 2010 +0200

    Reporting outside corner grind timing events.

commit 39ed134a608f1978556d558527f88e7630b87e6f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 9 18:08:11 2010 +0200

    Reporting and statistics facilites for suspiciously accurate timing. Don't do anything but report to the console yet and arent configurable.

commit 0d7180ed087a57df3654f2380208a0a30ef5535d
Merge: daf6bd7f 3932f833
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 9 00:59:08 2010 +0200

    Merging bugfix against negative timesteps.

commit 3932f833d5c27e63adecb0de90003119f645b443
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 9 00:56:15 2010 +0200

    Fixing backwards simulation problems in three independent places:
    - the bug in eGameObject::TimestepThis that caused one extra (often
      backward) simulation step after handling events is fixed
    - gCycleMovement::Timestep() uses the regular path for negative timesteps,
      which does nothing unless turns are pending
    - gCycleMovemen::TimestepCore() refuses to move back further than the
      last turn.

commit 912d2098f6874ae87548f83004310db7d8f3b412
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 8 19:10:38 2010 +0200

    Starting to ban players if KEEP_PLAYER_SLOT is active and needs to kick too many players in a row to avoid overloads (new connections are costy).

commit cc328df62d3942b77c91dbba7dc4d2a7ea7a7ce0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 8 18:17:15 2010 +0200

    Users with login processes running are now more worthy than those without.

commit daf6bd7f0d269a7953a8d8011e157a60d1691b95
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 8 17:36:53 2010 +0200

    Avoiding costy work on login processes where the user in question is long gone.

commit 8c0e8df64b08606fc77d61135d4d4bb44c03f7b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 8 17:36:31 2010 +0200

    New member function determining whether a list item is in a list.

commit 4e7249a63e7b41fdaf427ae09565117e101cae84
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 8 17:35:26 2010 +0200

    Saving and restoring callback login data for safer recursive calls to login/logout functions.

commit baf7dad02cfd09370344721d6af3e86f3092d79c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 8 08:49:56 2010 +0200

    Deleting player team change wishes if the team in question has zero members left. Fixes the odd occurence of "Team Red" in two team setups and crashes.

commit 9b4c9e65502ae9a494889fbde3c9e3ddfb5ae0fe
Merge: 45a0cf31 10d375e2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 1 21:00:58 2010 +0200

    Merging from mainline.

commit 10d375e2a7eae1e5c3c56ca0dd3f904b6ce4c5df
Merge: 59c2b112 279dadfe
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 1 20:50:48 2010 +0200

    Merging /shout command and default team chat branch.

commit 45a0cf31484f088f3a67c01aec15f1f1e5bf91df
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 1 13:17:02 2010 +0200

    /shuffle now works before a team is actually joined, the shuffle will be executed right after the next team is joined.

commit 279dadfe47fa6f22a59681d46b1224b9c5b95ca5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 30 00:28:54 2010 +0200

    /shout no longer triggers prefix spam checks for the /shout prefix itself.

commit 59c2b1120bcb4615deacc6d692ea176171db46f8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 30 00:16:37 2010 +0200

    QUIT now works while the server is waiting for real players.

commit 0988ae9dc1821eb6b046b29e6d2fcf2f50edc624
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Aug 26 08:52:26 2010 +0200

    Whoops, now you can actually CHAT again.

commit 35b83a3b34f8e75c63f0a04b3712f12d48a2e666
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 25 22:39:34 2010 +0200

    Chat can now be aborted again with ESC.

commit 0167d5d7c4ef65fe750ca8a497006514c68549b1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 24 23:22:31 2010 +0200

    Fixed DEFAULT_SHOUT_PLAYER setting.

commit 299c9531759dfca75f3a5658aa7509cea245b646
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 24 13:03:44 2010 +0200

    Decreasing minimum timestep to take for individual game objects in quiet situations to avoid floating point rounding trouble; every object should get simulated on each regular step.

commit a29de86b6aa1d7fe539f38725367aa7d86551fe4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 24 00:19:59 2010 +0200

    Unified check order for shouting: first, check the access level, then for spam and general chat permission so failed permission checks don't count as spam.

commit b5fa5d63506c61bf21090dee41aaa975174818bc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 23 23:36:03 2010 +0200

    Changing default max_simulate_ahead value from marginal 0.01 to 0.1.

commit 7e800b75b5090c83d0e9d8c0e76618e88ff68f66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 23 23:35:52 2010 +0200

    Updated to some past changes.

commit 824796816c58835ce40cf8b1ca846a9d42fe4c69
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Aug 23 17:08:58 2010 +0200

    Fixing cycles not getting simulated immediately after receiving turn commands from clients in some situations.

commit 1eeecbfbac4aaf28ce7ee6368114f2e2a1f50f6a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 14:52:57 2010 +0200

    Changed default autokick immunity access level from player to team leader.

commit 818554fec671aa23075b55c4ada79d3080702aed
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 14:49:17 2010 +0200

    Also clearing up spectators between rounds now in case relevant settings changed.

commit 5e985efcc4d9725b9c83170ff20259347e546d78
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 13:50:23 2010 +0200

    Fixed client just logging in from getting removed by KEEP_PLAYER_SLOT.

commit c053e99119745154fd141458097e2d231d018916
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 13:47:25 2010 +0200

    Fixed not anyone getting removed by KEEP_PLAYER_SLOT even though there would be worthy candidates.

commit 2869ce770526f8ebb21f000046693d961fb116b6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 13:26:53 2010 +0200

    Updated NEWS.

commit fc163856a3d9576cdb5b6acb8a75496c280ee68b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 13:24:18 2010 +0200

    Added two new settings:
    - KEEP_PLAYER_SLOT allows the server to kick (preferably) spectators if it gets full so there is always one slot open for players
    - ACCESS_LEVEL_AUTOKICK_IMMUNITY sets the access level required to be immune from such kicks (and idle autokicks, too)

commit 5ba8887813bea6d632119eef957e5efe3c9a3519
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Aug 18 12:03:12 2010 +0200

    Default chat action is no longer shouting if it's not allowed for the player.

commit 0955c481adc40832c9535f4db8510ca46f766b62
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 17 18:02:22 2010 +0200

    Updated NEWS file

commit f0285ad0997d39fa600a74ebb13b312b715734f4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 17 17:50:09 2010 +0200

    Extended shouting access level check to /me command. Yeah, it would be cool to have a /team/me combination, but I'll call that feature creep for now.

commit 9f7e390a168e0f545b9439346c57cc2e7d387b67
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Aug 17 17:43:44 2010 +0200

    Implemented /shout chat commands with new settings:
    DEFAULT_SHOUT_PLAYER/SPECTATOR makes the default chat action shouting (if 1) or team chat (if 0)
    ACCESS_LEVEL_SHOUT restricts the usage of /shout.

commit e723011134738a11f2400dcf4e7fe78c43c0a64a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Aug 8 14:34:09 2010 +0200

    Made faraway walls count less for enemy influence.

commit 5f178e44499501744dfe70debca77ac6ff29733d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Aug 8 14:33:18 2010 +0200

    Fixed calculation of wall build time for enemy influence detection.

commit 328ed315126dab12ec58dccfd7a953eac880ff72
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Aug 6 17:11:48 2010 +0200

    Scores rendered behind console and menu now. No need to turn them off any more, ever. Well, when entering a game, maybe.

commit e89cb66af7901a92f84e1f879aac49b67632c73b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Aug 6 17:08:56 2010 +0200

    Scores rendered behind console and menu now. No need to turn them off any more, ever.

commit dd4d9ec7619e3b5e7320826ecd391dcc26e54472
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 28 16:11:22 2010 +0200

    Improving readability of console and in-game menu by fading the background to black with an alpha quad.

commit 4371785f8576cb4da466b251c97ad67bcaca2056
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 25 15:03:44 2010 +0200

    Finishing passing of configuration directory from last merge.

commit 165cd5228d1a81fa4a99a16e05f4daf15694971b
Merge: 982775bb c82e86c0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 25 14:49:42 2010 +0200

    Merging own changes from earlier:
     - Added passing down of $CONFIG directory in serverstarter scripts.
     - Hovering over color menu items no longer breaks debug recording playback fast forward.

commit c82e86c0c7ecc7e4473f961ac6c00e63dd62e57f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jun 25 14:45:36 2010 +0200

    Added passing down of $CONFIG directory.

commit 982775bb0ff212a7e4ac0892b9b98a052aca102f
Merge: 1d95619a ac9af245
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jun 24 00:39:33 2010 +0200

    Merging own forgotten changes.

commit 3dc2f0f806cf56b80f4c765fc4094463d1eeca55
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 7 17:28:50 2010 +0200

    Fixed hovering over color menu items in fast forward playback.

commit 1d95619ab61b5e720556dbce4a9c9c18e00fa1dc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jun 7 14:40:06 2010 +0200

    Avoiding player list read overflow. How did this go unnoticed for so long?

commit ac9af2453339043a4f5fe96899196069e5917c1c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jun 1 00:55:52 2010 +0200

    Removed ADMIN_PASS setting if armathentication is enabled.

commit 05307e3b0aea4ecc29b1a7ea063abdd8041ea76b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu May 27 12:59:08 2010 +0200

    Fixing aspect ratio calculations. In all practical cases, ensuring vertical fov did not happen; in those where something happened (really, really high screens), it overcompensated and distorted the image.

commit 085db3862478961fa82969351f7ace2c2fa50d4b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed May 26 14:32:30 2010 +0200

    Taking ownership of ALL network objects formerly belonging to a deleted user.

commit 3b807d5bf6f8f58d7a5b06f7b81ffff0d4ee3c86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed May 26 14:31:25 2010 +0200

    Clearing send queue on new user login. Fixes one instance of odd authentication dialogs popping up.

commit 1f9b2972ca1bc52d69383344ec5d166d55c246cc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue May 25 14:28:24 2010 +0200

    Simplified default login procedure for @forums accounts.

commit a48f8c0f6ebefab2cf31310eb78524421418a731
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Apr 25 22:26:39 2010 +0200

    Updated to current version from gnu.org. Address change, formatting, and LGPL is now the lesser GNU License.

commit ed42044c68a0d00aed3c87c13e49230b8981300b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Apr 25 22:24:34 2010 +0200

    Using OUR version of COPYING.

commit 79ea6e06b43d876f48023ee0e3319fb5b93208f9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Apr 22 12:17:50 2010 +0200

    Avoiding reloading of title screen when textures are reloaded and it isn't actually getting displayed.

commit 26f7f580cf4a0013892ceefbd3946cb962759e67
Author: Luke Dashjr <luke+bzr@dashjr.org>
Date:   Mon Apr 19 12:04:40 2010 -0500

    replace references to guru3.sytes.net with working URIs at forums.armagetronad.net

commit 822e3dea0d30fcaf7e03a9ff6230482285abf601
Author: Luke Dashjr <luke+bzr@dashjr.org>
Date:   Sat Apr 17 11:16:16 2010 -0500

    main is not a valid hack for AC_CHECK_LIB... use valid values

commit 09a5166c40b41af6d88d20eccd62146a0b3a6415
Author: Luke Dashjr <luke+bzr@dashjr.org>
Date:   Fri Mar 19 17:34:48 2010 -0500

    png_sig_cmp is in both libpng12 and libpng14, where as png_check_sig is only libpng12 --ssuominen

commit be55e0196756bb50618688c628ad3e572e830903
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 22 19:40:27 2010 +0100

    partial portugese translation

commit b14b695001de8b84668287fdd6939a1763d429c3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 21 01:05:50 2010 +0100

    More typo fixes.

commit e7f78fc9467ae64b7d90778451ecc800856f56ed
Author: z-man <z-man@users.sf.net>
Date:   Sat Feb 20 17:25:20 2010 +0000

    Updated.

commit fa58ae13628e7d4057eb5d0bac1cf7b2f1396712
Author: z-man <z-man@users.sf.net>
Date:   Sat Feb 20 17:16:01 2010 +0000

    Merging luke's spelling fix branch.

commit 1874479d9c025b2c02b36b25ce70aef930d08eb6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Feb 20 16:45:08 2010 +0100

    Rebranding support for configure error messages.

commit e2b9b911250695bddc11a031d82c373390eb7844
Merge: 0c2c5e49 2e878edf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Feb 20 16:18:02 2010 +0100

    Merging start menu branch.

commit 0c2c5e49d759078b6bd95932781c40d0045a50a3
Merge: 0679033c f7505054
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Feb 20 16:17:20 2010 +0100

    Merging tooltip branch.

commit 0679033cd84caba49596cceb46cfcde6eb2f6993
Merge: 7dd4df2b aab739de
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Feb 20 16:13:03 2010 +0100

    Merging luke's spelling fix branch.

commit 7dd4df2bb6970ddf7da8d901ceb41564316b3e51
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Feb 19 18:02:35 2010 +0100

    "Winner..." message only shown if there is a non-zero win score. Yeah, we don't care if it's negative.

commit 5b739ef4db60e5b0732e264878bc9ccf11b551fd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 31 16:00:43 2010 +0100

    Fixed debug recorder playback when first packet that is sent out
    causes an error. Never actually happens on 0.2.8, but all the time on Trunk.

commit 16bb86296aee6dd6c8411443adefb3eae8a7d11e
Author: z-man <z-man@users.sf.net>
Date:   Sat Jan 30 19:09:10 2010 +0000

    Merging bugfixes:
     ------------------------------------------------------------------------
     r9353 | bazaarmagetron | 2010-01-30 19:37:31 +0100 (Sat, 30 Jan 2010) | 2 lines
    
     Manuel Moos: Blacklisting SiS cards for display lists.
    
     ------------------------------------------------------------------------
     r9348 | bazaarmagetron | 2010-01-30 12:09:47 +0100 (Sat, 30 Jan 2010) | 2 lines
    
     Manuel Moos: Added block about the man in the middle attack prevention settings.
    
     ------------------------------------------------------------------------
     r9338 | bazaarmagetron | 2010-01-27 15:36:41 +0100 (Wed, 27 Jan 2010) | 2 lines
    
     Manuel Moos: Renamed protocol to 0.2.8.3.X to avoid even more
     confusion down the line :)
    
     ------------------------------------------------------------------------
     r9332 | bazaarmagetron | 2010-01-26 00:11:01 +0100 (Tue, 26 Jan 2010)| 2 lines
    
     Manuel Moos: Renamed 0.2.8.3_beta2 protocol to 0.2.8.3 to avoid confusion.
    
     ------------------------------------------------------------------------
     r9326 | bazaarmagetron | 2010-01-24 21:40:01 +0100 (Sun, 24 Jan 2010) | 5 lines
    
     author: Manuel Moos
     Don't check whether the selected display mode is valid if desktop
     resolution was selected. It will always fail and have the color depth
     be reduced to 16 bit.
    
     ------------------------------------------------------------------------
     r9322 | z-man | 2010-01-23 10:04:28 +0100 (Sat, 23 Jan 2010) | 3 lines
    
     Added subcultures to dedicated installer, too. They're not used, but
     admins may want to see the list.
    
     ------------------------------------------------------------------------
     r9321 | z-man | 2010-01-23 10:03:15 +0100 (Sat, 23 Jan 2010) | 2 lines
    
     Adding subculture file to installer.
    
     ------------------------------------------------------------------------
     r9320 | bazaarmagetron | 2010-01-23 02:17:52 +0100 (Sat, 23 Jan 2010) | 2 lines
    
     Manuel Moos: Fixing missing distribution of subcultures.srv.

commit 74c48674dcc2d9d4ad13aa7ae273f81f0dfdf75d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 30 19:21:04 2010 +0100

    Blacklisting SiS cards for display lists.

commit 2c9956a5125860ea54a5a5eb8382a2c01d83519a
Author: z-man <Unknown>
Date:   Sat Jan 30 14:33:57 2010 +0000

    Removing debug output again.

commit 88b2bbc155e59dd860def9f9aad5891bfe639066
Author: z-man <Unknown>
Date:   Sat Jan 30 11:22:04 2010 +0000

    Rebranding icons and desktop file even if no KDE installation is done.

commit c456400f3c92ebea19efb206e744ac9748aaf14c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 30 11:27:47 2010 +0100

    Added block about the man in the middle attack prevention settings.

commit 1446b2852b93abd302d901ea1e0135d5201e0880
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 30 11:27:34 2010 +0100

    Fixed comment typo.

commit 219fc79dc681d0db2c94ac1dac9726e7fde6662d
Author: z-man <Unknown>
Date:   Thu Jan 28 08:41:00 2010 +0000

    Completed rebranding for debian packages.

commit 33e3544c7cd997ebb26dd1078fab927851d1bace
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 27 13:52:22 2010 +0100

    Renamed protocol to 0.2.8.3.X to avoid even more confusion down the line :)

commit 4a2e44b512144ca4998d6a400586e3c4a02d8482
Author: z-man <Unknown>
Date:   Wed Jan 27 09:34:20 2010 +0000

    Proper quoting for rebranding.

commit 04a40e54bddfb7e2ee0b94e27b456faba206b1b2
Author: z-man <Unknown>
Date:   Wed Jan 27 09:05:50 2010 +0000

    Supporting rebranding on packaging.

commit 2e878edf5320c92186a8f18ca8f3f37f1f3a0973
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 26 16:42:04 2010 +0100

    Shorter names for first setup items.

commit 8d5416002f5b31d146b5c1a6ac37861dc9a16654
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 25 23:35:06 2010 +0100

    Renamed 0.2.8.3_beta2 protocol to 0.2.8.3 to avoid confusion.

commit ee55c2172979650cba7813881f52bb9073e4aceb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 24 20:47:26 2010 +0100

    On those systems where it is possible, set a window name even in
    fullscreen mode.

commit 7a6d95ef5e5ad17aa8b350035833a8e961b8f7ea
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jan 24 20:45:50 2010 +0100

    Don't check whether the selected display mode is valid if desktop
    resolution was selected. It will always fail and have the color depth
    be reduced to 16 bit.

commit aab739de416121917c51fd1929bcea2d859fc332
Author: Luke Dashjr <luke+bzr@dashjr.org>
Date:   Sun Jan 24 02:22:42 2010 -0600

    how on Earth did we have so many spelling errors?!

commit f750505471777677a353c57f6c0f061e06697bfd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 21:28:21 2010 +0100

    Added tooltip for ingame menu.

commit f48a506ee00b3e2a28e8173b000dd4b947006634
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 20:49:34 2010 +0100

    Added default binding for scrolling to the console end.

commit 297b4ec586ecded3bc3d20de19282672ff2afa81
Merge: bad9201e 611f8fd0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 20:15:48 2010 +0100

    Merging from mainline

commit bad9201e1be163d31e6436a1030e3b5a1e6c87e9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 20:15:05 2010 +0100

    Whops, forgot to add the new config file itself.

commit 611f8fd05e641605e5fdcc71c6f4e43bb74d1d70
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 20:11:33 2010 +0100

    Added function to go to the (almost) end of the console messages.

commit 698d5493c8eca3388ddab27637bbfbcdf1b2fc24
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 19:23:56 2010 +0100

    Added default binds for spectator toggle, added tooltip for that.
    Added cursor key control template for single player freaks.

commit a4bc289dac2a79c9b582475280cf4b990c0e5f01
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 18:36:32 2010 +0100

    Added spectator toggle tooltip.

commit e26f609127a2da451a047374445568e7ae1fc2b1
Merge: 3151f75e 9534251e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 18:07:27 2010 +0100

    Merging from mainline.

commit 9534251e42206238390008573d5088e987c4f9b9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 18:06:33 2010 +0100

    Upping the default network speed and adapting the docs.

commit 3151f75e8aedb035f6bce40a8338448fa03e6d2c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 17:55:25 2010 +0100

    Added network speed to greeting menu.

commit 29b5ff18031bc8e63d8de8186f0ad6264d5a093a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 12:46:14 2010 +0100

    Fixing disabled texture output.

commit 51d0f9872daa60b3c1829d04d071d1ea76462457
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 09:46:44 2010 +0100

    Fixed out of array bounds error when generating team change menu items.

commit cae5d08c4c198b124bfbcc76adef0c32467d4639
Merge: 6981c5a1 24e205b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 01:16:23 2010 +0100

    Fixing missing distribution of subcultures.srv.

commit 24e205b89152c22d322a9cbfe37466cf8f9f0b1c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 01:15:19 2010 +0100

    Fixing missing distribution of subcultures.srv.

commit 266e81c1fc2b6f00d94a578466614b6d6f118077
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 23 00:40:28 2010 +0100

    Adding key templates to distribution.

commit fb5ee865a2f0f435af3827e6c40da2b70b01e038
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jan 22 15:18:16 2010 +0100

    Made it possible to repeat the initial setup.

commit 42d8e28377cb98925afb2556ec035c99900f1934
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jan 22 15:09:13 2010 +0100

    Refined the default keyboard layouts.

commit c3f07331fc0c3a9e8aa3c0ad6588cb8dc7757916
Author: z-man <z-man@users.sf.net>
Date:   Thu Jan 21 20:14:30 2010 +0000

    Merging bugfixes from 0.2.8:
     ------------------------------------------------------------------------
     r9316 | bazaarmagetron | 2010-01-20 23:13:21 +0100 (Wed, 20 Jan 2010) | 1 line
     Manuel Moos: Fixed typos.
     ------------------------------------------------------------------------
     r9315 | bazaarmagetron | 2010-01-20 22:16:30 +0100 (Wed, 20 Jan 2010) | 2 lines
     Manuel Moos: Added shuffle suppression texts.
     ------------------------------------------------------------------------
     r9314 | bazaarmagetron | 2010-01-19 02:28:41 +0100 (Tue, 19 Jan 2010) | 2 lines
     Manuel Moos: Sound no longer stops for entire rounds if you alt-tab away.
     ------------------------------------------------------------------------
     r9309 | bazaarmagetron | 2010-01-16 19:01:46 +0100 (Sat, 16 Jan 2010) | 2 lines
     Manuel Moos: Made GCC (4.1, with --pedantic) happy, again.

commit f803e0dc3788066edf8feab140fbe3a889ac6f62
Author: z-man <z-man@users.sf.net>
Date:   Thu Jan 21 19:15:24 2010 +0000

    Starting bugfix branch.

commit 82e2392855bae23f4340e680e68c96e6570f7820
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 17:17:53 2010 +0100

    Moving initial tooltip display count from constructor to default config file so veterans don't get bugged by it.

commit b939760100eab6828bc0ec8916a6d72616134de1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 15:51:20 2010 +0100

    Language selection help is now given in the language to be selected.

commit f01265bbd1b9e709dc6a695fff51a922c8936303
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 15:37:47 2010 +0100

    Moved menu bottom up and lengthened texts again.

commit 97d4150c2cea18f1d7b5efa1a3c7e8f26e788c86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 15:34:06 2010 +0100

    Shortened texts so they fit on the screen.

commit 2556ef06bf2b0f1fd31cd34e24882bab613a2f27
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 15:31:14 2010 +0100

    Added default keyboard layout selection.

commit 8ae5619958ba1d06fde7b815f0b3bac94528a594
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 13:53:06 2010 +0100

    Added keyboard layout selection. Layout themselves are empty.

commit 6023a4fc9b2e0c3b200a6c59a21f7f97f33d1012
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 13:25:56 2010 +0100

    Adding second accept button at the bottom of the menu.

commit 5f2f645dbc7ce41b1fc75563decfc183ca923340
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 13:23:57 2010 +0100

    Added color selection menuitem.

commit c094d4603f6e49ab25dd3ef2ce5031ceefa7d292
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 12:39:15 2010 +0100

    Resurrected OpenGL information in the About menu.

commit f4ca7b0cd383e7930908482ed56e2c04b2249a76
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 12:12:34 2010 +0100

    Added second greeting screen after the first game, first game is now easier.

commit 9671eba82f82ab823bd349c2e3dce9ab0af360bc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 01:33:18 2010 +0100

    Renaming welcome finish language item so translators notice the massive changes.

commit df11b78753391d0709a6bd3559df94c814eea458
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 01:13:20 2010 +0100

    Better title for exit menu item.

commit b0a723ec1444e1c4e14b1b334c823540a1aadf36
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 21 01:04:06 2010 +0100

    Added first setup menu, so far only containing the player name.
    After that, a new greeting screen, then one local game session.

commit e500b3725b0a43d4e416909588ee8aaf68169036
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 23:46:11 2010 +0100

    Easier to understand language menu for the first start.

commit 6981c5a14c1a6f0d69fe24ce9056a46d6281f003
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 22:56:52 2010 +0100

    Quicker help texts and organically accelerating key repeat for friendlier menus.

commit 4b523f1ec171eabb1aa587297d26b17619fffaab
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 22:47:32 2010 +0100

    Fixed typos.

commit cb81721c2b65ded34770601175964458f37f7bd4
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 21:47:28 2010 +0100

    Don't show cycle control tips while the player controls no object.

commit ddf491df7bf67cb36f79d1598ba696ec7a7e093d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 21:47:05 2010 +0100

    Telling player to turn right first. The first enemy comes from the left :)

commit b64ef04c1bc587a8a6c21a171ef54aba72eb6fae
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 21:08:42 2010 +0100

    Fixed constructor order.

commit f385389e3274b0a551018386fa47b7698a6b2352
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 18:52:10 2010 +0100

    Only counting keypresses that actually had an effect as successful.

commit 0c38053238113d1948df7cd1f29c7f8f6e9687b2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 16:13:02 2010 +0100

    Simplified tooltip creation.

commit 6afcdbfd38bdfb82f2c1226a98f2bfd76c734f5d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 16:00:52 2010 +0100

    Better formatting for key notices.

commit eea5c50ba54bb017916785fdd957877cd5404589
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 14:51:53 2010 +0100

    Added veto function for tooltips, added chat tooltip that only shows in Multiplayer.

commit daab847c2cbb9e9afd4ab4ee37e45a0f662f02f7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 13:53:54 2010 +0100

    Added tooltips to the most important player actions: as long as the player hasn't used them yet, he'll be remided how to turn, brake, glance and switch camera modes.

commit e38683d39b27ee7b622ad2ed40ca0334341cc250
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Jan 20 11:04:44 2010 +0100

    Added shuffle suppression texts.

commit 992e06a92c6679c5950052cc5cb8b01dd2886bd6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Jan 19 00:56:59 2010 +0100

    Sound no loger stops for entire rounds if you alt-tab away.

commit 315674785d06a1e1ea8114c7c72bc636bc953433
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 16 19:15:19 2010 +0100

    Improved server behaviour during fullscreen message display. Before,
    it would wait for the clients to finish directly; that caused trouble,
    because the message usually is triggered by a network message from a
    remote admin, which means the server is in packet receiving state and
    it should quit from that state ASAP to avoid side effects. Now, the
    waiting is done in a background task stated via the st_Todo mechanism.

commit eae140c87d29412ced8de402ca9e0eb66871e1fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 16 19:06:14 2010 +0100

    Moving server comparison change to the server info comparison function where it belongs.

commit 516525eec6df6aee41b06f97c9cab9d4c24573ce
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 16 18:52:00 2010 +0100

    All INETADDR_ANY IPs now compare as unequal to avoid server deletion rampages during a DNS server outage.

commit 6888178f1c99d78f42011b7ff81671b5c71051f2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 16 18:42:08 2010 +0100

    Made GCC happy, again.

commit 8bb2dbdc6d54cfe971691398446fb3c50b1d1e41
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 16 00:55:23 2010 +0100

    Updated news.

commit fa5190b7d4ac4f8548746eb3b5cb22577efc185f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Jan 16 00:04:42 2010 +0100

    Disabling pathfinding if it takes too long. Doesn't do too much good, anyway, a typical player will chase the AIs down actively.

commit 006dd0cbf938a1e8cce81f404de41acf23e2be8b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Jan 15 22:29:11 2010 +0100

    Speeding up default server pinging by a factor of two. Should still not totally break down on ISDN or fast dialup, definitely no problem for crappy WLAN or even the slowest form of DSL.

commit 7bdf9a3cf4e7158a9d5f4bcf5466afc9ae407127
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 23:24:38 2010 +0100

    Avoiding DNS lookups while still connected to the master server, if possible.

commit d0ee8ed0a77fb12a0289b698f0254bb2af44c44e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 23:02:10 2010 +0100

    On conflicting information, prefer to keep the IP version of server infos to avoid needless DNS loopups.

commit ecfed79e4b01371e2b407da63bfac77f788757c7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 22:43:48 2010 +0100

    Removing duplicate servers where one copy uses SERVER_DNS, the other not, right as they come in from the network.

commit 00fa48b38c1f6f9934e31a5f766cbbe320c30686
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 22:07:33 2010 +0100

    Adapted German translation a bit to new terminology.

commit ea701efc54ee706b27bb07d1c8d10c4a342551c3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 17:47:43 2010 +0100

    Speeding up fast finish some more.

commit a223faa0e38efcfcc59a6c2c7cada5d2bc6d8212
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 12:40:50 2010 +0100

    Reorganized main game menu items to make internet multiplayer easier to access.

commit fd679d20f2a3a00e8134af42ef011038188086a0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 12:39:26 2010 +0100

    Eating input the player made while the server list was fetched to avoid him going to host a game or quitting immediately.

commit eb6b0f47a00ecd907594eb0bfe2eb37e34be508a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 09:58:00 2010 +0100

    Speeding up fast finish.

commit 92965197078add7ad436c5fedbd8ec26d3466b0e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Jan 14 09:56:55 2010 +0100

    Fixed bug where a round would go on forever if the last survivors where AIs outliving their humans by quite a bit, then getting killed sufficiently simultaneously.

commit 924504ec111016e3085e5d102196a8ec97f37a35
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Jan 11 19:58:03 2010 -0500

    Use colored name for shuffle messages.

commit ff45cd4d209cd7dafabeba0c42bdf6974275027b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Jan 11 21:13:05 2010 +0100

    Without armathentication built in, now all console commands stay
    at ADMIN access level so remote admins can actually use them. One
    exception: the now activated ACCESS_LEVEL can only be invoked from the
    console or config files by default and thus allows disabling commands
    for remote admins.

commit 98866e14ddde02ff80fcdbb2e5f44e3db75d06cb
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Dec 24 20:59:58 2009 -0500

    Do not extract whitespace from authentication params using std::ws()—it will not stop at a newline character. tString::ReadLine() will extract whitespace in the behavior we expect. Fixes bug #492844.

commit 49acfafa01e4299dfe71d0cfdbab57bf79bda0e5
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Nov 6 11:08:12 2009 -0500

    Intercepted chat commands are now written to ladderlog.txt.

commit 107dac043b24332a92c6d3d3b6b1b50865a6e178
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Nov 4 15:01:48 2009 -0500

    Use log name for intercepted chat commands

commit 1092a8d21bdcda64cdaf9d28cfe15854c315681a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 11 21:37:13 2009 +0200

    Improved master server random polling, the second polled master now also is random, and all masters are polled if need be

commit ef70cf1ab4755ccf930033914d575b30b9e920bf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Oct 11 20:46:57 2009 +0200

    Storing server score between visits to the master list and polling higher scored servers first.

commit 615aba9c2dbc498039f1ee5c8d7e80a87534dcd8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Sep 27 01:25:52 2009 +0200

    Fixed typo.

commit c58fa797980331aa80364fca04dbaa4bdd1a014a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Sep 18 15:03:36 2009 -0400

    USER_LEVEL now escapes the given authenticated name

commit 4bce2abed8e3ac15385f76ea781aaddd77c6a7e1
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Sep 17 09:08:43 2009 +0200

    Making GCC 4.3 happy.

commit c3f3f64fa91425dc2ea740c8ce7dfdc34d6a551c
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 16 09:40:02 2009 +0200

    Zero turn speed custom camera now aligns with cycle when it is first set.

commit 205706d26bdad431e6e0d370636f5a7560954854
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 16 09:39:00 2009 +0200

    Removing warning about failed setting the network TOS to realtime.

commit 4fad20b11a3ab35b6cfce90ba98840c6423041c9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Sep 14 22:18:23 2009 +0200

    Fixing missing output parameter in $player_joins_team_noex.

commit 910c61048400e4c20742b973c8d6570b9a485abb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 22:34:14 2009 +0200

    RESERVE_SCREEN_NAME now works regardless of the ALLOW_IMPOSTOR setting.
    Corrected and clarified RESERVE_SCREEN_NAME documentation.

commit d82fcef4239adea92c684c7c807fc349146b4a78
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 15:56:19 2009 +0200

    Ignoring custom.txt; it doesn't exist by default and is unlikely to be complete.

commit 79b0269d9fe792ccfceafe40f4835a048b976fbc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 14:56:44 2009 +0200

    Updated with news.

commit ea7da8da64794924d3a9226b00db3839354c267f
Merge: d77524ea 8d6c1462
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Fri Sep 11 12:36:56 2009 +0200

    Automatic merging of commits that would change history order:
       ------------------------------------------------------------
       revno: 1136.5.3
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Fri 2009-09-11 10:46:10 +0200
       message:
         Clarified purpose of directory generation loop.
       ------------------------------------------------------------
       revno: 1136.5.2
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Fri 2009-09-11 10:45:50 +0200
       message:
         Fixed crash in server polling, mostly hitting master servers.
       ------------------------------------------------------------
       revno: 1136.5.1
       committer: Bazaarmagetron <z-man@users.sf.net>
       branch nick: 0.2.8-armagetronad-sync
       timestamp: Fri 2009-09-11 00:20:29 +0200
       message:
         Automatic merging of commits that would change history order:
         ------------------------------------------------------------
         Use --include-merges or -n0 to see merged revisions.
       ------------------------------------------------------------
       revno: 1136.4.1
       committer: Bazaarmagetron <z-man@users.sf.net>
       branch nick: 0.2.8-armagetronad-sync
       timestamp: Thu 2009-09-10 23:16:09 +0200
       message:
         Automatic merging of commits that would change history order:
         ------------------------------------------------------------
         Use --include-merges or -n0 to see merged revisions.
       ------------------------------------------------------------
       revno: 1136.1.12
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Wed 2009-09-09 11:37:28 +0200
       message:
         No longer updating player names on login/logout event to prevent name change abuse.
       ------------------------------------------------------------
       revno: 1136.1.11
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Wed 2009-09-09 09:34:05 +0200
       message:
         Implemented model cache to avoid long round start times where model loading is slow.
       ------------------------------------------------------------
       revno: 1136.1.10
       committer: epsy <epsy46@free.fr>
       branch nick: 0.2.8
       timestamp: Sat 2009-09-05 11:47:43 +0200
       message:
         Finally set GAME_TYPE in the example fortress config.
       ------------------------------------------------------------
       revno: 1136.1.9
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Tue 2009-07-28 01:33:02 -0400
       message:
         Write the players on the team for ROUND_WINNER and MATCH_WINNER.
    
         Perhaps a better solution would be to have PLAYER_JOIN_TEAM, PLAYER_LEAVE_TEAM, and TEAM_RENAMED ladderlog entries.
       ------------------------------------------------------------
       revno: 1136.1.8
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Mon 2009-07-27 12:17:19 -0400
       message:
         Added a custom language file. Create language/custom.txt in your user data directory, with contents:
    
             language Custom
             # custom language strings...
    
         Set LANGUAGE_FIRST Custom and LANGUAGE_Second <your-primary-language>
    
         No need to modify game-provided config files anymore.
       ------------------------------------------------------------
       revno: 1136.1.7
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Sun 2009-07-26 10:54:01 -0400
       message:
         Use tSettingItem for these.
       ------------------------------------------------------------
       revno: 1136.1.6
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Sun 2009-07-19 06:38:10 -0400
       message:
         After dying in in-cam mode, switch to the players initial camera preference.
       ------------------------------------------------------------
       revno: 1136.1.5
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Sun 2009-07-05 21:47:38 +0200
       message:
         fixed typo.
       ------------------------------------------------------------
       revno: 1136.1.4
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Sun 2009-07-05 13:06:16 +0200
       message:
         Avoiding client drops due to stalling authentication queue between rounds.
       ------------------------------------------------------------
       revno: 1136.1.3
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Sat 2009-06-20 05:29:52 +0200
       message:
         Merge from 0.2.8-armagetronad-shufflespam
           ------------------------------------------------------------
           revno: 1136.3.4
           committer: Daniel Lee Harple <leeharple@gmail.com>
           branch nick: 0.2.8-armagetronad-shufflespam
           timestamp: Fri 2009-06-19 17:41:24 +0200
           message:
             Language tweak
           ------------------------------------------------------------
           revno: 1136.3.3
           committer: Daniel Lee Harple <leeharple@gmail.com>
           branch nick: 0.2.8-armagetronad-shufflespam
           timestamp: Fri 2009-06-19 11:43:44 +0200
           message:
             Documented negative/zero value for SHUFFLE_SPAM_MESSAGES_PER_ROUND.
           ------------------------------------------------------------
           revno: 1136.3.2
           committer: Daniel Lee Harple <leeharple@gmail.com>
           branch nick: 0.2.8-armagetronad-shufflespam
           timestamp: Fri 2009-06-19 00:00:05 +0200
           message:
             Removed double semicolon typo
           ------------------------------------------------------------
           revno: 1136.3.1
           committer: Daniel Lee Harple <leeharple@gmail.com>
           branch nick: 0.2.8-armagetronad-shufflespam
           timestamp: Thu 2009-06-18 23:53:26 +0200
           message:
             Players can no longer spam chat with /shuffle messages. Added new setting SHUFFLE_SPAM_MESSAGES_PER_ROUND, a per round, per player limit on the number of shuffle messages displayed.
       ------------------------------------------------------------
       revno: 1136.1.2
       committer: Daniel Lee Harple <leeharple@gmail.com>
       branch nick: 0.2.8-armagetronad-work
       timestamp: Sat 2009-06-20 05:29:06 +0200
       message:
         Merged from 0.2.8-armagetronad-suspend_fix
           ------------------------------------------------------------
           revno: 1136.2.1
           committer: Daniel Lee Harple <leeharple@gmail.com>
           branch nick: 0.2.8-armagetronad-work
           timestamp: Thu 2009-06-18 14:30:43 +0200
           message:
             A player is now removed from the game immediately when suspended.
       ------------------------------------------------------------
       revno: 1136.1.1
       committer: Manuel Moos <z-man@users.sf.net>
       branch nick: armagetronad
       timestamp: Mon 2009-05-04 20:23:53 +0200
       message:
         Fixed crash when getting disconnected from a server with higher MAXCLIENTS than the client has.

commit 8d6c1462b83a33e296535b31e1942512a489cf66
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 10:46:10 2009 +0200

    Clarified purpose of directory generation loop.

commit c4ff28d61831fd0457903c3b58b29878b642be01
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Sep 11 10:45:50 2009 +0200

    Fixed crash in server polling, mostly hitting master servers.

commit d77524ea7f53a96c1ea88daa996ffc4438234141
Author: bazaarmagetron <Unknown>
Date:   Thu Sep 10 22:23:35 2009 +0000

    Automatic merging of commits that would change history order:
    ------------------------------------------------------------
    Use --include-merges or -n0 to see merged revisions.

commit 08e9bb8d84522e2d702e6e97c76773e2b891b95b
Merge: 99b7a427 61143d45
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Fri Sep 11 00:20:29 2009 +0200

    Automatic merging of commits that would change history order:
    ------------------------------------------------------------
    Use --include-merges or -n0 to see merged revisions.

commit 61143d45f6a0edb6187a7e5903dd41a13879c748
Merge: 99b7a427 234e9f29
Author: Bazaarmagetron <z-man@users.sf.net>
Date:   Thu Sep 10 23:16:09 2009 +0200

    Automatic merging of commits that would change history order:
    ------------------------------------------------------------
    Use --include-merges or -n0 to see merged revisions.

commit 234e9f297c38bab0ab1938409b08f797deffdd12
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 9 11:37:28 2009 +0200

    No longer updating player names on login/logout event to prevent name change abuse.

commit d04be4a2bcb074e9acdbfd3f10431b196cc335e9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Sep 9 09:34:05 2009 +0200

    Implemented model cache to avoid long round start times where model loading is slow.

commit 9c9e2bf0c99109cb5db25f7dfaf94106028ff85a
Author: epsy <epsy46@free.fr>
Date:   Sat Sep 5 11:47:43 2009 +0200

    Finally set GAME_TYPE in the example fortress config.

commit 73e4165705ae00bc3ee8bb37eba233273e7a82f7
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Jul 28 01:33:02 2009 -0400

    Write the players on the team for ROUND_WINNER and MATCH_WINNER.
    
    Perhaps a better solution would be to have PLAYER_JOIN_TEAM, PLAYER_LEAVE_TEAM, and TEAM_RENAMED ladderlog entries.

commit 4606572201dcc37482d11a2172a14592a5bb2374
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Jul 27 12:17:19 2009 -0400

    Added a custom language file. Create language/custom.txt in your user data directory, with contents:
    
        language Custom
        # custom language strings...
    
    Set LANGUAGE_FIRST Custom and LANGUAGE_Second <your-primary-language>
    
    No need to modify game-provided config files anymore.

commit d563b917784211ebf39d50b34fe0d01754fcacc0
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Jul 26 10:54:01 2009 -0400

    Use tSettingItem for these.

commit 25bf402c8c9a7b7d80cee85dc0a6ac63ea692219
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sun Jul 19 06:38:10 2009 -0400

    After dying in in-cam mode, switch to the players initial camera preference.

commit 7f9280e813ce0c5cf17719fe460f6f883595416d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 5 21:47:38 2009 +0200

    fixed typo.

commit 51b176f76bd4a27f396c7e86d7d9e74280edba06
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Jul 5 13:06:16 2009 +0200

    Avoiding client drops due to stalling authentication queue between rounds.

commit 61a57f381d48e0b0250051af14075029b4b0a568
Merge: 2b879e60 e16ee0b3
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Jun 20 05:29:52 2009 +0200

    Merge from 0.2.8-armagetronad-shufflespam

commit 2b879e6074494533333316c6c09054237f6c7a2c
Merge: 694bc7a2 12cc0c1c
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Jun 20 05:29:06 2009 +0200

    Merged from 0.2.8-armagetronad-suspend_fix

commit e16ee0b33669aefb1ec2c74b4a85d468024b0e7a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Jun 19 17:41:24 2009 +0200

    Language tweak

commit cd7cfd7f4f4aeb37f6125e32747d306af199b660
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Jun 19 11:43:44 2009 +0200

    Documented negative/zero value for SHUFFLE_SPAM_MESSAGES_PER_ROUND.

commit c23a256cf9db28eb7d9ed751cd897d835dd888c5
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Fri Jun 19 00:00:05 2009 +0200

    Removed double semicolon typo

commit 814d7f591ccda6b570a076f2edd9ed789cc82682
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Jun 18 23:53:26 2009 +0200

    Players can no longer spam chat with /shuffle messages. Added new setting SHUFFLE_SPAM_MESSAGES_PER_ROUND, a per round, per player limit on the number of shuffle messages displayed.

commit 12cc0c1ca9e22b764e816d82fbe502e66f8452f6
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Jun 18 14:30:43 2009 +0200

    A player is now removed from the game immediately when suspended.

commit 694bc7a2bf3013c4617493f3d1e995a7667ff0f6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon May 4 20:23:53 2009 +0200

    Fixed crash when getting disconnected from a server with higher MAXCLIENTS than the client has.

commit 99b7a427c6a7294984bd61454eb183a1c5e7cb71
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Apr 25 09:20:32 2009 +0200

    Updated with changes.

commit d8cacdb9e7f19f6bc27f91c6216e5325d9348da7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Apr 25 09:20:01 2009 +0200

    Translated user ban/unban messages.

commit 3ca8353a5f779b2085322e6b33f4959cc098a98d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 24 23:31:50 2009 +0200

    Added DDMJ's change requests: no CPUs, conquest timeout in team sumo.

commit 54cf6a08ae8197d813455bd2bde54b9538c8e398
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 24 23:31:30 2009 +0200

    Got rid of extra space in new round message.

commit 274fc2381ad5a3622758e5d1ca468754a5d07dca
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Apr 23 00:13:00 2009 +0200

    Pausing sound between rounds to avoid stuttering.

commit f262ec9f819ec16992c8e17bcf00f0a3417a48f9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Apr 20 11:33:16 2009 +0200

    Removed hardcoded 10000 vertex limit for .ase files that wasn't checked and caused crashes on violation.

commit 2240246d6be0c6b12576e0602cc21db71605fed7
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Apr 15 10:38:39 2009 -0400

    Generalize dark color filter fix

commit d2af259476dd44380da5f886494d41f98e4f564b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Apr 14 18:14:16 2009 -0400

    Clean up language strings for eUserConfig commands.
    
    BAN_USER and UNBAN_USER where missing usage_strings.

commit 96daa34f97d5995a58af0bc884991af736eb7d03
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Apr 14 17:47:16 2009 -0400

    eUserConfig commands, such as USER_LEVEL and RESERVE_SCREEN_NAME now exit immediately and show usage if the first argument, the username, is not given.

commit e7a8ccf23732f717f29a6065eaa150370afbdb54
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Apr 14 15:33:17 2009 -0400

    Fixed language key typo.

commit a6107c240c88a97401878dbcd31e0f2b9590dd43
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Apr 11 05:12:30 2009 -0400

    In se_SecretConsoleOut(), the message was sometimes sent to the server console twice.

commit 03043ff1583424d8858f9f1da4cb4267fd1967d4
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Apr 9 22:19:56 2009 -0400

    Cleaner fix for FILTER_DARK_COLOR_STRINGS

commit cf1c2ff89139e2040e6352b47480337f6d919e66
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Thu Apr 9 17:12:32 2009 -0400

    Fixed FILTER_DARK_COLOR_STRINGS to not filter the reset color.

commit a20796fb753bd6b969fa77e20d1f8cac345a19b0
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Apr 6 14:02:57 2009 -0400

    Get rid of configure warning about ignoring the datarootdir setting.

commit 889f58cc8f457349d83995cf1e232f3bc2c46224
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Apr 6 13:03:57 2009 -0400

    We require GNU make. Silence warnings during bootstrap about “GNU make extension” and “non-POSIX variable name”.

commit 54123b8fa36daf4a9da3637f00ec2edb407905dd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Apr 6 10:06:48 2009 +0200

    Fixed client (and possibly server?) crash due to endless recursion during grid cleanup.

commit 412ba014bcfb57270f144182fc10ca22eeedc5e7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 3 23:41:13 2009 +0200

    Removed PREDICT_WALLS setting for non-dedicated builds.

commit faac8d770a51f81b79410e8aaba32731aecab9d5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Apr 6 00:18:00 2009 +0200

    Removed 'const' qualifier from non-ref return type; gcc 4.3 complains about it.

commit f6479605c7a6704e003fefe574eb79ca639c971b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 3 22:03:46 2009 +0200

    Translated prefix spam messages.

commit ded1130806ff4eff6f5f4560b2440c526e050411
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Apr 3 21:53:55 2009 +0200

    Updated.

commit 66790ba1f4f9e1da9501aaa30511b9727a3fe6bb
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 31 09:17:05 2009 -0400

    Updated other ePlayerNetID constructor initializer list.

commit 158411e8140f1e0d5baa2daf83603323d6f1d451
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 30 09:40:06 2009 +0200

    Worked around gcc 3.3's refusal to accept a freshly constructed string
    as const & parameter.

commit 82a264a3f7bce86d245e85c9ab65fc0af0b696a0
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Mar 28 14:25:45 2009 -0400

    Fixed VOTING_MATURITY. Fixes bug #350469

commit 4d8db1e72899b18aa682b5220024d4b5c56d8324
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Mar 27 00:36:40 2009 +0100

    Fixing camera crash when there is no game object at all to watch.

commit 1816de3e176d55775c9c12b4b42c84829d5483de
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 25 21:46:12 2009 +0100

    Fixed typo.

commit 5dd267d544dc7ee949e190022562340c9b863c1c
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 25 17:24:56 2009 -0400

    Turn down PREFIX_SPAM_START_COLOR_MULTIPLIER

commit 42c71af7a7e655be59c94aa26ba3d7e4672fa63c
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 25 09:08:43 2009 -0400

    don't output src/test/Makefile

commit 083a420006beaba0eccbdcd61784a184e4ab1075
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 25 08:39:41 2009 -0400

    Expose detailed prefix spam settings on all builds.

commit db24f8ae6242a8d517e049554564f49d14f0a687
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 25 09:52:37 2009 +0100

    Removed test for now. They don't seem to compile, at least not for
    out-of-source builds.

commit 0d9fd511b6ce104535fca6da0bc2a6ee777f76ac
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 20:29:28 2009 -0400

    If a message is directed towards a player, cut the player name off the message so we can check for prefix spam.

commit 288d55c1ffb1197e9d91c55ae6ec97c94f7b430e
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 19:38:21 2009 -0400

    Added prefix spam entry

commit 63155a115ed3dda499e3133ffed034ec1c80f438
Merge: 353b78e2 675f0a1d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 25 00:10:53 2009 +0100

    Merging prefix spam branch.

commit 675f0a1dd212e68d47156ae42f730eecbe6a271a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 17:47:11 2009 -0400

    added some ignores

commit 4fedb57b228c16827abb12feec5d69f6b5a7efbf
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 17:10:14 2009 -0400

    keep track of line number for a session

commit f537085988077ce15809466665ee70a915dd98d1
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 16:46:22 2009 -0400

    Count chats and chats that got through

commit 5f457e132b7f832667a996dc32ca36ad96807a4e
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 16:24:13 2009 -0400

    removed unused include

commit c61e89a1f384693770c90b51e134a62956ae1886
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 16:16:36 2009 -0400

    When checking for chat directed towards a player, chop off ',' also

commit eb49452897018250e79068fda010b9a5db1b43c5
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 15:53:29 2009 -0400

    Only expose setting to enable/disable prefix spam checking

commit 240c3e24bb95e0eb84a014df20739c9bdd147ef0
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 15:51:47 2009 -0400

    Added prefix spam test

commit 51c8bfe3d38807122ba5e4589e14bc4517c101ef
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 12:52:54 2009 -0400

    cycleprograminited didn't respect the project dependency structure.

commit 79926a4b6fa8b5de804c2d605e586dad374188ee
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 24 12:16:58 2009 -0400

    Added test subdir. Moved class eChatPrefixSpamTester to header.

commit 353b78e26f845678b3f9dd30916bed78dcc547b7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 09:53:47 2009 +0100

    Fixed last commit.
    Highscores now list everyone, not just everyone better than the first
    person who ever played.

commit 66d45fcb09da6b7aae91fc62cd8d5b8af246ff2d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Mar 22 00:50:41 2009 +0100

    Really fixed #251447: names were filtered after reading from the highscore files.

commit b4cae4068db07336522cee393dc20395780d8768
Author: Luke Dashjr <luke+bzr@dashjr.org>
Date:   Sat Mar 21 11:36:28 2009 -0500

    restore missing specific DTDs from repository

commit 39e5f8d5cbb0669cb6b1629585487f95be62cdaf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Mar 20 13:32:15 2009 +0100

    Checking whether var directory exists before attempting to remove it. Fixes #345184.

commit 11439c55abb482250a8de2682ec9702cb2b3647d
Author: luke-jr <Unknown>
Date:   Thu Mar 19 19:02:46 2009 +0000

    restore old DTD

commit 84b82b771cd89e09e0ba1fb0a67779cb4108aed6
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sat Mar 14 14:26:19 2009 +0100

    Updated for beta3.

commit af041d09381620c532acc8583212b22c5ed76a6d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Mar 12 11:44:08 2009 +0100

    Fixed sound muting when switching sound settings.

commit d40d91f378b6616f049eb946d2ee4a80a92a319b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Mar 12 11:24:16 2009 +0100

    Sound locks are now handled via locker objects instead of
    lock()/unlock() pairs for exception safety.
    Added a couple of locks that should fix random round end crashes.

commit 6e0e494e9500d6f0e1d94272ebc35180f63b5ee2
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 11 08:19:17 2009 +0100

    Removed obsolete (and wrongly calculated) goneRatio variable. This
    fixes sensor collision reports; they would sometimes falsely report a
    temporary wall behind a gridded wall as the first collision.

commit 74ada60e940c963e1de7c7927e3118f8dd06c241
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 10 22:57:53 2009 +0100

    Made it possible to switch viewports in four player mode.

commit 2683076cd9914d4c279117df14bd21652a67e5fc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 10 22:56:48 2009 +0100

    Also renamed SilenceAll variable intenally.

commit f79b62b2ec7711b7281d3ab06d5c2c9565a06d49
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 10 21:39:04 2009 +0100

    renamed SILENCE_ALL -> SILENCE_DEFAULT.

commit ff6f2b00f0c5e5ddbd9290341b5d3918b9e0cf5f
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 10 21:29:44 2009 +0100

    Reverting last revision for redunancy.

commit eb68ba6dda5ed810306641eb44fed2b324706388
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Sat Mar 7 13:52:35 2009 -0500

    SILENCE_ALL can be used on the client to ignore chat from all players locally.

commit 41c3475d8bdf0da8b2eb7513a69d5b2fdd1d2b4a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 17:18:05 2009 -0500

    escape colors

commit 5183b1878dddaf989844f10d44fc954be4f6684b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 15:35:22 2009 -0500

    Factored out to se_CalcTimeout().

commit 69f3dde88d58c5ba00ba36cf4142fc20d9d4f128
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 15:29:37 2009 -0500

    Fix issue where a false prefix would be found (most likely a single letter one)

commit b1329a8a03e9e110b0962ea3849221b25599886d
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 15:23:51 2009 -0500

    Only print spam prefix debugging when prefix is found

commit 7a8e7789f845e8ef5a4f7c0a0a13f9d2d382ee8b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 14:26:56 2009 -0500

    Extra param to FindPlayerByName() to not print stuff to console

commit 02bdc56e47c498bf8392501901e14d02b63c1862
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 14:10:10 2009 -0500

    Known prefixes will now timeout sometime in the future.

commit 7d490b9bd47f99b6ad0bc1643a6a0902a0e29488
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 12:21:25 2009 -0500

    * One letter prefixes can not be blocked now. Their score now stays just under the default PREFIX_SPAM_REQUIRED_SCORE.
    * For two letter prefixes: 6 messages with a 2-letter prefix will get through. The 7th will be blocked.

commit 87c4acb8d952809fdcbfac40a8333f9784da5556
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Wed Mar 4 10:53:59 2009 -0500

    After a prefix has been found, remove old chat entries that begin with it.

commit 6b14fa1e9025ae15d08c84f4931591cc331a8080
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 4 15:26:46 2009 +0100

    Fixed comment typos.

commit fae21371a9d310b177f6dd9c9ad9a01b9fbadd58
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 4 13:08:58 2009 +0100

    Updated translation and clarified original.

commit b7096c348f2dd112926fed13339c5e83ac962c70
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Mar 4 12:40:14 2009 +0100

    Added LAG_FREQUENCY_THRESHOLD to better deal with lag clusterbombs.

commit 71e69d167beb2f3483f575b3d0d9a1b24cdc8730
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 22:27:21 2009 -0500

    fixed CommonPrefix

commit 9fec658060ec4c2478944f2381e86511e897a812
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 21:56:34 2009 -0500

    doc

commit be2bccb06c962f3c114f078504113cdea9c2457a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 21:13:02 2009 -0500

    const correct

commit cce367d878907506963550a6d2c030b9a51ff2b5
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 21:03:57 2009 -0500

    Added help strings and default settings

commit 363d83444e67b3bc867b9718304b229d818298b2
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 20:46:40 2009 -0500

    ifdef DEBUG

commit 9f1ee880edc221f8602f4bbcb6fa4ef191b75457
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 20:35:05 2009 -0500

    Reduced number of saved entries, and adjusted a prefix multipler

commit cfc86840899118dbc94aa21989b0edd3536b3256
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 20:27:03 2009 -0500

    raising required prefix spam score, and reducing length multiplier

commit cc65e7c2cfe535257a068638501b821a2be1eeb3
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 20:13:01 2009 -0500

    remove function. escape color codes

commit 771873fdcb281c49b49c978ffe943d5dac82fe0a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 20:04:16 2009 -0500

    Added spam prefix multipliers. Fixed score calculation.

commit 9beb252e92f28db916ffe1f92b3b37139301a545
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 19:39:00 2009 -0500

    fixed file header

commit ef3957a1b4d93cdfcc5cab5d60141faac5d0ef8e
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 19:18:06 2009 -0500

    check score after calculating

commit 888e86ef4030a4950d874650f399cfc510b8978b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 19:10:24 2009 -0500

    work on calculation prefix spam score

commit 81a8c63b9a2e1e583f5a5e62c4e782e5ff3ca0b9
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 15:48:46 2009 -0500

    corrected prefix checking of /me messages

commit 461463a7e6efa69c802a32bc4097da2e186a8622
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 15:46:11 2009 -0500

    Added some config items

commit 33349306081cca68371a226d0ed921bc50640ad9
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 15:21:33 2009 -0500

    factored out to se_CalcScore()

commit 67351187aa41a6889ec9e38d94af36c88c0cfa49
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 15:00:20 2009 -0500

    ShouldCheckMessage() takes a eChatSaidEntry

commit 1d2d15a9177b406bc173be7f4d5b8dd79ca3021b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 14:26:37 2009 -0500

    log2 only used once

commit fe9376146e8af22b11649cf380588e5b34c8c7a7
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 14:13:57 2009 -0500

    Factor out se_EscapeColors()

commit d5208452b92d70bfe05bccec15ed9820da491215
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 13:53:52 2009 -0500

    Corrected eChatMessageType hierarchy.

commit 80d2d61afc74d759607e21c9635af495386a44f4
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 13:49:37 2009 -0500

    Documented

commit 809a1577a9ba492d5323ba9e2eff13b11ca00f79
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 13:13:54 2009 -0500

    factored out some code to HasKnownPrefix()

commit be49faa09a41ecff1212c3de486139b3ea61146c
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 13:08:27 2009 -0500

    * Public chat directed towards a player not checked for prefix spam.
    * sg_StringEndsWith() -> st_StringEndsWith()

commit cfc3fb568efad7b5b62373835b29efefe0d26378
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 12:41:56 2009 -0500

    * Added eChatMessageType_Public_Direct.
    * Working on direct messages in public chat. They shouldn't be marked as spam.

commit afd7f3b742b04a2ba9f4cad05faf2ad9ea20e13e
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 11:56:07 2009 -0500

    * eChatLastSaid::InsertSaid() -> eChatLastSaid::AddSaid()
    * added eChatLastSaid::AddPrefix()

commit f0ecb58e9b072bc7e8e13f51aea950012216d78a
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 11:43:48 2009 -0500

    * eChatSaid -> eChatSaidEntry
    * eChatLastSaid now class instead of deque
    * known prefixes now stored in eChatLastSaid

commit 1dd2624ec533b43bf7bb3ee6157543806ba229f5
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 10:26:46 2009 -0500

    documentation

commit 0530965b9a93bf09fbc2b45b6b8dde5484815412
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 10:23:50 2009 -0500

    escape colors

commit 684aebe8af49d62e91074856e5823fa08c134b4f
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 10:08:07 2009 -0500

    Check from known prefixes first (less expensive)

commit 6ddf26cf3529591b4b5c3784089bcf5e4e5b658b
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Mar 3 09:56:15 2009 -0500

    spam prefix protection

commit 417cd6616869dc3b5094167d704e9f6be5661754
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Mar 3 15:13:43 2009 +0100

    In debug mode, no longer check for desktop dimensions unless desktop
    fullscreen mode is selected. This avoids the annoying flickering and
    makes the window find an actually useful place on the desktop instead
    of jumping to the top left corner.

commit 83c24622ba4f2a3f2137ac95f5d4ac46959ae388
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Mar 2 23:04:30 2009 -0500

    more quick exit changes

commit c52135da79472076962fbb54a60896b36a239658
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Mar 2 22:16:34 2009 -0500

    removed old help entries

commit 525a5a0f2c22bea952db8d82ff71a7dcde2c36b4
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Mon Mar 2 22:06:55 2009 -0500

    * Removed similarity stuff.
    * Added eChatMessageType
    * Use eChatSaid instead of std::pair

commit dd3b42cad470308b11d35f45006aa1b5e96692ad
Author: z-man <Unknown>
Date:   Mon Mar 2 19:10:58 2009 +0000

    Adapted to uMenu::quickexit changes.

commit e5b5f90de8679b7cc32cfb0344ccfd010f9cf230
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 2 17:28:23 2009 +0100

    Added "quit to game selection menu" state to uMenu::quickexit.
    Using it to react on timeouts while a menu is getting displayed and to
    properly abort pending server induced fullscreen messages.

commit 2f2e848ebe6b958b728d4918dda764b66c2f81eb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 2 16:05:43 2009 +0100

    Fixed exit cleanup failure (leading to crash at least on trunk) on timeouts.

commit 59c6264eb1417929e2d828676e5859b3d21f7000
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 2 14:56:58 2009 +0100

    Removed unused variables.

commit 733442061e053533265872d37038fd56c16149e0
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Mar 2 12:56:37 2009 +0100

    Reduced kill timeout in case cycle simulation gets stuck.
    Fixed cycles getting stuck because of tsTodo floating point rounding.

commit b4b6715d39eba68cb8d79c0b05c8992b39f24391
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Feb 27 15:02:37 2009 +0100

    Forgot to update NEWS.

commit 979585db28a674f862e5db2f5bc0bae9a9249b48
Author: Manuel Moos <z-man@users.sf.net>
Date:   Fri Feb 27 14:34:13 2009 +0100

    Injected Armatrator access level between Team Leader and Moderator and gave it IP and ID read rights by default.

commit dd1baf930c54682ff2fd72c0f5bf85eab3cfd52e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 26 18:00:52 2009 +0100

    Now switched to the more standard and easier to escape reading method that turns \\ into \, \\\\ into \\ and so on.

commit 61e16a061a6735036d08a3097674cf4854b76028
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 26 17:03:39 2009 +0100

    Backslash at the front of a read string now correctly escapes the following character.

commit f497a04754d22a3c9baa8de7b6c1aa2d3941aac8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 26 16:32:46 2009 +0100

    Removed obsolete rendering code and restored adaption of near clipping plane to close walls.

commit 36daff50cd89c0f0311fc4a503c9581f8f5091cf
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 26 15:22:01 2009 +0100

    Fixed unescaping of what becomes of \_ or, in fact any
    \<special character>, during escaping.

commit 52e16e973da86fa368eff1fc97da686a84b70f86
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 26 12:43:00 2009 +0100

    Made clear unknown methods are an internal error.

commit e09ec12e2e4828536622c85951e6f3c17afc8235
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 22:51:10 2009 +0100

    Translated new language items so no smartass reopens the 'translation not complete' bug :)

commit c74be0bfd24bec0093cdf40f3b4804c1eaf99385
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 22:30:59 2009 +0100

    Added missing help entries.

commit 1e7ab9aca56b33d103035d7e5ae018710ddc5075
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 22:03:54 2009 +0100

    Added items collected over the past months.

commit 955d5386018a032b344417c9ac501a6af037dc17
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 20:21:35 2009 +0100

    Softcoded command help.

commit 80e76c7e6354af8542c3750694604f2f858ddc1d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 19:26:36 2009 +0100

    Applied epsy's changes from https://bugs.launchpad.net/armagetronad/0.2.8/+bug/312245/comments/3
    (Please use "./update.py --scm" from now before committing changes to
    this file to keep redunant untranslated strings out of bzr/svn.)

commit 4c04cd00b1d5d33c0b149eeed028734e94f6c2b5
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 19:10:35 2009 +0100

    Completed translation.

commit 9bf6607e59eeed2c37b800712f040706cddf3ca3
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 19:09:28 2009 +0100

    Updated IDs of some items.

commit 28d6624c98d4ea5c4958e04c51ec0e6d03e53dee
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 16:39:06 2009 +0100

    Small typo.

commit 929243db8c4b46408a2ff10126afa330df674d59
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 16:34:28 2009 +0100

    Translated some more.

commit c6201e2111caf07114556b0b173f1e672c2f291b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 15:46:03 2009 +0100

    SPAM_MAXLEN can only be modified by the owner to prevent accidents.

commit 7946bafc6575afb8afa6308cb11fe5696fe461cc
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 15:25:18 2009 +0100

    Corrected lag variance setting help ID.

commit 7810a6ad1b105c60866b8a2a8d350b93fe7bb99a
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 12:59:50 2009 +0100

    Updated.

commit 23865016de9c79805f9d8d56fdfbf600b466d132
Author: Manuel Moos <z-man@users.sf.net>
Date:   Wed Feb 25 12:54:21 2009 +0100

    Switched to utf8 as the encoding used for scrambling passwords and
    sending usernames to the authority.

commit 5fa732d2decab7599a17fc0e43829b67878c0c02
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 24 19:21:14 2009 +0100

    Removed idle kick from fortess sample politics; idle remove is more than enough.

commit 581078875116900062fdb952738640f3b19732cd
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 24 18:57:38 2009 +0100

    More flexible client alpha build expiry distinguising between 0.2.8 and trunk servers.

commit d96414c690f44bd00501979c9112d82529179f88
Author: Manuel Moos <z-man@users.sf.net>
Date:   Tue Feb 24 17:06:48 2009 +0100

    Translation work.

commit 4c6c19fcf67b3c57c9d756bd5d3189cfe7ebbd9d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 22 11:58:24 2009 +0100

    Correctly encode non-ascii-characters.

commit 599add556ff336aa3638c20549bee78ad9e46841
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 19 23:07:16 2009 +0100

    Corrected competition master subculture.

commit 5024904fd064c05b8d175316b8768d274f8e767e
Author: Manuel Moos <z-man@users.sf.net>
Date:   Thu Feb 19 13:42:57 2009 +0100

    Keyup events no longer run through doublebind protection.

commit 4d8eb595be38c30658ba06bd44743d8caa5e3ab5
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 17 21:26:50 2009 -0500

    Don't apply similarity check to team messages

commit 63b6f777a5efacb83088e3579a53be24dbdf2449
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 17 19:48:24 2009 -0500

    Correceted SPAM_SIMILARITY_PREFIX_MULTIPLIER help text

commit 835a7580b6599d16f70718339bce33e1288d3768
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 17 19:17:38 2009 -0500

    newline

commit 31fbc1abf7cb58e59b5b0834e8c2445606a657ae
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 17 19:16:26 2009 -0500

    Moved chat spam class to new file. Implemented similarity spam check.

commit 2b17b49c4fd7a72fa9cfc34b59f2af3852ee9119
Author: Daniel Lee Harple <leeharple@gmail.com>
Date:   Tue Feb 17 13:04:22 2009 -0500

    Factored last said to be a deque of pairs

commit 857315e202a8de5ec955be13508ad55da6fda28b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 20:36:13 2009 +0100

    Fixed removal of wrong delete info.

commit 09908bb392c5de2b520508284b94b80d3029b390
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 19:40:27 2009 +0100

    Fixed deleted objects from lingering around on the client too much.

commit 4b00f3c5c3f94d3d2558211850752d16a8d514a8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 19:39:10 2009 +0100

    Removed annoying debug breakpoints.

commit 5fb1827b9825007b68f218f4812a975137897f80
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 16:28:38 2009 +0100

    Name lenght limit now also applies to admin renames. Silly admins.

commit d24fd56d38b373a6ebde4c5833d94b7651f37c2b
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 16:21:56 2009 +0100

    Added emergency code to hopefully catch the invulnerability bug.

commit ff4a092221bb8e64c0bc9a952489cf8e17792840
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 16:01:16 2009 +0100

    Don't leave the cycle driving straight on on the server just because a
    couple of turns were missed.

commit 01b57ecdfc4cd0095185c3fcae4dcac4302f9233
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 15:33:41 2009 +0100

    Implemented a variant of RLBOT simulating tripple binds. Useful for stress tests.

commit 91cad6626272f343caeed4cab4b09d21899c4fe9
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 13:18:31 2009 +0100

    No more respawining while death/winzone is active.

commit 8e443ff0e58621f382b968b15e1595c1831219b8
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 13:05:52 2009 +0100

    Fixed cycle extrapolator getting permanently stuck.

commit 9ecad7eb7057751bc8b6c5363c73cbb842631267
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 10:10:15 2009 +0100

    Ammendment to object ID recycling bugfix: sending object create and
    delete messages in alternating bursts now. Pending deletes should not
    block creations indefinitely.

commit d8cc73db4486d757e36271b767ecfa877901a452
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 09:41:59 2009 +0100

    Removed small hickup detection in regular debug builds.

commit f9c6c308d20049c1c020434b318f0de576bd6749
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 01:32:05 2009 +0100

    Removed small hickup detection in regular debug builds.

commit cd3882b5741c11b3303c84f19156d34ec95d3f36
Author: Manuel Moos <z-man@users.sf.net>
Date:   Mon Feb 16 01:23:02 2009 +0100

    Rough fix for https://launchpad.net/bugs/329874:
    While there are deletion messages pending to a client, don't send creation messages.

commit 9773fae823a14be6aaa5efaa30fccefab1fa1676
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 15 23:36:08 2009 +0100

    Instead of clearing the registration pointer of nNetObjects once
    they're remotely destroyed, have them switch over to being considered
    created locally. Objects lingering on for some reason still hold on
    to their object ID; if it gets reassigned on the server to some other
    object before the original object finally gets destroyed, clients
    rightfully complain about a duplicate use of the ID. Keeping the
    object registered avoids the reuse of the ID.

commit a17f88c5ba7b7d1461e14ac5369634ff1163faac
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 15 23:33:43 2009 +0100

    Whoops, re-added variable.

commit dcbcffa929bd5cebf0525e8c2af693826fead8cb
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 15 23:31:38 2009 +0100

    Removed obsolete breakpoint

commit d6976a64505053ad202c4590982371bbe5b0f05d
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 15 23:29:27 2009 +0100

    Fixed typo in asserts.

commit 05e4edb3e693345ba3c0d6e6f060157db6ffbac7
Author: Manuel Moos <z-man@users.sf.net>
Date:   Sun Feb 15 23:29:11 2009 +0100

    Losing first packet when simulating ping.

